<?php
App::uses('AppModel', 'Model');

class ApprovalNotification extends AppModel {
	
	// public $tablePrefix = 'setting_';
	
	public $belongsTo = array(
		'LeaveEntry' => array(
			'className' => 'LeaveEntry',
			'foreignKey' => 'alert_code'
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'fields'=>array(
				'employee_code',
				'combination_whole_name'
			)
		),
		// 'Overtime' => array(
			// 'className' => 'Overtime',
			// 'foreignKey' => 'alert_code',
			// 'conditions' => array(
				// 'alert_type' => 'ot',
				// 'status' => 'Active'
			// )
		// ),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ApprovalNotification']['id'])) {
			$this->data['ApprovalNotification']['status']='Active';
		}
		else {
			$this->data['ApprovalNotification']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>