<?php
App::uses('Model', 'Model');

class DaiError extends AppModel {
	
	public function add_error($code, $description, $file = null, $line = null, $context = null) {
		$data['DaiError']['occured_on'] = date('Y-m-d h:i:s');
		$data['DaiError']['code'] = $code;
		$data['DaiError']['description'] = $description;
		$data['DaiError']['file'] = $file;
		$data['DaiError']['line'] = $line;
		$data['DaiError']['context'] = json_encode($context);
		
		return $this->save($data);
	}
	
	public function add_exception($exception) {
		$data['DaiError']['occured_on'] = date('Y-m-d h:i:s');
		$data['DaiError']['code'] = $exception->getCode();
		$data['DaiError']['description'] = $exception->getMessage();
		$data['DaiError']['file'] = $exception->getFile();
		$data['DaiError']['line'] = $exception->getLine();
		
		return $this->save($data);
	}
}
?>
