<?php
App::uses('AppModel', 'Model');

class Diagnosis extends AppModel {
	
	public $tablePrefix = 'billing_';
	public $primaryKey = 'code';
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['Diagnosis']['id'])) {
			$this->data['Diagnosis']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Diagnosis']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Diagnosis']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'BNK';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['Diagnosis']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Diagnosis']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>