<?php
App::uses('AppModel', 'Model');

class EmployeeAnniversaryIncentive extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	
	// public $validate = array(
        // 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Employee is already used.'
			// ),
			// 'employee_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employee is required.'
			// ),
        // ),
	// );
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	
	// public $hasMany = array(
		// 'AnniversaryIncentive' => array(
			// 'className' => 'AnniversaryIncentive',
			// 'foreignKey' => 'year_end_bonus_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// )
	// );
	
	public function beforeSave($options = array()) {
		
		if(!isset($this->data['EmployeeAnniversaryIncentive']['code'])) {
			$this->data['EmployeeAnniversaryIncentive']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeAnniversaryIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeAnniversaryIncentive']['status'] = 'Active';


			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EAI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EmployeeAnniversaryIncentive']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['EmployeeAnniversaryIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>