<?php
App::uses('AppModel', 'Model');

class EmployeeLoanPayment extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	// public $hasOne = array(
		// 'EmployeeLoanPaymentSchedule' => array(
			// 'className' => 'EmployeeLoanPaymentSchedule',
			// 'foreignKey' => 'loan_entry_code',
			// 'conditions' =>array(
				// 'EmployeeLoanPaymentSchedule.status' => 'Active'
			// )
		// ),
	
	// );
	public function beforeValidate($options = array()) {
		if(isset($this->data['EmployeeLoanPayment']['payment_date']) && validate_datetime($this->data['EmployeeLoanPayment']['payment_date'], 'm/d/Y')) {
			$this->data['EmployeeLoanPayment']['payment_date'] = convert_datetime($this->data['EmployeeLoanPayment']['payment_date'], 'Y-m-d');
		}		
		return true;
	}

	public function beforeSave($options = array()) {
		// debug($this->data);
		// exit();
		if(!isset($this->data['EmployeeLoanPayment']['id'])) {
			$this->data['EmployeeLoanPayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeLoanPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeLoanPayment']['status'] = 'Active';


			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'ELPN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EmployeeLoanPayment']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['EmployeeLoanPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['EmployeeLoanPayment']['payment_date'])){
				$results[$x]['EmployeeLoanPayment']['payment_date'] = date('m/d/Y',strtotime($results[$x]['EmployeeLoanPayment']['payment_date']));
			}
		}

		return $results;
	}
}
?>