<?php
App::uses('AppModel', 'Model');

class Gender extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';

	// public $belongsTo = array(
	// 	'Employee' => array(
	// 		'className' => 'Employee',
	// 		'foreignKey' => 'gender_code',
 
	// 		'conditions' => array(
	// 			'Employee.status' => 'Active'
	// 		)
	// 	),	
	// );
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['Gender']['id'])) {
			$this->data['Gender']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Gender']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Gender']['status'] = 'Active';
		}
		else {
			$this->data['Gender']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>