<?php
App::uses('AppModel', 'Model');

class GeneratedCashGift extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	// public $validate = array(
        // 'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Name is already used.'
			// ),
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
		// 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Employee is already existed.',
				
			// ),
        // ),
	// );
	
	// public $hasMany = array(
		// 'GeneratedLeaveMonetizationIncomeAndBenefit' => array(
			// 'className' => 'GeneratedLeaveMonetizationIncomeAndBenefit',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedLeaveMonetizationDeduction' => array(
			// 'className' => 'GeneratedLeaveMonetizationDeduction',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedLeaveMonetizationLoanAndPayment' => array(
			// 'className' => 'GeneratedLeaveMonetizationLoanAndPayment',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
	// );
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'CashGift' => array(
			'className' => 'CashGift',
			'foreignKey' => 'cash_gift_code',
			'conditions' => array(
				'CashGift.status' => 'Active'
			)
		),
	);
	
	
	public function beforeValidate($options = array()) {		
	
		if(isset($this->data['GeneratedCashGiftCashGift']['date_hired']) && validate_datetime($this->data['GeneratedCashGiftCashGift']['date_hired'], 'm/d/Y')) {
			$this->data['GeneratedCashGiftCashGift']['date_hired'] = convert_datetime($this->data['GeneratedCashGiftCashGift']['date_hired'], 'Y-m-d');
		}
			return true;
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedCashGift']['id'])) {
			$this->data['GeneratedCashGift']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedCashGift']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedCashGift']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'GCG';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['GeneratedCashGift']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GeneratedCashGift']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>