<?php
App::uses('AppModel', 'Model');

class GeneratedLongevityPay extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	// public $validate = array(
        // 'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Name is already used.'
			// ),
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
	// );
	// public $belongsTo = array(
		// 'Employee' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'employee_code',
			// 'conditions' => array(
				// 'Employee.status' => 'Active'
			// ),
		// ),
		// 'JobTitle' => array(
			// 'className' => 'JobTitle',
			// 'foreignKey' => 'job_title_code',
			// 'conditions' => array(
				// 'JobTitle.status' => 'Active'
			// ),
		// ),
		// 'PayrollLongevityPay' => array(
			// 'className' => 'PayrollLongevityPay',
			// 'foreignKey' => 'longevity_pay_reference_number',
			// 'conditions' => array(
				// 'PayrollLongevityPay.status' => 'Active'
			// )
		// ),
		
	// );
	// public $hasMany = array(
		// 'GeneratedMidYearBonusIncomeAndBenefit' => array(
			// 'className' => 'GeneratedMidYearBonusIncomeAndBenefit',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedMidYearBonusDeduction' => array(
			// 'className' => 'GeneratedMidYearBonusDeduction',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedMidYearBonusLoanAndPayment' => array(
			// 'className' => 'GeneratedMidYearBonusLoanAndPayment',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
	// );
	public function update_multiple($data = array()) {
		foreach($data as $k=>$val){
			$code= $val['code'];
			unset($val['code']);
			// debug($val);
		// exit();
			$this->updateAll(
					$val,
				array(
					'GeneratedLongevityPay.reference_number'=>$code
				)
			);
			
		}
		
		
		return true;
	}
	public function update_status($generated_payroll_longevity_pay_id = null, $generated_payroll_longevity_pay = null) {
        $existing_generated_payroll_longevity_pay = $this->find_existing_generated_payroll_longevity_pay_by_id_or_code($generated_payroll_longevity_pay_id);
        $data=array();
        if(isset($existing_generated_payroll_longevity_pay) && count($existing_generated_payroll_longevity_pay) > 0) {
            $existing_generated_payroll_longevity_pay['GeneratedLongevityPay']['status'] = $generated_payroll_longevity_pay;
            $data = $existing_generated_payroll_longevity_pay;
        }

        return $this->save($data);
    }
    public function find_existing_generated_payroll_longevity_pay_by_id_or_code($generated_payroll_longevity_pay_id = null) {
        if(is_numeric($generated_payroll_longevity_pay_id)) {
            $default_conditions = array(
                'GeneratedLongevityPay.id' => $generated_payroll_longevity_pay_id
            );
        }
        else {
            $default_conditions = array(
                'GeneratedLongevityPay.code' => $generated_payroll_longevity_pay_id
            );
        }
        
        $generated_payroll_longevity_pay = $this->find('first', array(
            
            'recursive'=>-1,
            'conditions' => $default_conditions
        ));
        
        return $generated_payroll_longevity_pay;
    }

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'LongevityPay' => array(
			'className' => 'LongevityPay',
			'foreignKey' => 'longevity_pay_reference_number',
			'conditions' => array(
				'LongevityPay.status' => 'Active'
			)
		),
		'PayrollLongevityPay' => array(
			'className' => 'PayrollLongevityPay',
			'foreignKey' => 'longevity_pay_reference_number',
			'conditions' => array(
				'PayrollLongevityPay.status' => 'Active'
			)
		),
		// 'PayrollLongevityPay' => array(
			// 'className' => 'PayrollLongevityPay',
			// 'foreignKey' => 'longevity_pay_reference_number',
			// 'conditions' => array(
				// 'PayrollLongevityPay.status' => 'Active'
			// )
		// ),
	);
	
	
	
	public function beforeSave($options = array()) {
		if(isset($this->data['GeneratedLongevityPay']['date_hired']) && validate_datetime($this->data['GeneratedLongevityPay']['date_hired'], 'm/d/Y')) {
			$this->data['GeneratedLongevityPay']['date_hired'] = convert_datetime($this->data['GeneratedLongevityPay']['date_hired'], 'Y-m-d');
		}
		if(!isset($this->data['GeneratedLongevityPay']['reference_number'])) {
			$this->data['GeneratedLongevityPay']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedLongevityPay']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedLongevityPay']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'GPLP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['GeneratedLongevityPay']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GeneratedLongevityPay']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){

			if(isset($result['GeneratedLongevityPay']['date_hired'])){
				$results[$x]['GeneratedLongevityPay']['date_hired'] = date('m/d/Y',strtotime($results[$x]['GeneratedLongevityPay']['date_hired']));
			}
			// if(isset($result['GeneratedLongevityPay']['monthly_rate'])){
				// $results[$x]['GeneratedLongevityPay']['monthly_rate'] = convert_to_formatted_number($results[$x]['GeneratedLongevityPay']['monthly_rate']);
			// }
			// if(isset($result['GeneratedLongevityPay']['longevity_pay_amount'])){
				// $results[$x]['GeneratedLongevityPay']['longevity_pay_amount'] = convert_to_formatted_number($results[$x]['GeneratedLongevityPay']['longevity_pay_amount']);
			// }

		}

		return $results;
	}
}
?>