<?php
App::uses('AppModel', 'Model');

class GeneratedProductivityEnhancementIncentive extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
		'ProductivityEnhancementIncentive' => array(
			'className' => 'ProductivityEnhancementIncentive',
			'foreignKey' => 'productivity_enhancement_incentive_code',
			'conditions' => array(
				'ProductivityEnhancementIncentive.status' => 'Active'
			)
		),
		
	);

	
	
}
?>