<?php
App::uses('AppModel', 'Model');

class JobTitleRequirement extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	
	
	public $belongsTo = array(
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		
		if(!isset($this->data['JobTitleRequirement']['id']) ) {
			$this->data['JobTitleRequirement']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['JobTitleRequirement']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['JobTitleRequirement']['status'] = 'Active';
		}
		else {
			$this->data['JobTitleRequirement']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>