<?php
App::uses('AppModel', 'Model');

class LeaveClassificationEligibleEmployee extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $validate = array(
        // 'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Leave Classification Name is already used.',
			// ),
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Leave Classification Name is required.'
			// )
        // ),
		 // 'code' => array(
			// 'code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Leave Classification Code is already used.',
			// ),
			// 'code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Leave Classification Code is required.'
			// )
        // ),
		// 'leave_per_year' => array(
			// 'leave_per_year logic 1' => array(
				// 'rule' => 'numeric',
				// 'message' => 'Numbers only.',
				// 'allowEmpty' => true,
			// ),
		// ),
	);
	
	public $belongsTo = array(
		'LeaveClassification' => array(
			'className' => 'LeaveClassification',
			'foreignKey' => 'leave_classification_code',
			'conditions' => array(
				'LeaveClassification.status' => 'Active'
			)
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveClassificationEligibleEmployee']['id'])) {
			$this->data['LeaveClassificationEligibleEmployee']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveClassificationEligibleEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveClassificationEligibleEmployee']['status'] = 'Active';
		}
		else {
			$this->data['LeaveClassificationEligibleEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>