<?php
App::uses('AppModel', 'Model');

class LeaveMonetization extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $validate = array(
		// 'name' => array(
			// 'rule'		=> 'isUnique',
			// 'message'	=> 'Name is already used.',
			// 'on' => 'create',
        // ),
	);
	public $belongsTo = array(
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
		),
		// 'GeneratedLeaveMonetization' => array(
			// 'className' => 'GeneratedLeaveMonetization',
			// 'foreignKey' => 'leave_monetization_code',
			// 'conditions' => array(
				// 'GeneratedLeaveMonetization.status' => 'Active'
			// ),
		// ),
	);
	
	public $hasMany = array(	
		'GeneratedLeaveMonetization' => array(
			'className' => 'GeneratedLeaveMonetization',
			'foreignKey' => 'leave_monetization_code',
			'conditions' => array(
				'GeneratedLeaveMonetization.status' => 'Active'
			),
		),
	);
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveMonetization']['code'])) {
			$this->data['LeaveMonetization']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveMonetization']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveMonetization']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LVMTN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['LeaveMonetization']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LeaveMonetization']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>