<?php
App::uses('AppModel', 'Model');

class LongevityPay extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'net_amount_due';

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	
	// public $hasMany = array(
		// 'EmployeeLongevityPay' => array(
			// 'className' => 'EmployeeLongevityPay',
			// 'foreignKey' => 'longevity_pay_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// )
	// );
	public function beforeSave($options = array()) {
		
		if(!isset($this->data['LongevityPay']['id'])) {
			$this->data['LongevityPay']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LongevityPay']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LongevityPay']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LPN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['LongevityPay']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LongevityPay']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>