<?php
App::uses('AppModel', 'Model');

class Nationality extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['Nationality']['id'])) {
			$this->data['Nationality']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Nationality']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Nationality']['status'] = 'Active';
		}
		else {
			$this->data['Nationality']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>