<?php
App::uses('AppModel', 'Model');

class OvertimeAuthorityEntryList extends AppModel {
	
	// public $tablePrefix = 'filing_';
	// public $primaryKey = 'reference_number';
	public $actsAs = array('AuditLog.Auditable');
	
	public $hasMany= array(
		'OvertimeAuthorityEntryList' => array(
			'className' => 'OvertimeAuthorityEntryList',
			'foreignKey' => 'overtime_authority_entry_reference_number',
			// 'fields' => array(
				// 'OvertimeAuthorityEntryList.id',
				// 'OvertimeAuthorityEntryList.item_master_list_item_code',
				// 'ConsignmentOrderRequestEntryItem.quantity',
				// 'OvertimeAuthorityEntryList.original_quantity',
				// 'ConsignmentOrderRequestEntryItem.landed_cost',
				// 'ConsignmentOrderRequestEntryItem.remarks',
				// 'ConsignmentOrderRequestEntryItem.department_code'
			// ),
			'conditions' => array(
				'OvertimeAuthorityEntryList.status' => 'Active'
			)
		),
	);
	
	public $belongsTo = array(
		'AssignedEmployee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'AssignedEmployee.status' => 'Active'
			),
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	// public function beforeValidate($options = array()) {
		// if(isset($this->data['OvertimeAuthority']['date_from']) && validate_datetime($this->data['Overtime']['date_from'], 'm/d/Y')) {
			// $this->data['Overtime']['date_from'] = convert_datetime($this->data['Overtime']['date_from'], 'Y-m-d');
		// }	
		
		// if(isset($this->data['Overtime']['date_to']) && validate_datetime($this->data['Overtime']['date_to'], 'm/d/Y')) {
			// $this->data['Overtime']['date_to'] = convert_datetime($this->data['Overtime']['date_to'], 'Y-m-d');
		// }	
		
		// return true;
	// }	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['OvertimeAuthorityEntryList']['id'])) {
			$this->data['OvertimeAuthorityEntryList']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OvertimeAuthorityEntryList']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OvertimeAuthorityEntryList']['status'] = 'Active';
		
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			// $code_char = 'OT';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $year = $reference['ReferenceCode']['year_code'];
			
			// if($year != date('Y')){
				// $year= date('Y');
				// $ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				// $code_number=1;
			// }

			// $this->data['Overtime']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['OvertimeAuthorityEntryList']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>