<?php
App::uses('AppModel', 'Model');

class ProductivityEnhancementIncentive extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
	
	);
	public $hasMany = array(
		'GeneratedProductivityEnhancementIncentive' => array(
			'className' => 'GeneratedProductivityEnhancementIncentive',
			'foreignKey' => 'productivity_enhancement_incentive_code',
			'conditions' => array(
				'GeneratedProductivityEnhancementIncentive.status' => 'Active'
			)
		),
		
	);
	


	public function beforeSave($options = array()) {

		$this->data['ProductivityEnhancementIncentive'] = AppModel::fix_date_format(
			$this->data['ProductivityEnhancementIncentive'],
			array('assumption_date')
		);
		if(!isset($this->data['ProductivityEnhancementIncentive']['code'])) {
			$this->data['ProductivityEnhancementIncentive']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ProductivityEnhancementIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ProductivityEnhancementIncentive']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'PEI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['ProductivityEnhancementIncentive']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			// $this->data['ProductivityEnhancementIncentive']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ProductivityEnhancementIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		
		return true;
	}
	
}
?>