<?php
App::uses('AppModel', 'Model');

class QualifiedApplicantsForPreEmploymentExamDetail extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $useTable = 'recruitment_qualified_applicants_for_pre_employment_exam_details';
	public $primaryKey = 'batch_number';
	
	// public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'service_years' => array(
			// 'service_years logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Service Year is required.'
			// ),
        // ),
		// 'employeer_name' => array(
			// 'employeer_name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employeer Name is required.'
			// ),
        // ),
		// 'industry_code' => array(
			// 'industry_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Industry is required.'
			// ),
        // ),
		// 'address' => array(
			// 'address logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Address is required.'
			// ),
        // ),
		// 'position_code' => array(
			// 'position_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Position is required.'
			// ),
        // ),
		// 'from' => array(
			// 'from logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date From is required.'
			// ),
        // ),
		// 'to' => array(
			// 'to logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date To is required.'
			// ),
        // ),
		// 'salary_grade' => array(
			// 'salary_grade logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Salary Grade is required.'
			// ),
        // ),
		// 'step_increment' => array(
			// 'step_increment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Step Increment is required.'
			// ),
        // ),
		// 'work_field' => array(
			// 'work_field logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Work Field is required.'
			// ),
        // ),
		
	);
	public $hasMany = array(
		'QualifiedApplicantsForPreEmploymentExam' => array(
			'className' => 'QualifiedApplicantsForPreEmploymentExam',
			'foreignKey' => 'batch_number',
			'conditions' => array(
				'QualifiedApplicantsForPreEmploymentExam.status' => 'Active'
			),
		),
		// 'StatusOfAppointment' => array(
			// 'className' => 'StatusOfAppointment',
			// 'foreignKey' => 'status_of_appointment_code',
			// 'conditions' => array(
				// 'StatusOfAppointment.status' => 'Active'
			// ),
		// ),
	);
	
	public $belongsTo = array(
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
		'JobTitleItemNumber' => array(
			'className' => 'JobTitleItemNumber',
			'foreignKey' => 'item_number',
			'conditions' => array(
				'JobTitleItemNumber.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['QualifiedApplicantsForPreEmploymentExamDetail']['id'])) {
			$this->data['QualifiedApplicantsForPreEmploymentExamDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['QualifiedApplicantsForPreEmploymentExamDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['QualifiedApplicantsForPreEmploymentExamDetail']['status'] = 'Active';
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'QAFPEX';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['QualifiedApplicantsForPreEmploymentExamDetail']['batch_number'] = date('mdY-').$code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['QualifiedApplicantsForPreEmploymentExamDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		// foreach($results as $x => $result){
			// if(isset($result['RecruitmentApplicantWorkHistory']['from'])){
				// $results[$x]['RecruitmentApplicantWorkHistory']['from'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantWorkHistory']['from']));
			// }
			
			// if(isset($result['RecruitmentApplicantWorkHistory']['to'])){
				// $results[$x]['RecruitmentApplicantWorkHistory']['to'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantWorkHistory']['to']));
			// }
			// if(isset($result['RecruitmentApplicantWorkHistory']['separation_date'])){
				// $results[$x]['RecruitmentApplicantWorkHistory']['separation_date'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantWorkHistory']['separation_date']));
			// }
		// }

		// return $results;
	}
}
?>