<?php
App::uses('AppModel', 'Model');

class RecruitmentApplicantEligibility extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	
	// public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'service_years' => array(
			// 'service_years logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Service Year is required.'
			// ),
        // ),
		// 'employeer_name' => array(
			// 'employeer_name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employeer Name is required.'
			// ),
        // ),
		// 'industry_code' => array(
			// 'industry_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Industry is required.'
			// ),
        // ),
		// 'address' => array(
			// 'address logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Address is required.'
			// ),
        // ),
		// 'position_code' => array(
			// 'position_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Position is required.'
			// ),
        // ),
		// 'from' => array(
			// 'from logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date From is required.'
			// ),
        // ),
		// 'to' => array(
			// 'to logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date To is required.'
			// ),
        // ),
		// 'salary_grade' => array(
			// 'salary_grade logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Salary Grade is required.'
			// ),
        // ),
		// 'step_increment' => array(
			// 'step_increment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Step Increment is required.'
			// ),
        // ),
		// 'work_field' => array(
			// 'work_field logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Work Field is required.'
			// ),
        // ),
		
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		// 'StatusOfAppointment' => array(
			// 'className' => 'StatusOfAppointment',
			// 'foreignKey' => 'status_of_appointment_code',
			// 'conditions' => array(
				// 'StatusOfAppointment.status' => 'Active'
			// ),
		// ),
	);
	
	public function beforeValidate($options = array()) {

		if(isset($this->data['RecruitmentApplicantEligibility']['date_of_examination']) && validate_datetime($this->data['RecruitmentApplicantEligibility']['date_of_examination'], 'm/d/Y')) {
			$this->data['RecruitmentApplicantEligibility']['date_of_examination'] = convert_datetime($this->data['RecruitmentApplicantEligibility']['date_of_examination'], 'Y-m-d');
		}	
		
		if(isset($this->data['RecruitmentApplicantEligibility']['date_of_validity']) && validate_datetime($this->data['RecruitmentApplicantEligibility']['date_of_validity'], 'm/d/Y')) {
			$this->data['RecruitmentApplicantEligibility']['date_of_validity'] = convert_datetime($this->data['RecruitmentApplicantEligibility']['date_of_validity'], 'Y-m-d');
		}
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		$user_id = '';
		if(isset($_SESSION['Auth']['User']['id'])){
			$user_id = $_SESSION['Auth']['User']['id'];
		}else{
			$user_id = 0;
		}
		if(!isset($this->data['RecruitmentApplicantEligibility']['id'])) {
			$this->data['RecruitmentApplicantEligibility']['created_by'] =$user_id ;
			$this->data['RecruitmentApplicantEligibility']['modified_by'] = $user_id ;
			$this->data['RecruitmentApplicantEligibility']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['RecruitmentApplicantEligibility']['modified_by'] = $user_id ;
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['RecruitmentApplicantEligibility']['date_of_examination'])){
				$results[$x]['RecruitmentApplicantEligibility']['date_of_examination'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantEligibility']['date_of_examination']));
			}
			
			if(isset($result['RecruitmentApplicantEligibility']['date_of_validity'])){
				$results[$x]['RecruitmentApplicantEligibility']['date_of_validity'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantEligibility']['date_of_validity']));
			}
			
		}

		return $results;
	}
}
?>