<?php
App::uses('AppModel', 'Model');

class StatementOfAssetsLiabilityAndNetwork extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	// public $validate = array(
        // 'employee_code' => array(
			// 'employee_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
		// 'date_passed' => array(
			// 'date_passed logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date Pass is required.'
			// ),
		
        // ),
		// 'title' => array(
			// 'title logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Title Path is required.'
			// ),
        // ),
		// 'attachment' => array(
			// 'attachment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Attachment Path is required.'
			// ),
        // ),
	// );
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		
		
	);
	public $hasMany= array(
		'RealProperty' => array(
			'className' => 'RealProperty',
			'foreignKey' => 'statement_of_assets_liability_and_network_code',

			'conditions' => array(
				'RealProperty.status' => 'Active'
			)
		),
		'PersonalProperty' => array(
			'className' => 'PersonalProperty',
			'foreignKey' => 'statement_of_assets_liability_and_network_code',

			'conditions' => array(
				'PersonalProperty.status' => 'Active'
			)
		),
		'Liability' => array(
			'className' => 'Liability',
			'foreignKey' => 'statement_of_assets_liability_and_network_code',

			'conditions' => array(
				'Liability.status' => 'Active'
			)
		),
		'BusinessInterestsAndFinancialConnection' => array(
			'className' => 'BusinessInterestsAndFinancialConnection',
			'foreignKey' => 'statement_of_assets_liability_and_network_code',

			'conditions' => array(
				'BusinessInterestsAndFinancialConnection.status' => 'Active'
			)
		),
		'Document' => array(
			'className' => 'Document',
			'foreignKey' => 'statement_of_assets_liability_and_network_code',

			'conditions' => array(
				'Document.status' => 'Active'
			)
		),
	);
	// public function beforeValidate($options = array()) {
		// if(isset($this->data['CivilService']['date_passed']) && validate_datetime($this->data['CivilService']['date_passed'], 'm/d/Y')) {
			// $this->data['CivilService']['date_passed'] = convert_datetime($this->data['CivilService']['date_passed'], 'Y-m-d');
		// }	
			
		// return true;
	// }
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['StatementOfAssetsLiabilityAndNetwork']['id'])) {
			$this->data['StatementOfAssetsLiabilityAndNetwork']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['StatementOfAssetsLiabilityAndNetwork']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['StatementOfAssetsLiabilityAndNetwork']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			$code_char = 'SALN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['StatementOfAssetsLiabilityAndNetwork']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
			// $code_char = 'SALN';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['StatementOfAssetsLiabilityAndNetwork']['real_property_code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['StatementOfAssetsLiabilityAndNetwork']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>