<?php
App::uses('AppModel', 'Model');

class TempSeparationStatus extends AppModel {
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		)	
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempSeparationStatus']['id'])) {
			$this->data['TempSeparationStatus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempSeparationStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempSeparationStatus']['status'] = 'Active';
		}
		else {
			$this->data['TempSeparationStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempSeparationStatus']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
}
?>