<?php
	$this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
		' Home' => array('url' => array('controller' => 'home', 'action' => 'index', 'prefix' => 'hris')),
		// ' Organizational Charts' => array('url' => array('controller' => 'organizational_charts', 'action' => 'index', 'prefix' => 'hris')),
		'  My Account' => array(
			'children' => array(
			
				'My Personal Information' => array('url' => array('controller' => 'temp_employees', 'action' => 'my_edit_temp_employee', 'prefix' => 'hris')),
				
				'My Payslip Report' => array('url' => array('controller' => 'payslip_reports', 'action' => 'my_payslip_report', 'prefix' => 'hris')),
				
				// 'My Summary of Benefits Report' => array('url' => array('controller' => 'income_and_benefits', 'action' => 'my_summary_of_benefits', 'prefix' => 'hris')),
				
				'My Contribution Reports'=>array(
					'children' => array(
						'GSIS Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'gsis_contribution_report', 'prefix' => 'hris')),
						'PHIC Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris')),
						'PAGIBIG Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'pagibig_contribution_report', 'prefix' => 'hris')),
						'Tax Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
					)
				),
				// 'My Memo' => array('url' => array('controller' => 'memo_headers', 'action' => 'my_index', 'prefix' => 'hris')),
				// 'My Schedule Report' => array('url' => array('controller' => 'schedule_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				// 'My Attendance Report' => array('url' => array('controller' => 'attendance_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Daily Time Record - CS Form No. 48' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Daily Time Record ( Internal )' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'my_daily_time_record_internal', 'prefix' => 'hris')),
				
				// 'My Overtime Report' => array('url' => array('controller' => 'overtime_reports', 'action' => 'index', 'prefix' => 'hris')),

				'My Leave Report' => array(
					'children' => array(
						'  Approved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Approved', 'prefix' => 'hris')),
						'  Disapproved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Disapproved', 'prefix' => 'hris')),
						'  Pending' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Pending', 'prefix' => 'hris')),
						'  Cancelled' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Cancelled', 'prefix' => 'hris')),
						'  Void' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Void', 'prefix' => 'hris')),
						'  On Process' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','OnProcess', 'prefix' => 'hris')),
				)),
				
				// 'Application for Special Privilege Leave' => array('url' => array('controller' => 'application_for_special_privilege_leaves', 'action' => 'index', 'prefix' => 'hris')),							
				'My Compensatory' => array('url' => array('controller' => 'compensatories', 'action' => 'my_compensatory', 'prefix' => 'hris')),								
				'My Time Dispute' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'my_temp_time_dispute', 'prefix' => 'hris')),
				'My Permission to Leave' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'my_permission_to_leave', 'prefix' => 'hris')),
				'My Loan And Payment' => array('url' => array('controller' => 'loan_and_payments', 'action' => 'my_loan_and_payment', 'prefix' => 'hris')),
				'Vacancy' => array(
					'children' => array(
						'Plantilla' => array('url' => array('controller' => 'vacancies', 'action' => 'my_vacancies_index', 'prefix' => 'hris')),
						'Contractual of Service' => array('url' => array('controller' => 'vacancies', 'action' => 'my_job_order_index', 'prefix' => 'hris')),
					)
				)

		)),
		'  Credentials' => array(
			'children' => array(
				'  User Privileges' => array('url' => array('controller' => 'user_privileges', 'action' => 'index', 'prefix' => 'hris')),
				
				'  Users' => array('url' => array('controller' => 'users', 'action' => 'index', 'prefix' => 'hris')),
		)),
		'  Employee Information' => array(
			'children' => array(
				// 'Personal Information' => array('url' => array('controller' => 'employees', 'action' => 'index', 'prefix' => 'hris')),'Personal Information' => array('url' => array('controller' => 'employees', 'action' => 'index', 'prefix' => 'hris')),

				'Personal Information' => array(
					'children' => array(
						'  List of Active Employees' => array('url' => array('controller' => 'employees', 'action' => 'active_index', 'prefix' => 'hris')),
						'  List of Inactive Employees' => array('url' => array('controller' => 'employees', 'action' => 'inactive_index', 'prefix' => 'hris')),
						
				)),
										
				'Position Details' => array('url' => array('controller' => 'position_details', 'action' => 'employee_position_details', 'prefix' => 'hris')),
				'201 Files' => array('url' => array('controller' => 'document_201_files', 'action' => 'index', 'prefix' => 'hris')),
				// 'Learning and Development' => array(
				// 	'children' => array(
						// ' Approved' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'approved_learning_and_development_monitoring', 'prefix' => 'hris')),
						// ' Pending' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'pending_learning_and_development_monitoring', 'prefix' => 'hris')),
						// ' Learning and Development Monitoring' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'add_learning_and_development_monitoring', 'prefix' => 'hris')),
						// ' Learning and Development Monitoring' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'learning_and_development_monitoring', 'prefix' => 'hris')),
						// ' Assessment Tools' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'learning_and_development_assessment_tool', 'prefix' => 'hris')),
						// ' Training Summary Report' => array('url' => array('controller' => 'learning_and_development_headers', 'action' => 'training_summary_report_index', 'prefix' => 'hris')),
						// ' Individual Learning And Development Monitoring' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'individual_learning_and_development_monitoring_report', 'prefix' => 'hris')),
						// ' Individual Learning And Development Monitoring' => array('url' => array('controller' => 'individual_learning_and_development_monitorings', 'action' => 'index', 'prefix' => 'hris')),
				// )),
				
				'Performance Appraisal Management' => array(
					'children' => array(
						' Performance Appraisal Management Entry' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'index', 'prefix' => 'hris')),
						'	PBB Form 1.0 Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'print_pbb_index_1_0', 'prefix' => 'hris')),
						'	PBB Form 1.1 Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'pbb_1_1_index', 'prefix' => 'hris')),
						'	PBB Form 1.2 Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'pbb_1_2_index', 'prefix' => 'hris')),
						
						// ' Performance Appraisal Management Entry' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'performance_appraisal_index', 'prefix' => 'hris')),
						' Performance-Based Bonus Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'pbb_index', 'prefix' => 'hris')),
						// '  Exams' => array('url' => array('controller' => 'exams', 'action' => 'index', 'prefix' => 'hris')),
						// '  Applicants' => array('url' => array('controller' => 'applicants', 'action' => 'index', 'prefix' => 'hris')),
						// '  List of Applications' => array('url' => array('controller' => 'applicant_applied_positions', 'action' => 'index', 'prefix' => 'hris')),
				)),
				
		
				'Filing' => array(
					'children' => array(
						'Compensatory' => array('url' => array('controller' => 'compensatories', 'action' => 'index', 'prefix' => 'hris')),
						'Overtime' => array('url' => array('controller' => 'overtimes', 'action' => 'index', 'prefix' => 'hris')),
						'Leave' => array('url' => array('controller' => 'leave_entries', 'action' => 'index', 'prefix' => 'hris')),
						'Permission to Leave ' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'index', 'prefix' => 'hris')),
						// 'Request Change Shift' => array('url' => array('controller' => 'request_change_shifts', 'action' => 'index', 'prefix' => 'hris')),
						'Retirement' => array('url' => array('controller' => 'retirements', 'action' => 'index', 'prefix' => 'hris')),
						// 'Under Time' => array('url' => array('controller' => 'under_time_entries', 'action' => 'index', 'prefix' => 'hris')),
						'Time Dispute' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'index', 'prefix' => 'hris')),
						// 'Hourly Attendance' => array('url' => array('controller' => 'hourly_attendances', 'action' => 'index', 'prefix' => 'hris')),
				
					)
				),
				'Approvals' => array(
					'children' => array(
						'Compensatory Approval' => array('url' => array('controller' => 'compensatories', 'action' => 'compensatory_approval_list', 'prefix' => 'hris')),
						'Overtime Approval' => array('url' => array('controller' => 'overtimes', 'action' => 'overtime_approval_list', 'prefix' => 'hris')),
						'Leave Approval' => array('url' => array('controller' => 'leave_entries', 'action' => 'leave_entry_approval_list', 'prefix' => 'hris')),
						'Permission to Leave Approval' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'permission_to_leave_approval_list', 'prefix' => 'hris')),
						// 'Request Change Shift  Approval' => array('url' => array('controller' => 'request_change_shifts', 'action' => 'request_change_shift_approval_list', 'prefix' => 'hris')),
						'Retirement  Approval' => array('url' => array('controller' => 'retirements', 'action' => 'retirement_approval_list', 'prefix' => 'hris')),
						// 'Under Time Approval' => array('url' => array('controller' => 'under_time_entries', 'action' => 'under_time_entry_approval_list', 'prefix' => 'hris')),
						'Time Dispute Approval' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'temp_time_dispute_approval_list', 'prefix' => 'hris')),
						// 'Hourly Attendance Approval' => array('url' => array('controller' => 'hourly_attendances', 'action' => 'hourly_attendance_approval_list', 'prefix' => 'hris')),
					
					)
				),
				
				'Reports' => array('url' => array('controller' => 'employee_personal_information_reports', 'action' => 'list_of_all_employee', 'prefix' => 'hris')),
				'Demographic Reports' => array('url' => array('controller' => 'demographic_reports', 'action' => 'actual_head_count', 'prefix' => 'hris')),
				// 'Employee Management'=>array(
				// 	'children' => array(
					
						// 'Notification' => array('url' => array('controller' => 'notification_headers', 'action' => 'index', 'prefix' => 'hris')),

						// 'Memo' => array('url' => array('controller' => 'memo_headers', 'action' => 'index', 'prefix' => 'hris')),
						
						// 'Learning and Development' => array('url' => array('controller' => 'learning_and_development_headers', 'action' => 'index', 'prefix' => 'hris')),
					
				
				// 	)
				// ),
				// 'Loyalty Incentive Pay' => array(
					// 'children' => array(
						// 'Approved' => array('url' => array('controller' => 'loyalty_incentive_pays', 'action' => 'index', 'prefix' => 'hris')),
						// 'Pending' => array('url' => array('controller' => 'loyalty_incentive_pays', 'action' => 'pending_loyalty_incentive_pay', 'prefix' => 'hris')),
					// )
				// ),
				
				// 'Longevity Pay' => array(
					// 'children' => array(
						// 'Approved' => array('url' => array('controller' => 'longevity_pays', 'action' => 'index', 'prefix' => 'hris')),
						// 'Pending' => array('url' => array('controller' => 'longevity_pays', 'action' => 'pending_longevity_pay', 'prefix' => 'hris')),
					// )
				// ),
				
				// 'Step Increment' => array(
					// 'children' => array(
						// 'Approved' => array('url' => array('controller' => 'step_increments', 'action' => 'index', 'prefix' => 'hris')),
						// 'Pending' => array('url' => array('controller' => 'step_increments', 'action' => 'pending_step_increment_index', 'prefix' => 'hris')),
					// )
				// ),	
				// '  Service Record Report' => array('url' => array('controller' => 'work_histories', 'action' => 'employee_service_record', 'prefix' => 'hris')),
				'Service Record' => array(
					'children' => array(
						'Employee Service Record' => array('url' => array('controller' => 'service_records', 'action' => 'index', 'prefix' => 'hris')), 
						'Employee Service Record Report' => array('url' => array('controller' => 'service_records', 'action' => 'service_record_report', 'prefix' => 'hris')), 
					
					)
				),
				// '  Certificate Of Employment' => array('url' => array('controller' => 'employee_reports', 'action' => 'certificate_of_employment', 'prefix' => 'hris')),
				'  Certificate of Employment' => array('url' => array('controller' => 'certificates', 'action' => 'certificate_of_employment', 'prefix' => 'hris')),
				'  Certificate of COC Earned' => array('url' => array('controller' => 'employee_reports', 'action' => 'certificate_of_coc_earned', 'prefix' => 'hris')),
				
				// '  Hospital Personnel Order Printing' => array('url' => array('controller' => 'employee_reports', 'action' => 'hospital_personnel_order_with_registration_fee', 'prefix' => 'hris')),
				// '  Certificate of Employment List' => array(
					// 'children'=>array(
						
						
						// 'Monthly Pay Certificate Of Employment'=>array('url' => array('controller' => 'employee_reports', 'action' => 'monthly_pay_certificate_of_employment', 'prefix' => 'hris')),
						
						
						
					// )
				// ),
				'  Notice of Salary Adjustment' => array('url' => array('controller' => 'salary_grades', 'action' => 'notice_of_salary_adjustment', 'prefix' => 'hris')),
				'  Notice of Salary Increase' => array('url' => array('controller' => 'step_increments', 'action' => 'notice_of_step_increment', 'prefix' => 'hris')),
				
		)),
		
		
		
		'Appointment' => array(
			'children' => array(
				'  Appointment Entry' => array('url' => array('controller' => 'appointment_entries', 'action' => 'index', 'prefix' => 'hris')),
				'  Reports' => array('url' => array('controller' => 'employee_personal_information_reports', 'action' => 'employee_appointment_reports', 'prefix' => 'hris')),
				// 'Filing' => array(
					// 'children' => array(
							// 'filing Promotion' => array('url' => array('controller' => 'promotions', 'action' => 'index', 'prefix' => 'hris')),

							// '</i>filing Transfer' => array('url' => array('controller' => 'transfers', 'action' => 'index', 'prefix' => 'hris')),

							// 'filing Re-Employment' => array('url' => array('controller' => 're_employments', 'action' => 'index', 'prefix' => 'hris')),

							// 'filing Re-Appointment' => array('url' => array('controller' => 're_appointments', 'action' => 'index', 'prefix' => 'hris')),

							// 'filing Renewal' => array('url' => array('controller' => 'renewals', 'action' => 'index', 'prefix' => 'hris')), 

							// 'filing Demotion' => array('url' => array('controller' => 'demotions', 'action' => 'index', 'prefix' => 'hris')),

							// 'filing Reinstatement' => array('url' => array('controller' => 'reinstatements', 'action' => 'index', 'prefix' => 'hris')),

							// 'filing Change of Status' => array('url' => array('controller' => 'change_of_status', 'action' => 'index', 'prefix' => 'hris')),

							// 'filing Reclassification of Position' => array('url' => array('controller' => 'reclassification_of_positions', 'action' => 'index', 'prefix' => 'hris')),
							
							
					// )
				// ),
				// 'Approvals' => array(
					// 'children' => array(
						// 'Promotion Approvals' => array('url' => array('controller' => 'promotions', 'action' => 'promotion_approval_list', 'prefix' => 'hris')),

						// 'Transfer Approvals' => array('url' => array('controller' => 'transfers', 'action' => 'transfer_approval_list', 'prefix' => 'hris')),

						// 'Re-Employment Approvals' => array('url' => array('controller' => 're_employments', 'action' => 're_employment_approval_list', 'prefix' => 'hris')),

						// 'Re-Appointment Approvals' => array('url' => array('controller' => 're_appointments', 'action' => 're_appointment_approval_list', 'prefix' => 'hris')),

						// 'Renewal Approvals' => array('url' => array('controller' => 'renewals', 'action' => 'renewal_approval_list', 'prefix' => 'hris')),

						// 'Demotion Approvals' => array('url' => array('controller' => 'demotions', 'action' => 'demotion_approval_list', 'prefix' => 'hris')),

						// 'Reinstatement Approvals' => array('url' => array('controller' => 'reinstatements', 'action' => 'reinstatement_approval_list', 'prefix' => 'hris')),

						// 'Change of Status Approvals' => array('url' => array('controller' => 'change_of_status', 'action' => 'change_of_status_approval_list', 'prefix' => 'hris')),

						// 'Reclassification of Position Approvals' => array('url' => array('controller' => 'reclassification_of_positions', 'action' => 'reclassification_of_position_approval_list', 'prefix' => 'hris')),
					// )
				// ),
				
				
			)
		),
		
		// ' Other Personnel Action' => array(
			// 'children' => array(
				
				// '  Reassignment' => array('url' => array('controller' => 'reassignments', 'action' => 'index', 'prefix' => 'hris')),
				// '  Job Rotation' => array('url' => array('controller' => 'job_rotations', 'action' => 'index', 'prefix' => 'hris')),
				// '  Secondment' => array('url' => array('controller' => 'secondments', 'action' => 'index', 'prefix' => 'hris')),
				// '  Change in Item Number' => array('url' => array('controller' => 'change_in_item_numbers', 'action' => 'index', 'prefix' => 'hris')),
				// '  Recall' => array('url' => array('controller' => 'recalls', 'action' => 'index', 'prefix' => 'hris')),
				// '  Suspension'=>array(
					// 'children' => array(
						// '  Filing' => array('url' => array('controller' => 'suspensions', 'action' => 'index', 'prefix' => 'hris')),
						// '  Approval' => array('url' => array('controller' => 'suspensions', 'action' => 'suspension_approval_list', 'prefix' => 'hris')),
					// )
				// ),
		// )),
		'Recruitment' => array(
				'children' => array(
					'  Vacancy' => array(
						'children' => array(
							'Plantilla' => array('url' => array('controller' => 'vacancy_plantillas', 'action' => 'index', 'prefix' => 'hris')),
							'Contractual of Service' => array('url' => array('controller' => 'vacancy_job_orders', 'action' => 'index', 'prefix' => 'hris')),
							// '  Job for Opening' => array(
						// 'children' => array(
							// 'Jobs for Opening Plantilla List' => array('url' => array('controller' => 'job_opening_plantillas', 'action' => 'index', 'prefix' => 'hris')),
							// 'Jobs for Opening Contractual of Service List' => array('url' => array('controller' => 'job_opening_job_orders', 'action' => 'index', 'prefix' => 'hris')),
							
						
						// )),
							// 'Plantilla' => array('url' => array('controller' => 'vacancies', 'action' => 'index', 'prefix' => 'hris')),
							
							// 'Job Order' => array('url' => array('controller' => 'vacancies', 'action' => 'job_order', 'prefix' => 'hris')),
							// 'View All Plantilla Vacancy List' => array('url' => array('controller' => 'plantilla_vacancies', 'action' => 'index', 'prefix' => 'hris')),
							
							
							// 'View All Contractual of Service Vacancy List' => array('url' => array('controller' => 'job_order_vacancies', 'action' => 'index', 'prefix' => 'hris')),
						)),
					// '  Exams' => array('url' => array('controller' => 'exams', 'action' => 'index', 'prefix' => 'hris')),
					'  Applicants' => array('url' => array('controller' => 'applicants', 'action' => 'index', 'prefix' => 'hris')),
					'  List of Applications' => array('url' => array('controller' => 'applicant_applied_positions', 'action' => 'index', 'prefix' => 'hris')),
					'  Matrix Sheet for Appointment' => array('url' => array('controller' => 'recruitment_reports', 'action' => 'matrix_sheet_for_appointment', 'prefix' => 'hris')),
					// '  Reports' => array(
						// 'children' => array(
							// 'Applicant Attendance And Score Report' => array('url' => array('controller' => 'applicant_attendance_and_score_reports', 'action' => 'applicant_attendance_and_score_report', 'prefix' => 'hris')),
							// 'Initial Screening Report' => array('url' => array('controller' => 'recruitment_reports', 'action' => 'initial_screening_report', 'prefix' => 'hris')),
							// 'Application History Report' => array('url' => array('controller' => 'recruitment_reports', 'action' => 'application_history_report', 'prefix' => 'hris')),
							// 'Notice of Vacancy Report' => array('url' => array('controller' => 'recruitment_reports', 'action' => 'notice_of_vacancy_report', 'prefix' => 'hris')),
							// 'Qualified Applicants for Pre-Employment Report' => array('url' => array('controller' => 'qualified_applicants_for_pre_employment_exam_details', 'action' => 'index', 'prefix' => 'hris')),
							// 'Endorsement to Division Report' => array('url' => array('controller' => 'recruitment_reports', 'action' => 'endorsement_to_division_report', 'prefix' => 'hris')),
						// )),
				)),
		' Time Management' => array(
			'children' => array( 
				'Attendance Monitoring' => array('url' => array('controller' => 'attendance_monitoring', 'action' => 'index', 'prefix' => 'hris')),
				// 'Certification' => array('url' => array('controller' => 'certificates', 'action' => 'index', 'prefix' => 'hris')),
				'Employee Schedule' => array('url' => array('controller' => 'schedules', 'action' => 'index', 'prefix' => 'hris')),
				'Employee Shift' => array('url' => array('controller' => 'shifts', 'action' => 'index', 'prefix' => 'hris')),
				'View Schedule List' => array('url' => array('controller' => 'schedules', 'action' => 'list_view', 'prefix' => 'hris')), 
				'DTR - Review and Finalize' => array('url' => array('controller' => 'daily_time_record_periods', 'action' => 'index', 'prefix' => 'hris')),
				'Holiday List' => array('url' => array('controller' => 'holidays', 'action' => 'index', 'prefix' => 'hris')),
				// 'Hospital Personnel Order Submission for DTR' => array(
					// 'children' => array(
						// 'For Approval HPO' => array('url' => array('controller' => 'hospital_personnel_order_submission_for_dtrs', 'action' => 'hpo_approval_list', 'prefix' => 'hris')),
						// 'List of HPO' => array('url' => array('controller' => 'hospital_personnel_order_submission_for_dtrs', 'action' => 'index', 'prefix' => 'hris')),
					// )
				// ),
				'Leave Ledger' => array(
					'children' => array(
						'Generate Leave Ledger' => array('url' => array('controller' => 'leave_cards', 'action' => 'index', 'prefix' => 'hris')),
						'Leave Balance History' => array('url' => array('controller' => 'leave_credit_earneds', 'action' => 'leave_balance_history', 'prefix' => 'hris')),
						// 'Computerized Employees Leave Card (For Retired and Resigned only)' => array('url' => array('controller' => 'leave_cards', 'action' => 'leave_card_for_retired_and_resigned_index', 'prefix' => 'hris')),
				)),
				'Leave Credits Earned' => array(
					'children' => array(
						'Leave Earned per Month' => array('url' => array('controller' => 'leave_credit_earneds', 'action' => 'index', 'prefix' => 'hris')),
						// 'Leave Earned per Employee' => array('url' => array('controller' => 'leave_credit_earneds', 'action' => 'leave_earned_per_employee', 'prefix' => 'hris')),
				)), 
				// 'Multiple Overtime' => array(
					// 'children' => array(
						// 'Filing' => array('url' => array('controller' => 'multiple_overtimes', 'action' => 'index', 'prefix' => 'hris')),
						// 'Approval' => array('url' => array('controller' => 'multiple_overtimes', 'action' => 'multiple_overtime_approval_list', 'prefix' => 'hris')), 
				// )),
				'Reports' => array(
					'children' => array(
						'  Absent Without Official Leave  Report' => array('url' => array('controller' => 'awol_reports', 'action' => 'index', 'prefix' => 'hris')),
						'  All Employee Leave Report' => array('url' => array('controller' => 'leave_entries', 'action' => 'employee_leave_entries_report', 'prefix' => 'hris')),
						'  Daily Time Record - CS Form No. 48' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'employee_daily_time_record', 'prefix' => 'hris')),
						'  Daily Time Record ( Internal )' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'employee_daily_time_record_internal', 'prefix' => 'hris')),
						'  Employee Attendance Report' => array('url' => array('controller' => 'time_entries', 'action' => 'employee_attendance_report', 'prefix' => 'hris')),
						'  Employee Leave Balance' => array('url' => array('controller' => 'leave_cards', 'action' => 'employee_leave_balance', 'prefix' => 'hris')),
						'  Habitual Tardiness Report' => array('url' => array('controller' => 'habitual_tardiness_reports', 'action' => 'index', 'prefix' => 'hris')),
						'  Habitual Undertime Report' => array('url' => array('controller' => 'habitual_undertime_reports', 'action' => 	'index', 'prefix' => 'hris')),	
						'  Habitual Time Dispute Report' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'index_habitual', 'prefix' => 'hris')), 
						'  Monthly Attendance Report' => array('url' => array('controller' => 'monthly_attendance_reports', 'action' => 'search_monthly_attendance_report', 'prefix' => 'hris')),
						'  No In And No Out Report' => array('url' => array('controller' => 'no_in_and_no_out_reports', 'action' => 'index', 'prefix' => 'hris')),
						'  OverTime Report' => array('url' => array('controller' => 'overtimes', 'action' => 'overtime_report', 'prefix' => 'hris')), 
						'  Off Duty Schedule Report ' => array('url' => array('controller' => 'employee_reports', 'action' => 'off_duty_schedule_report','prefix' => 'hris')),
						'  Perfect Attendance Report' => array('url' => array('controller' => 'perfect_attendance_reports', 'action' => 'index', 'prefix' => 'hris')),	
						'  Unauthorized Leave' => array('url' => array('controller' => 'leave_entries', 'action' => 'search_unauthorized_leave', 'prefix' => 'hris')), 
					)
				),
						
		)),
		'  Payroll Transaction' => array(
			'children' => array(
				'Payroll'=>array(
					'children' => array(
						// '  Obligation Request' => array('url' => array('controller' => 'obligation_requests', 'action' => 'index', 'prefix' => 'hris')),
						// '  Disbursement Voucher' => array('url' => array('controller' => 'disbursement_vouchers', 'action' => 'index', 'prefix' => 'hris')),
						
						
						'  Payroll Period' => array('url' => array('controller' => 'payroll_periods', 'action' => 'index', 'prefix' => 'hris')),
						
						'  Generate/Lock Payroll' => array('url' => array('controller' => 'generate_and_lock_payrolls', 'action' => 'index', 'prefix' => 'hris')),
						'  Exclude Employees From Payroll Period' => array('url' => array('controller' => 'exclude_from_payrolls', 'action' => 'index', 'prefix' => 'hris')),
					)
				),
				
				// 'Overtime Payroll'=>array(
					// 'children' => array(
						// 'Overtime Period' => array('url' => array('controller' => 'payroll_overtime_periods', 'action' => 'index', 'prefix' => 'hris')),
						// 'Generate/Lock Overtime Payroll' => array('url' => array('controller' => 'generated_payroll_overtimes', 'action' => 'index', 'prefix' => 'hris')),
					// )
				// ),
				
				// 'Night Differential Payroll'=>array(
					// 'children' => array(
						// 'Night Differential Period' => array('url' => array('controller' => 'payroll_night_differential_periods', 'action' => 'index', 'prefix' => 'hris')),
						// 'Generate/Lock Night Differential Payroll' => array('url' => array('controller' => 'generated_payroll_night_differentials', 'action' => 'index', 'prefix' => 'hris')),
					// )
				// ),
				// '  Clothing Allowance' => array('url' => array('controller' => 'clothing_allowances', 'action' => 'index', 'prefix' => 'hris')),
				// '  COOP Remittance Entry' => array('url' => array('controller' => 'coop_remittance_entries', 'action' => 'index', 'prefix' => 'hris')),
				// '  Hazard Payment' => array('url' => array('controller' => 'hazard_payments', 'action' => 'index', 'prefix' => 'hris')),
				'  Night Differential' => array('url' => array('controller' => 'generated_payroll_night_differentials', 'action' => 'index', 'prefix' => 'hris')),
				'  Income and Benefits' => array('url' => array('controller' => 'income_and_benefits', 'action' => 'index', 'prefix' => 'hris')),
				'  Deductions' => array('url' => array('controller' => 'deductions', 'action' => 'index', 'prefix' => 'hris')),
				'  Loan and Payments' => array('url' => array('controller' => 'loan_and_payments', 'action' => 'index', 'prefix' => 'hris')),
				// '  Philhealth Share' => array('url' => array('controller' => 'medicare_shares', 'action' => 'index', 'prefix' => 'hris')),
				'  Leave Monetization' => array('url' => array('controller' => 'leave_monetizations', 'action' => 'index', 'prefix' => 'hris')),
				// '  Case Rate Payment' => array('url' => array('controller' => 'case_rate_payments', 'action' => 'index', 'prefix' => 'hris')),
				// '  Professional Fees' => array('url' => array('controller' => 'professional_fees', 'action' => 'index', 'prefix' => 'hris')),
				'  Loyalty Incentive Pay' => array(
					'children' => array(
						'Pending Loyalty Incentive Pay' => array('url' => array('controller' => 'loyalty_incentive_pays', 'action' => 'pending_loyalty_incentive_pay', 'prefix' => 'hris')),
						'Approved Loyalty Incentive Pay' => array('url' => array('controller' => 'loyalty_incentive_pay_details', 'action' => 'index', 'prefix' => 'hris')),
						
					)
				),
				'Longevity Pay' => array(
					'children' => array(

						
						
						'Approved' => array('url' => array('controller' => 'longevity_pays', 'action' => 'index', 'prefix' => 'hris')),
						'Pending' => array('url' => array('controller' => 'longevity_pays', 'action' => 'pending_longevity_pay', 'prefix' => 'hris')),
						// 'Generate Quarterly Longevity Pay' => array('url' => array('controller' => 'payroll_longevity_pays', 'action' => 'index', 'prefix' => 'hris')),
						'Generate Longevity Pay' => array('url' => array('controller' => 'payroll_longevity_pays', 'action' => 'index', 'prefix' => 'hris')),
						
					)
				),
				'Step Increment' => array(
					'children' => array(
						'Approved' => array('url' => array('controller' => 'step_increments', 'action' => 'index', 'prefix' => 'hris')),
						'Pending' => array('url' => array('controller' => 'step_increments', 'action' => 'pending_step_increment_index', 'prefix' => 'hris')),
					)
				),	
				// '  Year End and Cash Gifts' => array('url' => array('controller' => 'year_end_bonus_and_cash_gifts', 'action' => 'index', 'prefix' => 'hris')),
				'  View All Year End and Cash Gift Bonus' => array('url' => array('controller' => 'year_end_bonus_and_cash_gifts', 'action' => 'index', 'prefix' => 'hris')),
				'  Mid Year Bonuses' => array('url' => array('controller' => 'mid_year_bonuses', 'action' => 'index', 'prefix' => 'hris')),
				// '  Year End Bonuses' => array('url' => array('controller' => 'year_end_bonuses', 'action' => 'index', 'prefix' => 'hris')),
				// '  Cash Gifts' => array('url' => array('controller' => 'cash_gifts', 'action' => 'index', 'prefix' => 'hris')),
				'  Anniversary Incentive' => array('url' => array('controller' => 'anniversary_incentives', 'action' => 'index', 'prefix' => 'hris')),
				// '  Affiliation Incentive' => array('url' => array('controller' => 'affiliation_incentives', 'action' => 'index', 'prefix' => 'hris')),
				'  Productivity Enhancement Incentive' => array('url' => array('controller' => 'productivity_enhancement_incentives', 'action' => 'index', 'prefix' => 'hris')),
				// '  Billing Incentives' => array('url' => array('controller' => 'billing_incentives', 'action' => 'index', 'prefix' => 'hris')),
		)),
		'  Payroll Reports' => array(
			'children' => array(
				'  Payslip Report' => array('url' => array('controller' => 'payslip_reports', 'action' => 'payslip_report', 'prefix' => 'hris')),
				
				'  Excluded Employees Report' => array('url' => array('controller' => 'exclude_from_payroll_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				// '  Philhealth Share Report' => array('url' => array('controller' => 'medicare_shares', 'action' => 'philhealth_share_general_payroll_report', 'prefix' => 'hris')),
				
				// '   PHIC Contribution Table' => array('url' => array('controller' => 'payroll_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris','target'=>'_blank')),
				
				// '   BIR Tax Table' => array('url' => array('controller' => 'payroll_reports', 'action' => 'bir_tax_table', 'prefix' => 'hris','target'=>'_blank')),
				// 'Summary of Step Increment Report' => array('url' => array('controller' => 'step_increments', 'action' => 'step_increment_index', 'prefix' => 'hris')),

				
				// 'Summary of Benefits Report' => array('url' => array('controller' => 'income_and_benefits', 'action' => 'employee_summary_of_benefits', 'prefix' => 'hris')),

				'  Cover Page' => array('url' => array('controller' => 'payroll_reports', 'action' => 'cover_page', 'prefix' => 'hris')),
				
				// 'Payroll Reports For Job Order'=>array(
					// 'children' => array(
						// '  Job Order Medical Contractual' => array('url' => array('controller' => 'job_order_medical_contractual_reports', 'action' => 'index', 'prefix' => 'hris')),
						// '  J.O Payroll Report(Non-Professional)' => array('url' => array('controller' => 'job_order_payroll_reports', 'action' => 'job_order_payroll_non_professional_report', 'prefix' => 'hris')),
						// '  J.O Payroll Report(Professional)' => array('url' => array('controller' => 'job_order_payroll_reports', 'action' => 'index', 'prefix' => 'hris')),
						// '  J.O Night Shift Differential Report(Professional)' => array('url' => array('controller' => 'job_order_payroll_reports', 'action' => 'job_order_night_differential_professional_report', 'prefix' => 'hris')),
						// '  J.O Night Shift Differential Report(Non-Professional)' => array('url' => array('controller' => 'job_order_payroll_reports', 'action' => 'job_order_night_differential_non_professional_report', 'prefix' => 'hris')),
						
						
						// '  Withholding Tax Remittance Report Medicare Share Contractual Medical (3%)' => array('url' => array('controller' => 'medicare_share_contractual_reports', 'action' => 'medicare_share_contractual_medical_three_percent_index', 'prefix' => 'hris')),
						// '  Withholding Tax Remittance Report Medicare Share Contractual Medical (10%)' => array('url' => array('controller' => 'medicare_share_contractual_reports', 'action' => 'medicare_share_contractual_medical_ten_percent_index', 'prefix' => 'hris')),
						
						// 'Withholding Tax Remittance Report Medicare Share Non-Professional 3% (J.O)' => array('url'=>array('controller'=>'withholding_tax_monthly_remittance_report_medicare_share','action'=>'non_professional_3_percent','prefix'=>'hris')),
							
						// 'Withholding Tax Remittance Report Medicare Share Non-Professional 5% (J.O)' => array('url'=>array('controller'=>'withholding_tax_monthly_remittance_report_medicare_share','action'=>'non_professional_5_percent','prefix'=>'hris')),
						
						// 'Withholding Tax Remittance Report Medicare Share Professional 3% (J.O)' => array('url'=>array('controller'=>'withholding_tax_monthly_remittance_report_medicare_share','action'=>'professional_3_percent','prefix'=>'hris')),
							
						// 'Withholding Tax Remittance Report Medicare Share Professional 10% (J.O)' => array('url'=>array('controller'=>'withholding_tax_monthly_remittance_report_medicare_share','action'=>'professional_10_percent','prefix'=>'hris')),
					// ),	
				// ),
				'Payroll Reports'=>array(
					'children' => array(
						// '  Payroll Prooflist Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'payroll_prooflist_report', 'prefix' => 'hris')),
						
						// '  Overall Payroll Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'overall_payroll_report', 'prefix' => 'hris')),
						'  Payroll Proof List Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'overall_payroll_report', 'prefix' => 'hris')),
						'  DBP Report' => array('url' => array('controller' => 'dbp_reports', 'action' => 'index', 'prefix' => 'hris')),
	
						// '  General Payroll Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'export_pdf_general_payroll_report', 'prefix' => 'hris')),
						'  General Payroll Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'general_payroll_report', 'prefix' => 'hris')),
						'  Employee Payroll Summary for Mandatory Deduction' => array('url' => array('controller' => 'payroll_summary_for_mandatory_deductions', 'action' => 'summary_for_mandatory_deduction', 'prefix' => 'hris')),
						'  Employee Payroll Summary (ONE LINER)' => array('url' => array('controller' => 'employee_payroll_summaries', 'action' => 'employee_payroll_summary_one_liner', 'prefix' => 'hris')),
						'  Employee Payroll Summary - Salaries, Benefits and Other Allowances' => array('url' => array('controller' => 'payroll_summary_for_salary_benefit_other_allowances', 'action' => 'summary_for_salary_benefit_other_allowance', 'prefix' => 'hris')),
						
						
						'  Department Summary General Payroll Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'department_summary_general_payroll_report', 'prefix' => 'hris')),
						'  YTD Payroll Register Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'ytd_payroll_register_report', 'prefix' => 'hris')),

						// '  Payroll Register 13th Month Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'payroll_register_13_month_report', 'prefix' => 'hris')),
						// '  Tax Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
						// '  BIR Alphalist Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'print_bir_alpha_list', 'prefix' => 'hris')),

						'  Year End Bonus and Cash Gifts Report' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'year_end_bonus_and_cash_gift_report', 'prefix' => 'hris')),
						
		
						
						
					)
				),
				'Other Payroll Reports'=>array(
					'children' => array(
						'  Cash Gift Report' => array('url' => array('controller' => 'cash_gifts', 'action' => 'cash_gift_report', 'prefix' => 'hris')),
						// '  Professional Fee Report' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'professional_fee_report', 'prefix' => 'hris')),
						// '  Longevity Pay Report' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'longevity_pay_report', 'prefix' => 'hris')),
						
						// '  Case Rate Reports' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'case_rate_payment_report', 'prefix' => 'hris')),
						// '  Hazard Payment Reports' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'monthly_hazard_payment_report', 'prefix' => 'hris')),
						// '  Hazard Payment Summary Reports ' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'hazard_payment_report_summary', 'prefix' => 'hris')),
						// '  Medicare Share Reports' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'medicare_share_report', 'prefix' => 'hris')),
						// '  PhilHealth Sharing for Medical Reports' => array('url' => array('controller' => 'medicare_shares', 'action' => 'medical_sharing_for_medical_report', 'prefix' => 'hris')),
						// '  Medicare Share Reports Contractual' => array('url' => array('controller' => 'medicare_shares', 'action' => 'print_medicare_share_report_contractual', 'prefix' => 'hris')),
						// 'Medical Medicare Share Reports' => array('url' => array('controller' => 'medicare_shares', 'action' => 'print_medicare_share_report', 'prefix' => 'hris')),
						// ' Non - Medical Medicare Share Reports' => array('url' => array('controller' => 'medicare_shares', 'action' => 'print_medicare_share_report_non_medical', 'prefix' => 'hris')),
						// 'Medicare Share Reports for Medical' => array('url' => array('controller' => 'medicare_shares', 'action' => 'medicare_share_report_for_medical', 'prefix' => 'hris')),
						// 'Medicare Share Reports for Non-Medical' => array('url' => array('controller' => 'medicare_shares', 'action' => 'medicare_share_report_non_medical', 'prefix' => 'hris')),
						// ' Medicare Share for Non - Medical and Medical  Combined Reports' => array('url' => array('controller' => 'medicare_shares', 'action' => 'print_medical_and_non_medical_medicare_share_report', 'prefix' => 'hris')),
						
		
						' Year End Bonus Report ' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'year_end_bonus_report', 'prefix' => 'hris')),
						' Mid Year Bonus Reports' => array('url' => array('controller' => 'mid_year_bonus_reports', 'action' => 'mid_year_bonus_report_index', 'prefix' => 'hris')),
						' Clothing Allowance Reports' => array('url' => array('controller' => 'clothing_allowance_reports', 'action' => 'clothing_allowance_report_index', 'prefix' => 'hris')),
						' Year End Bonus And Cash Gift Reports' => array('url' => array('controller' => 'year_end_bonus_and_cash_gift_reports', 'action' => 'year_end_bonus_and_cash_gift_report_index', 'prefix' => 'hris')),
						' Monetization of Leave Credits' => array('url' => array('controller' => 'leave_monetization_reports', 'action' => 'leave_monetization_report_index', 'prefix' => 'hris')),
					)
				),
				// 'Employee Reports'=>array(
					// 'children' => array(

						// '  OverTime Report' => array('url' => array('controller' => 'overtimes', 'action' => 'index', 'prefix' => 'hris')),
						// '  OverTime Authority' => array('url' => array('controller' => 'overtime_authority_entries', 'action' => 'index', 'prefix' => 'hris')),
						// '  Monthly Attendance Report' => array('url' => array('controller' => 'monthly_attendance_reports', 'action' => 'search_monthly_attendance_report', 'prefix' => 'hris')),
						// '  OverTime Report' => array('url' => array('controller' => 'overtimes', 'action' => 'overtime_report', 'prefix' => 'hris')),
						// '  Certificate of Employment' => array('url' => array('controller' => 'employee_reports', 'action' => 'certificate_of_employment', 'prefix' => 'hris')),
						// '  Service Record Report' => array('url' => array('controller' => 'employee_reports', 'action' => 'service_record_report', 'prefix' => 'hris')),
						
					
					// )
				// ),
				'Contribution Reports'=>array(
					'children' => array(
						'  GSIS Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'gsis_contribution_report', 'prefix' => 'hris')),
						'  PHIC Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris')),
						'  PAGIBIG Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'pagibig_contribution_report', 'prefix' => 'hris')),
						'  Tax Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
					)
				),


				'Remittance Reports'=>array(
					'children' => array(
						// '  COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'coop_remittance_report', 'prefix' => 'hris')),
						'  Withholding Tax Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'withholding_tax_monthly_remittance_report', 'prefix' => 'hris')),
						'  PHIC Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'index', 'prefix' => 'hris')),
						'  PHIC Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'phic_monthly_remittance_report', 'prefix' => 'hris')),
						// '  PHIC Remittance Certificate' => array('url' => array('controller' => 'remittance_reports', 'action' => 'phic_remittance_certificate', 'prefix' => 'hris')),
						'  GSIS Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'gsis_monthly_remittance_report', 'prefix' => 'hris')),
						
						'  GSIS Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'gsis_remittance_report', 'prefix' => 'hris')),
						
						'  PAG-IBIG Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'pagibig_monthly_remittance_report', 'prefix' => 'hris')),
						
						'  PAG-IBIG Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'pagibig_remittance_report', 'prefix' => 'hris')),
						
						'  Other Loan Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'other_loan_monthly_remittance_report', 'prefix' => 'hris')),
						'  Loan And Payment Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'loan_and_payment_report', 'prefix' => 'hris')),
					)
				),
				// 'COOP Remittance Report' => array(
					// 'children' => array(
						// '  COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'coop_remittance_report', 'prefix' => 'hris')),
						// '   Medicare Share COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'medicare_share_monthly_remittance_report', 'prefix' => 'hris')),
						// '   Monthly Hazard Pay COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'hazard_pay_coop_monthly_remittance_report', 'prefix' => 'hris')),
						// '   Yearly Clothing Allowance COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'yearly_clothing_allowance_coop_remittance_report', 'prefix' => 'hris')),
						// '   Year End Bonus COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'year_end_bonus_coop_remittance_report', 'prefix' => 'hris')),
						// '   Cash Gift COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'cash_gift_coop_remittance_report', 'prefix' => 'hris')),
						// '   Mid Year Bonus COOP Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'mid_year_bonus_coop_remittance_report', 'prefix' => 'hris')),
					// )
				// ),
		)),
			'Manual Adjustments' => array(
					'children' => array(
						'PHIC' => array('url' => array('controller' => 'phic_manual_adjustments', 'action' => 'index', 'prefix' => 'hris')),
						'PAG IBIG' => array('url' => array('controller' => 'pagibig_manual_adjustments', 'action' => 'index', 'prefix' => 'hris')),
						'GSIS' => array('url' => array('controller' => 'gsis_manual_adjustments', 'action' => 'index', 'prefix' => 'hris')),
						'TAX' => array('url' => array('controller' => 'tax_manual_adjustments', 'action' => 'index', 'prefix' => 'hris')),
				)),	
			
				
		' System Settings' => array(
			'children' => array(
			
				// Letter A
				'Administrative Cases' => array('url' => array('controller' => 'administrative_cases', 'action' => 'index', 'prefix' => 'hris')),
				'Application Statuses' => array('url' => array('controller' => 'application_statuses', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter B
				'Banks' => array('url' => array('controller' => 'banks', 'action' => 'index', 'prefix' => 'hris')),
				'Blood Types' => array('url' => array('controller' => 'blood_types', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter C
				'Career Service Types' => array('url' => array('controller' => 'career_service_types', 'action' => 'index', 'prefix' => 'hris')),
				'Civil Statuses' => array('url' => array('controller' => 'civil_statuses', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter D
				'Deactivate Employee Types' => array('url' => array('controller' => 'deactivate_employee_types', 'action' => 'index', 'prefix' => 'hris')),
				'Deduction Types' => array('url' => array('controller' => 'deduction_types', 'action' => 'index', 'prefix' => 'hris')),
				'Degree Levels' => array('url' => array('controller' => 'levels', 'action' => 'index', 'prefix' => 'hris')),
				'Disabilities' => array('url' => array('controller' => 'disabilities', 'action' => 'index', 'prefix' => 'hris')),
				'Divisions' => array('url' => array('controller' => 'divisions', 'action' => 'index', 'prefix' => 'hris')),
				'Document Types' => array('url' => array('controller' => 'document_types', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter E
				'Employee Code Generator' => array('url' => array('controller' => 'employee_code_generators', 'action' => 'index', 'prefix' => 'hris')),
				'Employment Statuses' => array('url' => array('controller' => 'employment_statuses', 'action' => 'index', 'prefix' => 'hris')),
				'Exam Types' => array('url' => array('controller' => 'exam_types', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter F
				'Formal Charges' => array('url' => array('controller' => 'formal_charges', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter G
				'Government Official Positions' => array('url' => array('controller' => 'government_official_positions', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter H
				'Holiday Types' => array('url' => array('controller' => 'holiday_types', 'action' => 'index', 'prefix' => 'hris')),
				'Hospital Personnel Order Types' => array('url' => array('controller' => 'hospital_personnel_order_types', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter I
				'Income And Benefit Types' => array('url' => array('controller' => 'income_and_benefit_types', 'action' => 'index', 'prefix' => 'hris')),
				'Indigenous Groups' => array('url' => array('controller' => 'indigenous_groups', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter L
				'Learning and Development Document Types' => array('url' => array('controller' => 'learning_and_development_document_types', 'action' => 'index', 'prefix' => 'hris')),
				'Learning and Development Types' => array('url' => array('controller' => 'learning_and_development_types', 'action' => 'index', 'prefix' => 'hris')),
				'Leave Classifications' => array('url' => array('controller' => 'leave_classifications', 'action' => 'index', 'prefix' => 'hris')),
				'Leave Earn Settings' => array(
					'children' => array(
						'Leave Credits' => array('url' => array('controller' => 'leave_credits', 'action' => 'index', 'prefix' => 'hris')),
						'Conversion of Working Hours' => array('url' => array('controller' => 'conversion_of_working_hours', 'action' => 'index', 'prefix' => 'hris')),
						'Conversion of Working Minutes' => array('url' => array('controller' => 'conversion_of_working_minutes', 'action' => 'index', 'prefix' => 'hris')),
					)
				),
				'Loan Types' => array('url' => array('controller' => 'loan_types', 'action' => 'index', 'prefix' => 'hris')),
				'Location Settings'=>array(
					'children'=>array(
						'Barangays' => array('url' => array('controller' => 'barangays', 'action' => 'index', 'prefix' => 'hris')),
						'Cities' => array('url' => array('controller' => 'cities', 'action' => 'index', 'prefix' => 'hris')),
						'Countries' => array('url' => array('controller' => 'country_lists', 'action' => 'index', 'prefix' => 'hris')),
						'Provinces' => array('url' => array('controller' => 'provinces', 'action' => 'index', 'prefix' => 'hris')),
						'Regions' => array('url' => array('controller' => 'regions', 'action' => 'index', 'prefix' => 'hris')),
					)
				),
				
				// Letter M
				'Mode Of Payments' => array('url' => array('controller' => 'mode_of_payments', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter N
				'Nature of Appointments' => array('url' => array('controller' => 'nature_of_appointments', 'action' => 'index', 'prefix' => 'hris')),
				'Night Differential' => array('url' => array('controller' => 'night_differentials', 'action' => 'view_night_differential','prefix' => 'hris')),
				'Number of Offenses' => array('url' => array('controller' => 'number_of_offenses', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter O
				'Other Personnel Action Types' => array('url' => array('controller' => 'other_personnel_action_types', 'action' => 'index', 'prefix' => 'hris')),
													
				// Letter P
				'Payroll Types' => array('url' => array('controller' => 'payroll_types', 'action' => 'index', 'prefix' => 'hris')),
				'Personnel Types' => array('url' => array('controller' => 'personnel_types', 'action' => 'index', 'prefix' => 'hris')),
				// 'PHIC Contribution Table' => array('url' => array('controller' => 'phic_contribution_tables', 'action' => 'index', 'prefix' => 'hris')),
				'Position Levels' => array('url' => array('controller' => 'job_levels', 'action' => 'index', 'prefix' => 'hris')),		
				'Position Titles' => array('url' => array('controller' => 'job_titles', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter R
				'Relations' => array('url' => array('controller' => 'relations', 'action' => 'index', 'prefix' => 'hris')),
				'Religions' => array('url' => array('controller' => 'religions', 'action' => 'index', 'prefix' => 'hris')),	
				
				// Letter S
				'Salary Grades' => array('url' => array('controller' => 'salary_grades', 'action' => 'index', 'prefix' => 'hris')),
				'Salary Grade Group' => array('url' => array('controller' => 'salary_grade_groups', 'action' => 'index', 'prefix' => 'hris')),
				'Sanctions' => array('url' => array('controller' => 'sanctions', 'action' => 'index', 'prefix' => 'hris')),
				'Sections' => array('url' => array('controller' => 'sections', 'action' => 'index', 'prefix' => 'hris')),
				'Separation Statuses' => array('url' => array('controller' => 'separation_statuses', 'action' => 'index', 'prefix' => 'hris')),
				'Shift Types' => array('url' => array('controller' => 'shift_types', 'action' => 'index', 'prefix' => 'hris')),	
				'Signatory' => array('url' => array('controller' => 'signatories', 'action' => 'index', 'prefix' => 'hris')),
				'Screen Time Out' => array('url' => array('controller' => 'screen_time_outs', 'action' => 'screen_time_out', 'prefix' => 'hris')),
				'Specialization' => array('url' => array('controller' => 'specializations', 'action' => 'index', 'prefix' => 'hris')),
				'Status of Appointments' => array('url' => array('controller' => 'status_of_appointments', 'action' => 'index', 'prefix' => 'hris')),
				'Sub Specialty' => array('url' => array('controller' => 'sub_specialties', 'action' => 'index', 'prefix' => 'hris')),
				'Sub Units' => array('url' => array('controller' => 'sub_units', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter T
				'Tax Statuses' => array('url' => array('controller' => 'tax_statuses', 'action' => 'index', 'prefix' => 'hris')),
				'Train Tax Table' => array('url' => array('controller' => 'train_tax_tables', 'action' => 'index', 'prefix' => 'hris')),
				'Training and Seminar Types' => array('url' => array('controller' => 'training_seminar_types', 'action' => 'index', 'prefix' => 'hris')),
				
				// Letter U
				'Units' => array('url' => array('controller' => 'units', 'action' => 'index', 'prefix' => 'hris')),
		)),
		'System Trails' => array('url' => array('controller' => 'system_trails', 'action' => 'index', 'prefix' => 'hris')),
		'Approver Settings' => array('url' => array('controller' => 'approver_settings', 'action' => 'index', 'prefix' => 'hris')),
		'System Approvers' => array('url' => array('controller' => 'system_approvers', 'action' => 'view_system_approver', 'prefix' => 'hris')),
	));
?>
				