<?php
	$this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
		'<i class="fa fa-home"></i> Home' => array('url' => array('controller' => 'home', 'action' => 'index', 'prefix' => 'hris')),
		'<i class="fa fa-user-circle-o"></i>  My Account' => array(
			'children' => array(
				'My Personal Information' => array('url' => array('controller' => 'temp_employees', 'action' => 'my_edit_temp_employee', 'prefix' => 'hris')), 
				'My Payslip Report' => array('url' => array('controller' => 'payslip_reports', 'action' => 'my_payslip_report', 'prefix' => 'hris')), 
				// 'My Summary of Benefits Report' => array('url' => array('controller' => 'income_and_benefits', 'action' => 'my_summary_of_benefits', 'prefix' => 'hris')), 
				'My Contribution Reports'=>array(
					'children' => array(
						'GSIS Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'gsis_contribution_report', 'prefix' => 'hris')),
						'PHIC Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris')),
						'PAGIBIG Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'pagibig_contribution_report', 'prefix' => 'hris')),
						'Tax Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
					)
				),
				// 'My Memo' => array('url' => array('controller' => 'memo_headers', 'action' => 'my_index', 'prefix' => 'hris')),
				// 'My Schedule Report' => array('url' => array('controller' => 'schedule_reports', 'action' => 'index', 'prefix' => 'hris')), 
				// 'My Attendance Report' => array('url' => array('controller' => 'attendance_reports', 'action' => 'index', 'prefix' => 'hris')), 
				'My Daily Time Record - CS Form No. 48' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'index', 'prefix' => 'hris')), 
				// 'My Daily Time Record ( Internal )' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'my_daily_time_record_internal', 'prefix' => 'hris')), 
				// 'My Overtime Report' => array('url' => array('controller' => 'overtime_reports', 'action' => 'index', 'prefix' => 'hris')), 
				'My Leave Report' => array(
					'children' => array(
						'  Approved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Approved', 'prefix' => 'hris')),
						'  Disapproved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Disapproved', 'prefix' => 'hris')),
						'  Pending' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Pending', 'prefix' => 'hris')),
						'  Cancelled' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Cancelled', 'prefix' => 'hris')),
						'  Void' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Void', 'prefix' => 'hris')),
						'  On Process' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','OnProcess', 'prefix' => 'hris')),
				)),
				 						
				'My Compensatory' => array('url' => array('controller' => 'compensatories', 'action' => 'my_compensatory', 'prefix' => 'hris')),								
				'My Time Dispute' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'my_temp_time_dispute', 'prefix' => 'hris')),
				'My Permission to Leave' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'my_permission_to_leave', 'prefix' => 'hris')),
				'My Loan And Payment' => array('url' => array('controller' => 'loan_and_payments', 'action' => 'my_loan_and_payment', 'prefix' => 'hris')),
				'Vacancy' => array(
					'children' => array(
						'Plantilla' => array('url' => array('controller' => 'vacancies', 'action' => 'my_vacancies_index', 'prefix' => 'hris')),
						'Contractual of Service' => array('url' => array('controller' => 'vacancies', 'action' => 'my_job_order_index', 'prefix' => 'hris')),
					)
				)
		)),
	));
?>	
				