<?php  
	$display = 'none';
	$other_benefits_wtp_container_display ='none';
	$this->BootstrapComponent->inspinia_create_page_container_start('Add Position Detail');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('Employee.date_hired', 12, array('label' => 'Date Hired', 'template' => 'date','placeholder'=>'Date Hired','required','value' => $employee['Employee']['date_hired'])),
					array('PositionDetail.job_title_code',12, array('label' => 'Position Title', 'template' => 'list','required'), $job_title_list),
					array('PositionDetail.job_level_code',12, array('label' => 'Position Level', 'template' => 'list'), $job_level_list),
					array('PositionDetail.job_title_item_number_code',12, array('label' => 'Item No. / Plantilla No.', 'template' => 'list'), $job_title_item_number_list),
					array('PositionDetail.salary_grade',12, array('label' => 'Salary Grade', 'readonly'=>'readonly', 'placeholder' => 'Basic Salary')),
					array('PositionDetail.step_number',12, array('label' => 'Step Number', 'type'=>'number','step'=>1,'min'=>0)),
					array('PositionDetail.division_code', 12, array('label' => 'Division', 'template' => 'list','required'), $division_list),
					array('PositionDetail.section_code', 12, array('label' => 'Section', 'template' => 'list'), $section_list),	
					'<div id="hide_sub_specialty">',
					array('PositionDetail.sub_specialty', 12, array('label' => 'Sub-Specialty', 'template' => 'list', 'id'=> 'sub_specialty'), $sub_specialty_list),	
					'</div>',					
					
					array('Section Head', 12, array('template' => 'checkbox_list'), array(
						'PositionDetail.section_head_status' => 'Section Head',
					)),					
					array('PositionDetail.unit_code', 12, array('label' => 'Unit / Ward', 'template' => 'list'), $unit_list),
					array('PositionDetail.sub_unit_code', 12, array('label' => 'Sub Unit', 'template' => 'list'), $sub_unit_list),	
					
					// array('PositionDetail.date_hired', 12, array('label' => 'Date Hired', 'value' => $employee['Employee']['date_hired'], 'disabled')),
					
					array('PositionDetail.end_of_contract', 12, 	 array('label' => 'End of Contract', 'template' => 'date','placeholder'=>'End of Contract')),
					array('PositionDetail.employment_status_code', 12, array('label' => 'Employment Status', 'template' => 'list'), $employment_status_type_list),
					
					array('PositionDetail.employee_type_code', 12, array('label' => 'Employment Type', 'template' => 'list'), array(
						'FULLTIME' => 'FULL TIME',
						'PARTTIME' => 'PART TIME'
					)),
					
					array('PositionDetail.personnel_type_code', 12, array('label' => 'Personnel Type', 'template' => 'list'), $personnel_type_list),
					array('PositionDetail.work_type', 12, array('label' => 'Work Type', 'template' => 'list'), $work_type_list),
					array('PositionDetail.professional_non_professional',12, array('label' => 'Professional / Non Professional', 'template' => 'list'), $pro_and_nonpro_list),
					
					'<div id="tax_certificate_container" style="display:none">',
					array('file_path', 12, array('label'=>'Tax exemption certificate','type' => 'file')),
					'</div>',
					
					// array('has_holiday_pay',12, array('label' => 'Has Holiday Pay','placeholder' => 'Has Holiday Pay','readonly'=>'readonly')),
					array('PositionDetail.nature_of_appointment_code', 12, array('label' => 'Nature Of Appointment', 'template' => 'list'), $nature_of_appointment_list),
					'<div id="TransferOtherAgency">',
					array('PositionDetail.name_of_agency', 12),
					'</div>',
					array('PositionDetail.appointment_date_from_agency', 12, array('label' => 'Entrance to Duty', 'template' => 'date')),
					array('PositionDetail.appointment_date', 12, array('label' => 'Date of Last Promotion', 'template' => 'date','placeholder'=>'Date of Last Promotion')),
					array('PositionDetail.other_personnel_action_type_code',12, array('label' => 'Other Personnel Action', 'template' => 'list'), $other_personnel_action_type_list),
					array('PositionDetail.other_personnel_action_type_date', 12, array('label' => 'Other Personnel Action Date', 'template' => 'date','placeholder'=>'Other Personnel Action Type Date')),
					array('separation_status_code',12, array('label' => 'Mode of Separation', 'template' => 'list'), $separation_status_list),
					array('effectivity_date', 12, array('template' => 'date', 'placeholder' => 'mm/dd/yyyy')),
				)
			),
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Payroll / Salary Detail');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					'<div id="full_time_container">',
					array('PayrollDetail.required_no_hours_per_week',12, array('label' => 'Required No. of Hours per Week', 'placeholder' => 'Required No. of Hours per Week','min'=>0 )),
					array('PayrollDetail.annual_rate',12, array('label' => 'Annual Salary', 'placeholder' => 'Annual Salary','min'=>0)),
					array('PayrollDetail.monthly_rate',12, array('label' => 'Monthly / Basic Salary', 'placeholder' => 'Monthly / Basic Salary','min'=>0)),
					array('PayrollDetail.semi_monthly_rate',12, array('label' => 'Semi-Monthly Rate', 'placeholder' => 'Semi-Monthly Rate','min'=>0)),
					array('PayrollDetail.weekly_rate',12, array('label' => 'Weekly Rate', 'placeholder' => 'Weekly Rate','min'=>0)),
					array('PayrollDetail.daily_rate',12, array('label' => 'Daily Rate', 'placeholder' => 'Daily Rate','min'=>0)),
					array('PayrollDetail.hourly_rate',12, array('label' => 'Hourly Rate', 'placeholder' => 'Hourly Rate','min'=>0)),
					array('PayrollDetail.minute_rate',12, array('label' => 'Minute Rate', 'placeholder' => 'Minute Rate','min'=>0)),
					'</div>',
					)
				)
			));
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(	
					'<div id="part_time_container" style="display:none">',
					array('PayrollDetail.part_time_annual_rate',12, array('label' => 'Part-time Annual Salary', 'placeholder' => 'N/A','min'=>0)),
					array('PayrollDetail.part_time_monthly_rate',12, array('label' => 'Part-time Monthly / Basic Salary', 'placeholder' => 'N/A','min'=>0)),
					array('PayrollDetail.part_time_semi_monthly_rate',12, array('label' => 'Part-time Semi-Monthly Rate', 'placeholder' => 'N/A','min'=>0)),
					array('PayrollDetail.part_time_daily_rate',12, array('label' => 'Part-time Daily Rate', 'placeholder' => 'N/A','min'=>0)),
					array('PayrollDetail.part_time_weekly_rate',12, array('label' => 'Part-time Weekly Rate', 'placeholder' => 'N/A','min'=>0)),
					array('PayrollDetail.part_time_hourly_rate',12, array('label' => 'Part-time Hourly Rate', 'placeholder' => 'N/A','min'=>0)),
					array('PayrollDetail.part_time_minute_rate',12, array('label' => 'Part-time Minute Rate', 'placeholder' => 'N/A','min'=>0)),
					'</div>',
						)
				)
			));
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
				array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.hazard_pay', 12, array('label' => 'Hazard Pay', 'placeholder' => 'Hazard Pay','min'=>0)),
					array('PayrollDetail.longetivity_pay', 12, array('label' => 'Longevity Pay', 'placeholder' => '0','min'=>0)),
					array('PayrollDetail.payroll_type_code', 12, array('label' => 'Payroll Type', 'template' => 'list'), $payroll_type_list),					
					array('PayrollDetail.payroll_behavior', 12, array(
						'label' => 'Payroll Behavior', 
						'type' => 'select',
						'empty' => '(Choose One)',
						'options' => array(
							'Daily Basis' => 'Daily Basis - (No Work, No Pay)',
							'Monthly Basis' => 'Monthly Basis',
							'By Total Hours Per Week' => 'By Total Hours Per Week',
						)
					)),	
					
					// array('PayrollDetail.has_holiday_pay', 12, array('label' => 'Has Holiday Pay', 'type' => 'select', 'options' => array('Yes' => 'Yes', 'No' => 'No'), 'empty' => '(Choose One)')),
					// array('PayrollDetail.has_night_differential_pay', 12, array('label' => 'Has Night Differential', 'type' => 'select', 'options' => array('Yes' => 'Yes', 'No' => 'No'), 'empty' => '(Choose One)')),					
					// array('PayrollDetail.tax_status_code', 12, array('label' => 'Tax Status', 'template' => 'list'), $tax_status_list),					 
				)
			),
		));
		
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Bonus and Other Benefits');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.mid_year_bonus', 12, array('label' => 'Mid-Year Bonus', 'placeholder' => '0','min'=>0)),
					
					array('PayrollDetail.year_end_bonus', 12, array('label' => 'Year-End Bonus', 'placeholder' => '0','min'=>0)),
					
					array('PayrollDetail.cash_gift', 12, array('label' => 'Cash Gifts', 'placeholder' => '0','min'=>0)),
					
					array('PayrollDetail.pei', 12, array('label' => 'PEI', 'placeholder' => '0','min'=>0)),
					
					array('PayrollDetail.pbb', 12, array('label' => 'PBB', 'placeholder' => '0','min'=>0)),
					
					array('PayrollDetail.loyalty_pay', 12, array('label' => 'Loyalty Pay', 'placeholder' => '0','min'=>0))
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('De Minimis');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.subsistence_allowance',12, array('label' => 'Subsistence Allowance','placeholder'=>'Subsistence Allowance','value' => 0,'min'=>0)),
					array('PayrollDetail.subsistence_allowance_deduction_per_leave',12, array('label' => 'Subsistence Allowance Deduction Per Leave','placeholder' => 'Subsistence Allowance Deduction Per Leave','value' => 0,'min'=>0)),
					array('PayrollDetail.laundry_allowance',12, array('label' => 'Laundry Allowance','placeholder'=>'Laundry Allowance','value' => 0,'min'=>0)),
					array('PayrollDetail.laundry_allowance_deduction_per_leave',12, array('label' => 'Laundry Allowance Deduction per Leave','placeholder'=>'Laundry Allowance Deduction per Leave','value' => 0,'min'=>0)),
					array('PayrollDetail.rice_allowance_batch_inclusion', 12, array('label' => 'Rice Allowance Batch', 'template' => 'list'), array(
						'1st Batch' => '1st Batch',
						'2nd Batch' => '2nd Batch'
					)),
					array('PayrollDetail.rice_allowance',12, array('label' => 'Rice Allowance','placeholder'=>'Rice Allowance','min'=>0)),
					'<div id="other_benefits_wtp_container" style="display:'.$other_benefits_wtp_container_display.'">',
					array('PayrollDetail.other_benefits_wtp',12, array('label' => 'Other Benefits – Withholding Tax Percentage','placeholder'=>'Other Benefits – Withholding Tax Percentage','min'=>0)),
					'</div>',
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Other Compensation');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.rata',12, array('label' => 'RATA', 'placeholder' => 'RATA', 'value' => '0','min'=>0)),
					array('PayrollDetail.pera',12, array('label' => 'PERA', 'placeholder' => 'PERA','value' => 0,'min'=>0))
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Government Mandated Benefits');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.phic_employee_share', 12, array('label' => 'PHIC Employee Share', 'placeholder' => 'PHIC Employee Share','min'=>0)),
					array('PayrollDetail.phic_employer_share', 12, array('label' => 'PHIC Employer Share', 'placeholder' => 'PHIC Employer Share','min'=>0)),
					
					array('PayrollDetail.pagibig_employee_share', 12, array('label' => 'PAGIBIG Employee Share', 'placeholder' => 'PAGIBIG Employee Share','min'=>0)),
					array('PayrollDetail.pagibig_employer_share', 12, array('label' => 'PAGIBIG Employer Share', 'placeholder' => 'PAGIBIG Employer Share','value' => 0,'min'=>0)),					
					
					array('PayrollDetail.gsis_employee_share', 12, array('label' => 'GSIS Employee Share', 'placeholder' => 'GSIS Employee Share','min'=>0)),
					array('PayrollDetail.gsis_employer_share', 12, array('label' => 'GSIS Employer Share', 'placeholder' => 'GSIS Employer Share','min'=>0)),
					array('PayrollDetail.gsis_ecip', 12, array('label' => 'GSIS ECIP (Employer Share)', 'placeholder' => 'GSIS ECIP (Employer Share)','value' => 0, 'min'=>0)),					
				
					array('PayrollDetail.sss_employee_share', 12, array('label' => 'SSS Employee Share', 'placeholder' => 'SSS Employee Share','min'=>0)),
					array('PayrollDetail.sss_employer_share', 12, array('label' => 'SSS Employer Share', 'placeholder' => 'SSS Employer Share','min'=>0)),
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Tax Projection Settings');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.projected_unpaid_equal_medicare_share', 12, array('label' => 'Projected Unpaid Equal Philhealth Share', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_medicare_share_first_batch', 12, array('label' => 'Projected Monthly Philhealth Share 1st Batch', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_medicare_share_second_batch', 12, array('label' => 'Projected Monthly Philhealth Share 2nd Batch', 'placeholder' => '0')),
					array('PayrollDetail.projected_hazard_pay', 12, array('label' => 'Projected Hazard Pay', 'placeholder' => '0')),
					array('PayrollDetail.projected_total_taxable_bonuses', 12, array('label' => 'Projected Total Taxable Bonuses', 'placeholder' => '0','readonly')),
					'<div class="jo_container">',
					array('PayrollDetail.jo_tax_percentage1', 12, array('label' => 'J.O. Tax Percentage 1', 'placeholder' => '0','min'=>0)),
					array('PayrollDetail.jo_tax_percentage2', 12, array('label' => 'J.O. Tax Percentage 2', 'placeholder' => '0','min'=>0)),
					array('PayrollDetail.jo_tax_amount1', 12, array('label' => 'J.O. Tax Amount 1', 'placeholder' => '0','readonly')),
					array('PayrollDetail.jo_tax_amount2', 12, array('label' => 'J.O. Tax Amount 2', 'placeholder' => '0','readonly')),
					'</div>',
					array('PayrollDetail.projected_other_taxable_income', 12, array('label' => 'Projected Other Taxable Income', 'placeholder' => '0')),
					array('PayrollDetail.additional_tax', 12, array('label' => 'Additional Tax', 'placeholder' => '0','min'=>0))
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Tax');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.tax_percentage', 12, array('label' => 'Tax Percentage', 'placeholder' => '0','readonly')),
					array('PayrollDetail.withholding_tax', 12, array('label' => 'Monthly Withholding tax', 'placeholder' => 'Withholding tax')),
					// array('PayrollDetail.annual_withholding_tax', 12, array('label' => 'Annual Withholding tax', 'placeholder' => 'Withholding tax')),
					'<div class="col-md-12">
						<div class="form-group">
							<label class="col-md-2 control-label"></label>
							<div class="col-md-10">
									
                                <button id="update_tax_projection_basis" class="btn btn-success" type="button">Update Tax Projection Settings</button>
								<button id="compute_tax_projection" class="btn btn-success" type="button"  data-toogle="modal" data-target="#compute_tax_projection_modal">Compute via Tax Projection</button>
							</div>
						</div>
					</div>',
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	echo '<div id="train_table">';
	$this->BootstrapComponent->inspinia_create_page_container_start('Train Tax Table Used');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.tax_bracket', 12, array('label' => 'Tax Bracket', 'placeholder' => '0','readonly')),
					array('PayrollDetail.tax_rate_percentage', 12, array('label' => 'Tax Rate Percentage', 'placeholder' => '0','readonly')),
					array('PayrollDetail.tax_exemption', 12, array('label' => 'Tax Exemption', 'placeholder' => '0','readonly')),
					array('PayrollDetail.additional_tax_in_peso', 12, array('label' => 'Additional Tax Rate In Peso', 'placeholder' => '0','readonly')),
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Tax Projection Basis');
		$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('PayrollDetail.remaining_no_of_months_for_projection', 12, array('label' => 'Remaining no. of months for Projection', 'placeholder' => '0','max'=>'12','min'=>'0','type'=>'number','step'=>'1')),
					array('PayrollDetail.projected_monthly_salary', 12, array('label' => 'Projected Monthly Salary', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_premiums', 12, array('label' => 'Projected Monthly Premiums', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_net_income', 12, array('label' => 'Projected Monthly Net Income', 'placeholder' => '0')),
					array('PayrollDetail.projected_remaining_net_income', 12, array('label' => 'Projected Remaining Net Income', 'placeholder' => '0')),
					array('PayrollDetail.projected_remaining_hazard_pay', 12, array('label' => 'Projected Remaining Hazard Pay', 'placeholder' => '0')),
					array('PayrollDetail.projected_remaining_medicare_share', 12, array('label' => 'Projected Remaining Philhealth Share', 'placeholder' => '0')),
					array('PayrollDetail.bonus_tax_exemption', 12, array('label' => 'Bonus Tax Exemption', 'placeholder' => '0',"readonly",'value'=>'90000.00')),
					//TODO
					array('PayrollDetail.projected_total_taxable_income_and_benefits', 12, array('label' => 'Projected Total Taxable Income and Benefits', 'placeholder' => '0')),
					array('PayrollDetail.total_paid_taxable_net_income_for_current_year', 12, array('label' => 'Total Paid Net Income for Current Year', 'placeholder' => '0')),
					array('PayrollDetail.total_paid_taxable_hazard_pay_for_current_year', 12, array('label' => 'Total Paid Hazard Pay for Current Year', 'placeholder' => '0')),
					array('PayrollDetail.total_paid_medicare_share_for_current_year', 12, array('label' => 'Total Paid Philhealth Share for Current Year', 'placeholder' => '0')),
					array('PayrollDetail.total_taxable_income_for_the_current_year', 12, array('label' => 'Total Taxable Income for the Current Year', 'placeholder' => '0')),
					array('PayrollDetail.total_tax_for_the_current_year', 12, array('label' => 'Total Tax for the Current Year', 'placeholder' => '0')),
					array('PayrollDetail.total_tax_withheld_for_the_current_year', 12, array('label' => 'Total Tax Withheld for the  Current Year', 'placeholder' => '0')),
					array('PayrollDetail.remaining_tax_for_the_current_year', 12, array('label' => 'Remaining Tax for the current Year', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_tax', 12, array('label' => 'Projected Monthly Tax', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_medicare_share_tax', 12, array('label' => 'Projected Monthly Philhealth Share Tax', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_hazard_pay_tax', 12, array('label' => 'Projected Monthly Hazard Pay Tax', 'placeholder' => '0')),
					array('PayrollDetail.projected_monthly_salary_tax', 12, array('label' => 'Projected Monthly Salary Tax', 'placeholder' => '0')),
				)
			)
		));
		
		
		
	$this->BootstrapComponent->inspinia_create_button_line_container_start();
	$this->BootstrapComponent->inspinia_create_submit_button('Save');
	$this->BootstrapComponent->inspinia_create_link_button('Cancel', $this->request->referer(), array('template' => 'danger'));
	$this->BootstrapComponent->inspinia_create_button_line_container_end();
	
	$this->BootstrapComponent->inspinia_create_page_container_end();
	echo $this->Form->end();	
	
?>

<?php
	$this->BootstrapComponent->inspinia_create_modal_window_start('Disclaimer', 'compute_tax_projection_modal', 'modal-md');
	
	$this->BootstrapComponent->inspinia_create_modal_window_dynamic_body(300);
	
	echo '<div class="col-md-12">';
	
	echo '<p>By computing via tax projection, the system will give the suggested tax based on the tax projection settings and train tax table used.</p>';
	
	echo '<p>The user may still change the values given if needed. Tax may change depending on the actual medicare share, hazard pay, gross pay and other changes in the employee’s pay.</p>';
	
	echo '<p>Do you want to proceed?</p>';
	
	echo '</br>';
	echo '</div>';
	$this->BootstrapComponent->inspinia_create_button_line_container_start();
	echo '<button class="btn btn m-b  btn-primary load-btn btn-primary" id="understood_button">I understand and Proceed</button>';
	echo '<button class="btn btn m-b  btn-danger load-btn btn-primary" data-dismiss="modal">Cancel</button>';
	$this->BootstrapComponent->inspinia_create_button_line_container_end();

	$this->BootstrapComponent->inspinia_create_modal_window_body_end();
	$this->BootstrapComponent->inspinia_create_modal_window_end();
?>
	
	<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Add Salary Adjustment</h4>
      </div>
      <div class="modal-body">
        <strong></strong>
      <br/>

	  <div class="row">
		<?php

			echo $this->Form->create('SalaryAdjustment', array( 'id'=>'add_salary_adjustment_form','type' => 'file','url'=>array("controller"=>'salary_adjustments','action'=>'add_salary_adjustment')));

			echo $this->Form->input('payroll_detail_id',array('id'=>'payroll_id','type'=>'hidden'));
		
			echo '<div class="col-md-12">'; 

			echo $this->Form->input('salary_increase_amount', array(
							'div' => 'form-group',
							'id'=>'paid_amount',
							'type' => 'number',
							'label'=>'Salary Increase Amount',
							'class' => 'form-control',
							'required' => 'required'));
							
			echo $this->Form->input('salary_increase_date', array(
							'div' => 'form-group',
							'class' => 'form-control datepicker data-payment-date',
							'placeholder' => "Click here to select date.", 
							'type'=>'text', 
							'value' => date('m/d/Y'),
							'required' => 'required',
							'readonly' => true));
							
			echo '</div>';
		?>
	  </div>
      <div class="modal-footer">
		  <?php
			echo $this->Form->button('<span class="button-text-with-icon">Save</span>', array('id'=>'btn_change_loc','type' => 'submit', 'class' => 'btn btn-success btn-form', 'escape' => false));	
			echo $this->Form->end();
			?>
			<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
    </div>

  </div>
</div>








<div id="myModalView" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">View Salary Adjustment</h4>	
      </div>
      <div class="modal-body">
        <strong></strong>
      <br/>
	
	  <div class="row">
		<?php
		 
			$keys = array_keys($salary_adjustment_list);
			echo $this->Form->create('SalaryAdjustment', array( 'id'=>'view_salary_adjustment_form','type' => 'file','url'=>array("controller"=>'salary_adjustments','action'=>'add_salary_adjustment')));

			echo $this->Form->input('payroll_detail_id',array('id'=>'payroll_id','type'=>'hidden'));
		
			echo '<div class="col-md-12">'; 
			if (count($salary_adjustment_list)>0) {
				$this->BootstrapComponent->inspinia_create_table_headings(array(	
						'column-headers' => array(
							'Salary Increase Amount' => 1,
							'Salary Increase Date' => 1,
							// 'Lock Flag' => 1,
							'Edit' => 1,
							'Remove' => 1,
						)
					));
				$x=0;
				foreach($salary_adjustment_list as $key => $salary_adjustment_list_data){
					echo '<tr>';
					echo '<td class="col-md-1">' . $salary_adjustment_list_data['SalaryAdjustment']['salary_increase_amount'] . '</td>';
					echo '<td class="col-md-1 salary_increase_date">' . $salary_adjustment_list_data['SalaryAdjustment']['salary_increase_date'] . '</td>';
					// echo '<td class="col-md-1 salary_increase_date">' . $salary_adjustment_list_data['SalaryAdjustment']['lock_flag'] . '</td>';
					if(count($keys) == $x+1){
						echo '<td class="col-md-1"">' . $this->Html->link('<i class="fa fa-pencil sm-icon yellow-link" aria-hidden="true"></i><br />', array('controller' => 'salary_adjustments', 'action' => 'edit_salary_adjustment',$salary_adjustment_list_data['SalaryAdjustment']['id'],$position_detail['Employee']['employee_code'],'prefix' => 'hris'), array('class' => 'red-link open-dialog edit_btn', 'escape' => false,'data-id'=>$x)) . '</td>';	
						// echo '<td class="col-md-1""> <a href = "#" class="edit_btn">Edit</a></td>';	

						echo '<td class="col-md-1"">' . $this->Html->link('<i class="fa fa-trash sm-icon red-link" aria-hidden="true"></i><br />', array('controller' => 'salary_adjustments', 'action' => 'delete_salary_adjustment',$salary_adjustment_list_data['SalaryAdjustment']['id'], $position_detail['Employee']['employee_code'],'prefix' => 'hris'), array('class' => 'red-link', 'escape' => false)) . '</td>';	
						
					}
					else{
						echo '<td class="col-md-1""></td>';
						echo '<td class="col-md-1""></td>';
					}
					echo '</tr>';
					$x++;
				}

				$this->BootstrapComponent->inspinia_create_table_end();
			}
			else{
				echo '<tr>';
					echo '<center><td class="col-md-1"><h4>NO RECORD FOUND</h4></td></center>';	
				echo '</tr>';
			}				
			echo '</div>';
		?>
	  </div>
      <div class="modal-footer">
		  <?php
			// echo $this->Form->button('<span class="button-text-with-icon">Save</span>', array('id'=>'btn_change_loc','type' => 'submit', 'class' => 'btn btn-success btn-form', 'escape' => false));	
			echo $this->Form->end();
			?>
			<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
    </div>

  </div>
</div>

<script>
$(document).ready(function() {
            projected_monthly_salary = parseFloat($('#PayrollDetailProjectedMonthlySalary').val());
            projected_monhtly_premiums = parseFloat($('#PayrollDetailProjectedMonthlyPremiums').val());
            projected_monhtly_net_income = parseFloat($('#PayrollDetailProjectedMonthlyNetIncome').val());
            projected_monhtly_remaining_net_income = parseFloat($('#PayrollDetailProjectedRemainingNetIncome').val());
            projected_monhtly_remaining_medicare_share = parseFloat($('#PayrollDetailProjectedRemainingMedicareShare').val());
            taxable_income_for_the_current_year = parseFloat($('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val());
            projected_monhtly_remaining_hazard_pay = parseFloat($('#PayrollDetailProjectedRemainingHazardPay').val());
            total_tax_for_the_current_year = parseFloat($('#PayrollDetailTotalTaxForTheCurrentYear').val());
            remaining_tax_for_the_current_year = parseFloat($('#PayrollDetailRemainingTaxForTheCurrentYear').val());
            projected_monthly_tax = parseFloat($('#PayrollDetailProjectedMonthlyTax').val());
            projected_monthly_medicare_share_tax = parseFloat($('#PayrollDetailProjectedMonthlyMedicareShareTax').val());
            projected_monthly_hazard_pay = parseFloat($('#PayrollDetailProjectedMonthlyHazardPayTax').val());
            projected_monthly_salary_tax_1 = parseFloat($('#PayrollDetailProjectedMonthlySalaryTax').val());
            $('#PayrollDetailProjectedMonthlySalary').val(projected_monthly_salary.toFixed(2));
            $('#PayrollDetailProjectedMonthlyPremiums').val(projected_monhtly_premiums.toFixed(2));
            $('#PayrollDetailProjectedMonthlyNetIncome').val(projected_monhtly_net_income.toFixed(2));
            $('#PayrollDetailProjectedRemainingNetIncome').val(projected_monhtly_remaining_net_income.toFixed(2));
            $('#PayrollDetailProjectedRemainingHazardPay').val(projected_monhtly_remaining_hazard_pay.toFixed(2));
            $('#PayrollDetailProjectedRemainingMedicareShare').val(projected_monhtly_remaining_medicare_share.toFixed(2));
            $('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val(taxable_income_for_the_current_year.toFixed(2));
            $('#PayrollDetailTotalTaxForTheCurrentYear').val(total_tax_for_the_current_year.toFixed(2));
            $('#PayrollDetailRemainingTaxForTheCurrentYear').val(remaining_tax_for_the_current_year.toFixed(2));
            $('#PayrollDetailProjectedMonthlyTax').val(projected_monthly_tax.toFixed(2));

            $('#PayrollDetailProjectedMonthlyMedicareShareTax').val(projected_monthly_medicare_share_tax.toFixed(2));

            $('#PayrollDetailProjectedMonthlyHazardPayTax').val(projected_monthly_hazard_pay.toFixed(2));

            $('#PayrollDetailProjectedMonthlySalaryTax').val(projected_monthly_salary_tax_1.toFixed(2));
	
               
		var job_title_code = $('#PositionDetailJobTitleCode').val();
		var personel_type = $('#PositionDetailPersonnelTypeCode').val();
		var is_parttime = ($('#PositionDetailEmployeeTypeCode').val()==='PARTTIME');
		
		if(is_parttime) {
			$('#full_time_container').css('display','none');
			$('#part_time_container').css('display','block');
		}
		else {
			$('#full_time_container').css('display','block');
			$('#part_time_container').css('display','none');
		}
		$('#hide_sub_specialty').hide();
		//Salary details field
		// $('#PayrollDetailAnnualRate').attr('readonly', true);
		// $('#PayrollDetailSemiMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailWeeklyRate').attr('readonly', true);
		// $('#PayrollDetailDailyRate').attr('readonly', true);
		// $('#PayrollDetailHourlyRate').attr('readonly', true);
		// $('#PayrollDetailMinuteRate').attr('readonly', true);
		
		//part time salary details field
		// $('#PayrollDetailPartTimeAnnualRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeSemiMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeWeeklyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeDailyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeHourlyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeMinuteRate').attr('readonly', true);
		
		$('#train_table').hide();
		$('.jo_container').show();
		$('#PayrollDetailHazardPay').attr('readonly', true);
		
		//if jo or contractual and not a doctor
		is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
		is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
		
		if(job_title_code.length > 0) {	
			$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_job_title','prefix'=>'hris'))?>/"+job_title_code, function(data) {
				console.log(data['JobTitle']['for_contractual_only']);
				if (data['JobTitle']['for_contractual_only'] == '1') {
					$('#PositionDetailSalaryGrade').val("For Contractual Only");
					$('#PositionDetailStepNumber').val(0);
					$('#PositionDetailEmploymentStatusCode').val("ESTAT-13").prop('disabled', true).trigger("chosen:updated");
					// $('#PositionDetailSalaryGradeNumber').val('');
					
					is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
					is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
					salary_code = data['SalaryGrade']['code'];
				}
				else {
					$('#PositionDetailEmploymentStatusCode').prop('disabled', false).trigger("chosen:updated");
					// $('#PositionDetailStepNumber').val(data['SalaryGrade']['salary_grade_number']);
					$('#PositionDetailStepNumber').val(1);
					$('#PositionDetailSalaryGrade').val(data['SalaryGrade']['name']);
					$('#PositionDetailSalaryGradeNumber').val(data['SalaryGrade']['salary_grade_number']);
					salary_code = data['SalaryGrade']['code'];
				}
				
				if(is_jo) {
					console.log('jo');
					$('#PayrollDetailDailyRate').attr('readonly', false);
					$('#PayrollDetailDailyRate').trigger('keyup');
					$('#PayrollDetailPartTimeDailyRate').attr('readonly', false);
				}
				else if(is_medical_contractual) {
					console.log('medical_contractual');
					$('#PayrollDetailMonthlyRate').attr('readonly', false);
					$('#PayrollDetailMonthlyRate').trigger('keyup');
					$('#PayrollDetailPartTimeMonthlyRate').attr('readonly', false);
				}
				else {
					console.log('regular');
					$('#train_table').show();
					$('.jo_container').hide();
					$('#PayrollDetailHazardPay').attr('readonly', false);
					$('#PayrollDetailGsisEcip').attr('readonly', false);
				}
				// compute_tax();
			});
		}
		else {
			//please select position title
			console.log('please select position title');
		}
		
		$('#PositionDetailProfessionalNonProfessional, #PositionDetailEmploymentStatusCode, #PositionDetailFilePath').on('change',function(){
			if($('#PositionDetailProfessionalNonProfessional').val()==='NON-PROFESSIONAL' && $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15'){
				$('#tax_certificate_container').css('display','block');
				var jo_tax_percentage1 = '';
				var jo_tax_percentage2 = '';
				if($('#PositionDetailFilePath').val()===''){
					jo_tax_percentage1 = 2;
					jo_tax_percentage2 = 3;
				}
				$('#PayrollDetailJoTaxPercentage1').val(jo_tax_percentage1);
				$('#PayrollDetailJoTaxPercentage2').val(jo_tax_percentage2);
			}else if($('#PositionDetailProfessionalNonProfessional').val()==='PROFESSIONAL' && $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15'){
				$('#tax_certificate_container').css('display','none');
				
				var jo_tax_percentage1 = 10;
				var jo_tax_percentage2 = 3;
				
				$('#PayrollDetailJoTaxPercentage1').val(jo_tax_percentage1);
				$('#PayrollDetailJoTaxPercentage2').val(jo_tax_percentage2);
			}else{
				$('#tax_certificate_container').css('display','none');
			}
			
			if($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-2'){
				$('#other_benefits_wtp_container').css('display','block');
			}else{
				$('#other_benefits_wtp_container').css('display','none');
			}
		});
		
		$('#PositionDetailJobTitleCode, #PositionDetailEmploymentStatusCode').on('change',function(){
			var salary_grade_number = parseInt($('#PositionDetailSalaryGradeNumber').val());
			var other_benefits_wtp = 0;
			
			if(salary_grade_number >=1 && salary_grade_number <=9){
				other_benefits_wtp = 0;
			}else if(salary_grade_number >=10 && salary_grade_number <=15){
				other_benefits_wtp = 20;
			}else if(salary_grade_number >=16 && salary_grade_number <=22){
				other_benefits_wtp = 25;
			}else if(salary_grade_number >=23){
				other_benefits_wtp = 30;
			}
			$('#PayrollDetailOtherBenefitsWtp').val(other_benefits_wtp);
		});
		
});

function compute_tax() {
	compute_tax_projection_basis();
	compute_projected_monthly_premiums();
	compute_projected_monthly_net_income();
	compute_projected_remaining_net_income();
	compute_projected_remaining_hazard_pay();
	compute_projected_remaining_medicare_share();
	compute_total_taxable_income_for_the_current_year();
	compute_total_annual_withholding_tax();
}

function compute_tax_projection_basis(){
   var d = new Date();
   var current_month = d.getMonth();
   var remaining_no_of_months_for_projection = (11 - current_month);
   var payroll_behavior = $('#PayrollDetailPayrollBehavior').val();
   var is_parttime = ($('#PositionDetailEmployeeTypeCode').val() ==='PARTTIME');
   var projected_monthly_salary = 0.0;
   var monthly_rate = 0.0;
   var daily_rate = 0.0;
   
   // $('#PayrollDetailRemainingNoOfMonthsForProjection').val(remaining_no_of_months_for_projection);
   
   if(payroll_behavior==='Monthly Basis' || payroll_behavior==='By Total Hours Per Week') {
	   if(is_parttime){
		   monthly_rate = ($('#PayrollDetailPartTimeMonthlyRate').val()!='') ? parseFloat($('#PayrollDetailPartTimeMonthlyRate').val()) : 0;
	   }
	   else {
		   monthly_rate = ($('#PayrollDetailMonthlyRate').val()!='') ? parseFloat($('#PayrollDetailMonthlyRate').val()) : 0;
	   }
	   projected_monthly_salary = monthly_rate;
   }
   else if(payroll_behavior==='Daily Basis') {
	   if(is_parttime){
		   daily_rate = ($('#PayrollDetailPartTimeDailyRate').val()!='') ? parseFloat($('#PayrollDetailPartTimeDailyRate').val()) : 0;
	   }
	   else {
		   daily_rate = ($('#PayrollDetailDailyRate').val()!='') ? parseFloat($('#PayrollDetailDailyRate').val()) : 0;
	   }
	   projected_monthly_salary = (daily_rate * 22);
   }
   else {
	   //select payroll_behavior
	   // alert('please select one from payroll behavior');
   }
   $('#PayrollDetailProjectedMonthlySalary').val(projected_monthly_salary.toFixed(2));
}

function compute_projected_monthly_premiums(){
	var phic_employee_share = ($('#PayrollDetailPhicEmployeeShare').val()!='') ? parseFloat($('#PayrollDetailPhicEmployeeShare').val()) : 0;
	var pagibig_employee_share = ($('#PayrollDetailPagibigEmployeeShare').val()!='') ? parseFloat($('#PayrollDetailPagibigEmployeeShare').val()) : 0;
	var gsis_employee_share = ($('#PayrollDetailGsisEmployeeShare').val()!='') ? parseFloat($('#PayrollDetailGsisEmployeeShare').val()) : 0;
	var sss_employee_share = ($('#PayrollDetailSssEmployeeShare').val()!='') ? parseFloat($('#PayrollDetailSssEmployeeShare').val()) : 0;
	var total_projected_monthly_premiums = phic_employee_share + pagibig_employee_share + gsis_employee_share + sss_employee_share;
	$('#PayrollDetailProjectedMonthlyPremiums').val(total_projected_monthly_premiums.toFixed(2));
}

function compute_projected_monthly_net_income(){
	var projected_monthly_salary = ($('#PayrollDetailProjectedMonthlySalary').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlySalary').val()) : 0;
	var total_projected_monthly_premiums = ($('#PayrollDetailProjectedMonthlyPremiums').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyPremiums').val()) : 0;
	var projected_monthly_net_income = projected_monthly_salary - total_projected_monthly_premiums;
	$('#PayrollDetailProjectedMonthlyNetIncome').val(projected_monthly_net_income.toFixed(2));
}

function compute_projected_remaining_net_income(){
	var is_finalized=Boolean(<?php echo $has_finalized_salary ?>);
	var remaining_no_of_months_for_projection = ($('#PayrollDetailRemainingNoOfMonthsForProjection').val()!='') ? parseFloat($('#PayrollDetailRemainingNoOfMonthsForProjection').val()) : 0;
	var net_income_multiplier = remaining_no_of_months_for_projection + (is_finalized ? 0 : 1);
	var projected_remaining_net_income = 0.00;
	var projected_monthly_net_income = ($('#PayrollDetailProjectedMonthlyNetIncome').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyNetIncome').val()) : 0;
	projected_remaining_net_income = projected_monthly_net_income * net_income_multiplier;
	$('#PayrollDetailProjectedRemainingNetIncome').val(projected_remaining_net_income.toFixed(2));
}

function compute_projected_remaining_hazard_pay(){
	var is_finalized=Boolean(<?php echo $has_finalized_salary ?>);
	var remaining_no_of_months_for_projection = ($('#PayrollDetailRemainingNoOfMonthsForProjection').val()!='') ? parseFloat($('#PayrollDetailRemainingNoOfMonthsForProjection').val()) : 0;
	var hazard_pay_multiplier = remaining_no_of_months_for_projection + (is_finalized ? 0 : 1);
	var projected_hazard_pay = ($('#PayrollDetailProjectedHazardPay').val()!='') ? parseFloat($('#PayrollDetailProjectedHazardPay').val()) : 0;
	var projected_remaining_hazard_pay = projected_hazard_pay * hazard_pay_multiplier;
	$('#PayrollDetailProjectedRemainingHazardPay').val(projected_remaining_hazard_pay.toFixed(2));
}

function compute_projected_remaining_medicare_share(){
	var has_finalized_medicare_share_first_batch=Boolean(<?php echo $has_finalized_medicare_share_first_batch ?>);
	var has_finalized_medicare_share_second_batch=Boolean(<?php echo $has_finalized_medicare_share_second_batch ?>);
	
	var remaining_no_of_months_for_projection = ($('#PayrollDetailRemainingNoOfMonthsForProjection').val()!='') ? parseFloat($('#PayrollDetailRemainingNoOfMonthsForProjection').val()) : 0;
	var medicare_share_first_batch_multiplier = remaining_no_of_months_for_projection + (has_finalized_medicare_share_first_batch ? 0 : 1);
	var medicare_share_second_batch_multiplier = remaining_no_of_months_for_projection + (has_finalized_medicare_share_second_batch ? 0 : 1);
	
	var medicare_share_first_batch = ($('#PayrollDetailProjectedMonthlyMedicareShareFirstBatch').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyMedicareShareFirstBatch').val()) : 0;
	var medicare_share_second_batch = ($('#PayrollDetailProjectedMonthlyMedicareShareSecondBatch').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyMedicareShareSecondBatch').val()) : 0;
	var projected_unpaid_equal_medicare_share = ($('#PayrollDetailProjectedUnpaidEqualMedicareShare').val()!='') ? parseFloat($('#PayrollDetailProjectedUnpaidEqualMedicareShare').val()) : 0;
	
	var projected_remaining_medicare_share = (medicare_share_first_batch * medicare_share_first_batch_multiplier) + (medicare_share_second_batch * medicare_share_second_batch_multiplier) + projected_unpaid_equal_medicare_share;
	$('#PayrollDetailProjectedRemainingMedicareShare').val(projected_remaining_medicare_share.toFixed(2));
}

function compute_total_taxable_income_for_the_current_year(){
	var total_paid_taxable_net_income_for_current_year = ($('#PayrollDetailTotalPaidTaxableNetIncomeForCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalPaidTaxableNetIncomeForCurrentYear').val()) : 0;
	var projected_remaining_net_income = ($('#PayrollDetailProjectedRemainingNetIncome').val()!='') ? parseFloat($('#PayrollDetailProjectedRemainingNetIncome').val()) : 0;
	var total_paid_taxable_hazard_pay_for_current_year = ($('#PayrollDetailTotalPaidTaxableHazardPayForCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalPaidTaxableHazardPayForCurrentYear').val()) : 0;
	var projected_remaining_hazard_pay = ($('#PayrollDetailProjectedRemainingHazardPay').val()!='') ? parseFloat($('#PayrollDetailProjectedRemainingHazardPay').val()) : 0;
	var total_paid_medicare_share_for_current_year = ($('#PayrollDetailTotalPaidMedicareShareForCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalPaidMedicareShareForCurrentYear').val()) : 0;
	var projected_remaining_medicare_share = ($('#PayrollDetailProjectedRemainingMedicareShare').val()!='') ? parseFloat($('#PayrollDetailProjectedRemainingMedicareShare').val()) : 0;
	var projected_other_taxable_income = ($('#PayrollDetailProjectedOtherTaxableIncome').val()!='') ? parseFloat($('#PayrollDetailProjectedOtherTaxableIncome').val()) : 0;
	var total_taxable_income_for_the_current_year = total_paid_taxable_net_income_for_current_year + projected_remaining_net_income + total_paid_taxable_hazard_pay_for_current_year + projected_remaining_hazard_pay + total_paid_medicare_share_for_current_year + projected_remaining_medicare_share + projected_other_taxable_income;
	$('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val(total_taxable_income_for_the_current_year.toFixed(2));
}

function compute_total_tax_for_the_current_year(){
	var total_tax_for_the_current_year =0.00;
	var total_taxable_income_for_the_current_year = ($('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val()) : 0;
	
	if (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20')){ //JO
		var jo_tax_percentage1 = ($('#PayrollDetailJoTaxPercentage1').val()!='' && $('#PayrollDetailJoTaxPercentage1').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage1').val()) / 100 : 1;
		var jo_tax_percentage2 = ($('#PayrollDetailJoTaxPercentage2').val()!='' && $('#PayrollDetailJoTaxPercentage2').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage2').val()) / 100 : 1;
		var jo_tax_percentage1_result = (total_taxable_income_for_the_current_year * jo_tax_percentage1);
		var jo_tax_percentage2_result = (total_taxable_income_for_the_current_year * jo_tax_percentage2);
		total_tax_for_the_current_year = ( jo_tax_percentage1_result + jo_tax_percentage2_result);
		console.log(jo_tax_percentage1_result);
		console.log(jo_tax_percentage2_result);
	}
	else {
		var tax_exemption = ($('#PayrollDetailTaxExemption').val()!='') ? parseFloat($('#PayrollDetailTaxExemption').val()) : 0;
		var base_tax = ($('#PayrollDetailAdditionalTaxInPeso').val()!='') ? parseFloat($('#PayrollDetailAdditionalTaxInPeso').val()) : 0;
		var tax_multiplier = ($('#PayrollDetailTaxRatePercentage').val()!='') ? parseFloat($('#PayrollDetailTaxRatePercentage').val()) / 100 : 0;
		var additional_tax = ($('#PayrollDetailAdditionalTax').val()!='') ? parseFloat($('#PayrollDetailAdditionalTax').val()) : 0;
		total_tax_for_the_current_year = ((total_taxable_income_for_the_current_year - tax_exemption) * tax_multiplier) + base_tax + additional_tax;
	}
	$('#PayrollDetailTotalTaxForTheCurrentYear').val(total_tax_for_the_current_year.toFixed(2));
}

function compute_remaining_tax_for_the_current_year(){
	var total_tax_for_the_current_year = ($('#PayrollDetailTotalTaxForTheCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalTaxForTheCurrentYear').val()) : 0;
	var total_tax_withheld_for_the_current_year = ($('#PayrollDetailTotalTaxWithheldForTheCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalTaxWithheldForTheCurrentYear').val()) : 0;
	var remaining_tax_for_the_current_year = total_tax_for_the_current_year - total_tax_withheld_for_the_current_year;
	$('#PayrollDetailRemainingTaxForTheCurrentYear').val(remaining_tax_for_the_current_year.toFixed(2));
}

function compute_projected_monthly_tax(){
	var is_finalized=Boolean(<?php echo $has_finalized_salary ?>);
	var remaining_no_of_months_for_projection = ($('#PayrollDetailRemainingNoOfMonthsForProjection').val()!='') ? parseFloat($('#PayrollDetailRemainingNoOfMonthsForProjection').val()) : 0;
	var tax_divisor = remaining_no_of_months_for_projection + (is_finalized ? 0 : 1);
	var remaining_tax_for_the_current_year = ($('#PayrollDetailRemainingTaxForTheCurrentYear').val()!='') ? parseFloat($('#PayrollDetailRemainingTaxForTheCurrentYear').val()) : 0;
	var projected_monthly_tax = remaining_tax_for_the_current_year / tax_divisor;
	$('#PayrollDetailProjectedMonthlyTax').val(projected_monthly_tax.toFixed(2));
	
	 //add ni del
       var personel_type = $('#PositionDetailPersonnelTypeCode').val();
               is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
               is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
               console.log(is_jo);
               console.log(is_medical_contractual);
               
       if ((is_jo) || (is_medical_contractual)) {
               var jo_tax_percentage1 = ($('#PayrollDetailJoTaxPercentage1').val()!='' && $('#PayrollDetailJoTaxPercentage1').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage1').val()) / 100 : 1;
               var jo_tax_percentage2 = ($('#PayrollDetailJoTaxPercentage2').val()!='' && $('#PayrollDetailJoTaxPercentage2').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage2').val()) / 100 : 1;
               jo_total_tax_percentage =jo_tax_percentage1+jo_tax_percentage2;
               $('#PayrollDetailTaxPercentage').val(jo_total_tax_percentage);
               var jo_tax_amount_1 = (projected_monthly_tax * ((jo_tax_percentage1/jo_total_tax_percentage)*100)) / 100;
               var jo_tax_amount_2 = (projected_monthly_tax * ((jo_tax_percentage2/jo_total_tax_percentage)*100)) / 100;
               $('#PayrollDetailJoTaxAmount1').val(jo_tax_amount_1.toFixed(2));
               $('#PayrollDetailJoTaxAmount2').val(jo_tax_amount_2.toFixed(2));

               projected_monthly_tax
       }else{
               console.log('dito')

       }
	// end
	
}

function compute_projected_monthly_medicare_share_tax(){
	var has_finalized_medicare_share_first_batch=Boolean(<?php echo $has_finalized_medicare_share_first_batch ?>);
	var has_finalized_medicare_share_second_batch=Boolean(<?php echo $has_finalized_medicare_share_second_batch ?>);
	var additional_remaining_no_of_months_for_projection = 0;
	
	
	if(has_finalized_medicare_share_first_batch + has_finalized_medicare_share_second_batch == 0) {
		additional_remaining_no_of_months_for_projection = 1;
	}
	
	var projected_remaining_medicare_share = ($('#PayrollDetailProjectedRemainingMedicareShare').val()!='') ? parseFloat($('#PayrollDetailProjectedRemainingMedicareShare').val()) : 0;
	var remaining_no_of_months_for_projection = (($('#PayrollDetailRemainingNoOfMonthsForProjection').val()!='') ? parseFloat($('#PayrollDetailRemainingNoOfMonthsForProjection').val()) : 0) + additional_remaining_no_of_months_for_projection;
	var projected_monthly_medicare_share_tax_1 = 0.00;
	
	if (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20')){ //JO
		var jo_tax_percentage1 = ($('#PayrollDetailJoTaxPercentage1').val()!='' && $('#PayrollDetailJoTaxPercentage1').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage1').val()) / 100 : 1;
		var jo_tax_percentage2 = ($('#PayrollDetailJoTaxPercentage2').val()!='' && $('#PayrollDetailJoTaxPercentage2').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage2').val()) / 100 : 1;
		var jo_tax_percentage1_result = ((projected_remaining_medicare_share / remaining_no_of_months_for_projection) * jo_tax_percentage1);
		var jo_tax_percentage2_result = ((projected_remaining_medicare_share / remaining_no_of_months_for_projection) * jo_tax_percentage2);
		projected_monthly_medicare_share_tax_1 = jo_tax_percentage1_result + jo_tax_percentage2_result;
	}
	else {
		var tax_rate_multiplier = ($('#PayrollDetailTaxPercentage').val()!='') ? parseFloat($('#PayrollDetailTaxPercentage').val()) / 100 : 0;
		projected_monthly_medicare_share_tax_1 = (projected_remaining_medicare_share / remaining_no_of_months_for_projection) * tax_rate_multiplier;
		console.log(projected_monthly_medicare_share_tax_1);
		console.log(remaining_no_of_months_for_projection);
		console.log(tax_rate_multiplier);
	}

	var projected_monthly_tax = ($('#PayrollDetailProjectedMonthlyTax').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyTax').val()) : 0;
	
	if (projected_monthly_medicare_share_tax_1 > projected_monthly_tax) {
		$('#PayrollDetailProjectedMonthlyMedicareShareTax').val(projected_monthly_tax.toFixed(2));
	}
	else {
		$('#PayrollDetailProjectedMonthlyMedicareShareTax').val(projected_monthly_medicare_share_tax_1.toFixed(2));
	}
}

function compute_projected_monthly_hazard_pay_tax(){
	var is_finalized=Boolean(<?php echo $has_finalized_salary ?>);
	var projected_remaining_hazard_pay = ($('#PayrollDetailProjectedRemainingHazardPay').val()!='') ? parseFloat($('#PayrollDetailProjectedRemainingHazardPay').val()) : 0;
	var remaining_no_of_months_for_projection = ($('#PayrollDetailRemainingNoOfMonthsForProjection').val()!='') ? parseFloat($('#PayrollDetailRemainingNoOfMonthsForProjection').val()) : 0;
	var tax_rate_multiplier = ($('#PayrollDetailTaxPercentage').val()!='') ? parseFloat($('#PayrollDetailTaxPercentage').val()) / 100 : 0;
	var projected_monthly_hazard_pay_tax_1 =  (projected_remaining_hazard_pay / (remaining_no_of_months_for_projection + (is_finalized ? 0 : 1))) * tax_rate_multiplier;
	var projected_monthly_tax = ($('#PayrollDetailProjectedMonthlyTax').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyTax').val()) : 0;
	var projected_monthly_medicare_share_tax = ($('#PayrollDetailProjectedMonthlyMedicareShareTax').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyMedicareShareTax').val()) : 0;
	var remaining_tax_after_projected_monthly_medicare_share_tax =  projected_monthly_tax - projected_monthly_medicare_share_tax;
	
	if(projected_monthly_hazard_pay_tax_1 > remaining_tax_after_projected_monthly_medicare_share_tax) {
		$('#PayrollDetailProjectedMonthlyHazardPayTax').val(remaining_tax_after_projected_monthly_medicare_share_tax.toFixed(2));
	}
	else {
		$('#PayrollDetailProjectedMonthlyHazardPayTax').val(projected_monthly_hazard_pay_tax_1.toFixed(2));
	}
}

function compute_projected_monthly_salary_tax(){
	var personel_type = $('#PositionDetailPersonnelTypeCode').val();
	is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
	is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
	
	var projected_monthly_medicare_share_tax = ($('#PayrollDetailProjectedMonthlyMedicareShareTax').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyMedicareShareTax').val()) : 0;
	var projected_monthly_tax = ($('#PayrollDetailProjectedMonthlyTax').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyTax').val()) : 0;
	
	if ((is_jo) || (is_medical_contractual)){
		var jo_tax_percentage1 = ($('#PayrollDetailJoTaxPercentage1').val()!='' && $('#PayrollDetailJoTaxPercentage1').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage1').val()) : 1;
		var jo_tax_percentage2 = ($('#PayrollDetailJoTaxPercentage2').val()!='' && $('#PayrollDetailJoTaxPercentage2').val()!='0') ? parseFloat($('#PayrollDetailJoTaxPercentage2').val()) : 1;
		
		projected_monthly_tax -= projected_monthly_medicare_share_tax;
		jo_total_tax_percentage = jo_tax_percentage1 + jo_tax_percentage2;
		
		$('#PayrollDetailTaxPercentage').val(jo_total_tax_percentage);
		
		var jo_tax_amount_1 = (projected_monthly_tax * ((jo_tax_percentage1/jo_total_tax_percentage)*100)) / 100;
		var jo_tax_amount_2 = (projected_monthly_tax * ((jo_tax_percentage2/jo_total_tax_percentage)*100)) / 100;
		
		
		$('#PayrollDetailJoTaxAmount1').val(jo_tax_amount_1.toFixed(2));
		$('#PayrollDetailJoTaxAmount2').val(jo_tax_amount_2.toFixed(2));
		
		
		var total_monthly_withholding_tax = jo_tax_amount_1 + jo_tax_amount_2;
		var total_annual_withholding_tax = total_monthly_withholding_tax * 12;
		
		console.log(jo_tax_percentage1);
		console.log(jo_tax_percentage2);
		
		console.log('here');
		console.log(total_monthly_withholding_tax);
		console.log(total_monthly_withholding_tax);
		console.log(jo_tax_amount_1);
		console.log(jo_tax_amount_2);
		
		$('#PayrollDetailWithholdingTax').val(total_monthly_withholding_tax.toFixed(2));
		$('#PayrollDetailProjectedMonthlySalaryTax').val(total_monthly_withholding_tax.toFixed(2));
		$('#annual_withholding_tax').val(total_annual_withholding_tax.toFixed(2));
	}
	else {
		var projected_monthly_hazard_pay_tax = ($('#PayrollDetailProjectedMonthlyHazardPayTax').val()!='') ? parseFloat($('#PayrollDetailProjectedMonthlyHazardPayTax').val()) : 0;
		var projected_monthly_salary_tax = (projected_monthly_tax - projected_monthly_medicare_share_tax) - projected_monthly_hazard_pay_tax;
		$('#PayrollDetailProjectedMonthlySalaryTax').val(projected_monthly_salary_tax.toFixed(2));
		$('#PayrollDetailWithholdingTax').val(projected_monthly_salary_tax.toFixed(2));
		$('#annual_withholding_tax').val(parseFloat(projected_monthly_salary_tax * 12).toFixed(2));
	}
	
	
	
}

//premiums
$('#PayrollDetailPhicEmployeeShare, #PayrollDetailPagibigEmployeeShare, #PayrollDetailGsisEmployeeShare, #PayrollDetailSssEmployeeShare').on('change',function(){
	compute_projected_monthly_premiums();
});

function compute_excess_bonus_taxable_amount(total_bonus_and_benefits=0){
	total_bonus_and_benefits = (total_bonus_and_benefits!='') ? parseFloat(total_bonus_and_benefits) : 0;
	var bonus_tax_exemption = ($('#PayrollDetailBonusTaxExemption').val()!='') ? parseFloat($('#PayrollDetailBonusTaxExemption').val()) : 0;
	if (total_bonus_and_benefits > bonus_tax_exemption) {
		return parseFloat(total_bonus_and_benefits - bonus_tax_exemption).toFixed(2);
	}
	return 0;
}

$('#PositionDetailJobTitleCode').change(function(){
		var job_title_code = $(this).val();
		if(job_title_code == ""){
			
			$('#PositionDetailJobTitleItemNumberCode').empty();		
			$('#PositionDetailJobTitleItemNumberCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
			$('#PositionDetailJobTitleItemNumberCode').trigger("chosen:updated");

		}
		else {
			var job_title_code = $(this).val();
			if(job_title_code.length > 0){
				
				$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_item_number','prefix'=>''))?>/"+job_title_code, function(data) {
					
					// console.log(data);
					
					$('#PositionDetailJobTitleItemNumberCode').empty();
				
					$.each(data,function(k,v){
						$('#PositionDetailJobTitleItemNumberCode').append("<option value="+k+">"+v+"</option>"); 
					});
					$('#PositionDetailJobTitleItemNumberCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
					$('#PositionDetailJobTitleItemNumberCode').trigger("chosen:updated");
					
				});
			}
		}
	});
	
	
	
$('#PositionDetailDivisionCode').change(function(){
		var division_code = $(this).val();
		if(division_code == ""){
			
			$('#PositionDetailSectionCode').empty();		
			$('#PositionDetailSectionCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
			$('#PositionDetailSectionCode').trigger("chosen:updated");
			
			$('#PositionDetailUnitCode').empty();		
			$('#PositionDetailUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
			$('#PositionDetailUnitCode').trigger("chosen:updated");
			
			$('#PositionDetailSubUnitCode').empty();
			$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
			$('#PositionDetailSubUnitCode').trigger("chosen:updated");
		}
		else {
			var division_code = $(this).val();
			if(division_code.length > 0){	
				$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_position_detail_section_code','prefix'=>''))?>/"+division_code, function(data) {
					$('#PositionDetailSectionCode').empty();
					$('#PositionDetailUnitCode').empty();
					$('#PositionDetailSubUnitCode').empty();	
					$.each(data,function(k,v){
						$('#PositionDetailSectionCode').append("<option value="+k+">"+v+"</option>"); 
					});
					$('#PositionDetailSectionCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
					$('#PositionDetailUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
					$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
					
					$('#PositionDetailSectionCode').trigger("chosen:updated");
					$('#PositionDetailUnitCode').trigger("chosen:updated");
					$('#PositionDetailSubUnitCode').trigger("chosen:updated");
				});
			}
		}
		if(division_code == "DIV-8") {
			// alert(33);
			$('#hide_sub_specialty').show();
			$('#PositionDetailSectionCode').val(current_section);
			$('#sub_specialty').val(current_sub_specialty);
			$('#PositionDetailSectionCode').trigger("chosen:updated");
			$('#sub_specialty').trigger("chosen:updated");
			// console.log(current_section);
			// $('#hide_sub_specialty').trigger('show');
		}
		else{
			current_sub_specialty = $('#sub_specialty').val();
			current_section = $('#PositionDetailSectionCode').val();
			$('#hide_sub_specialty').hide();
			console.log(current_section);
			$('#sub_specialty').val('');
			$('#sub_specialty').trigger("chosen:updated");
		}
		
	});


	$('#PositionDetailSectionCode').change(function() {
		// alert("SUCCESS");
		var job_title_code = $(this).val();
		// alert(job_title_code);
		$.getJSON( "<?php echo $this->Html->url(array("controller"=>'position_details','action'=>'get_section_and_division','prefix'=>'hris', 'hris' => 'true'))?>/"+job_title_code, function(section) {
		$("#PositionDetailDivisionCode").val(section[0]['code']).trigger('chosen:updated')
			
		console.log (section[0]['code']);
		
		
			}).done(function(data) {
				console.log( "second success" );
			}).fail(function() {
				console.log( "error" );
			}).always(function() {
		});
		
	});
	
	$('#PositionDetailUnitCode').empty();	
	$('#PositionDetailSubUnitCode').empty();	
	$('#PositionDetailUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 
	$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 
	
	
	var transfer_code= $('#PositionDetailNatureOfAppointmentCode').val();
	if(transfer_code == "NOA-7" || transfer_code == "NOA-8") {
		$('#TransferOtherAgency').show();
		 $('#PositionDetailNameOfAgency').removeAttr('disabled');
	}
	else {
		$('#TransferOtherAgency').hide();
		$('#PositionDetailNameOfAgency').attr('disabled','disabled');
	}
	
	$('#PositionDetailNatureOfAppointmentCode').change(function(){
		var transfer_code = $(this).val();
		if(transfer_code == "NOA-7" || transfer_code == "NOA-8") {
			$('#TransferOtherAgency').show();
			 $('#PositionDetailNameOfAgency').removeAttr('disabled');
		}
		else {
			$('#TransferOtherAgency').hide();
			$('#PositionDetailNameOfAgency').attr('disabled','disabled');
		}
		
	});
	$('#PositionDetailJobTitleCode').change(function(){
		var job_title_code = $(this).val();
		if(job_title_code == "") {
			
			$('#PositionDetailJobTitleItemNumberCode').empty();		
			$('#PositionDetailJobTitleItemNumberCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
			$('#PositionDetailJobTitleItemNumberCode').trigger("chosen:updated");

		}
		else {
			var job_title_code = $(this).val();
			if(job_title_code.length > 0){
				
				$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_item_number','prefix'=>''))?>/"+job_title_code, function(data) {
					$('#PositionDetailJobTitleItemNumberCode').empty();
				
					$.each(data,function(k,v){
						$('#PositionDetailJobTitleItemNumberCode').append("<option value="+k+">"+v+"</option>"); 
					});
					$('#PositionDetailJobTitleItemNumberCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
					$('#PositionDetailJobTitleItemNumberCode').trigger("chosen:updated");
					
				});
			}
		}
	});
	
	$('#PositionDetailSectionCode').change(function(){
		var section_code = $(this).val();
		if(section_code == "") {
			$('#PositionDetailUnitCode').empty();		
			$('#PositionDetailUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 
			$('#PositionDetailUnitCode').trigger("chosen:updated");
			
			$('#PositionDetailSubUnitCode').empty();
			$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 
			$('#PositionDetailSubUnitCode').trigger("chosen:updated");
		}
		else {
			// $('#PositionDetailUnitCode').removeAttr('disabled');
			var section_code = $(this).val();
			if(section_code.length > 0){	

				$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_position_detail_unit_code','prefix'=>''))?>/"+section_code, function(data) {
					$('#PositionDetailUnitCode').empty();
					$('#PositionDetailSubUnitCode').empty();	
					$.each(data,function(k,v){

						$('#PositionDetailUnitCode').append("<option value="+k+">"+v+"</option>");   
					});
					$('#PositionDetailUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 
					$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>");
					$('#PositionDetailUnitCode').trigger("chosen:updated");
					$('#PositionDetailSubUnitCode').trigger("chosen:updated");
				});
			}
		}
	});
	
	$('#PositionDetailUnitCode').change(function(){
		var unit_code = $('#PositionDetailUnitCode :selected').text().toLowerCase();

		if(unit_code == "(choose one)") {
			$('#PositionDetailSubUnitCode').attr('disabled','disabled');
			$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
			$('#PositionDetailSubUnitCode').trigger("chosen:updated");
		}
		else {

			$('#PositionDetailSubUnitCode').removeAttr('disabled');
			var unit_code = $(this).val();
			if(unit_code.length > 0){	

				$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'hris_get_position_detail_sub_unit_code','prefix'=>''))?>/"+unit_code, function(data) {
					$('#PositionDetailSubUnitCode').empty();
					$.each(data,function(k,v){
						$('#PositionDetailSubUnitCode').append("<option value="+k+">"+v+"</option>");   
					});
					$('#PositionDetailSubUnitCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
					$('#PositionDetailSubUnitCode').trigger("chosen:updated");
				});
			}
		}
	});
	
	function change_readonly(element_ids=[],value=false){
		if (element_ids.length >=1){
			element_ids.forEach(function(id) {
				$('#' + id ).attr('readonly', value);
			});
		}
	}
	
	
	var is_jo = false;
	var is_medical_contractual = false;
	
	// revised
	$('#PositionDetailJobTitleCode, #PositionDetailEmploymentStatusCode, #PositionDetailPersonnelTypeCode, #PositionDetailEmployeeTypeCode,#PositionDetailStepNumber').change(function(){
		var job_title_code = $('#PositionDetailJobTitleCode').val();
		var salary_code = '';
		var monthly_rate = 0.00;
		var annual_rate = 0.00;
		var semi_monthly_rate = 0.00;
		var daily_rate = 0.00;
		var hourly_rate = 0.00;
		var weekly_rate = 0.00;
		var minute_rate = 0.00;
		
		var part_time_annual_rate = 0.00;
		var part_time_monthly_rate = 0.00;
		var part_time_semi_monthly_rate = 0.00;
		var part_time_daily_rate = 0.00;
		var part_time_hourly_rate = 0.00;
		var part_time_weekly_rate = 0.00;
		
		var hazard_pay = 0.00;
		var longevity_pay = 0.00;
		
		var gsis_employee_share_multiplier = 0.09;
		var gsis_employer_share_multiplier = 0.12;				
		var phic_share_multiplier = 0.0275;				
		var pagibig_share_multiplier = 0.02;	
		
		var annual_withholding_tax =0.00;
		
		
	
		var personel_type = $('#PositionDetailPersonnelTypeCode').val();
		var is_parttime = ($('#PositionDetailEmployeeTypeCode').val()==='PARTTIME');
		
		// alert(is_permanent);
		
		
		
		if(is_parttime) {
			$('#full_time_container').css('display','none');
			$('#part_time_container').css('display','block');
		}
		else {
			$('#full_time_container').css('display','block');
			$('#part_time_container').css('display','none');
		}
		
		//Salary details field
		// $('#PayrollDetailAnnualRate').attr('readonly', true);
		// $('#PayrollDetailSemiMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailWeeklyRate').attr('readonly', true);
		// $('#PayrollDetailDailyRate').attr('readonly', true);
		// $('#PayrollDetailHourlyRate').attr('readonly', true);
		// $('#PayrollDetailMinuteRate').attr('readonly', true);
		
		//part time salary details field
		// $('#PayrollDetailPartTimeAnnualRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeSemiMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeMonthlyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeWeeklyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeDailyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeHourlyRate').attr('readonly', true);
		// $('#PayrollDetailPartTimeMinuteRate').attr('readonly', true);
		
		$('#PayrollDetailHazardPay').val('0.00');
		$('#PayrollDetailLongetivityPay').val('0.00');
		
		//Gov't mandated benefits field
		// $('#PayrollDetailPhicEmployeeShare').attr('readonly', true);
		// $('#PayrollDetailPhicEmployerShare').attr('readonly', true);
		// $('#PayrollDetailPagibigEmployeeShare').attr('readonly', true);
		// $('#PayrollDetailPagibigEmployerShare').attr('readonly', true);
		// $('#PayrollDetailGsisEmployeeShare').attr('readonly', true);
		// $('#PayrollDetailGsisEmployerShare').attr('readonly', true);
		// $('#PayrollDetailGsisEcip').attr('readonly', true);
		// $('#PayrollDetailSssEmployeeShare').attr('readonly', true);
		// $('#PayrollDetailSssEmployerShare').attr('readonly', true);\
		
		$('#train_table').hide();
		$('.jo_container').show();
		
		$('#PayrollDetailHazardPay').attr('readonly', true);
		
		//if jo or contractual and not a doctor
		is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
		is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
		
		if(job_title_code.length > 0) {	
		var step_number = $('#PositionDetailStepNumber').val();
		
			$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_job_title','prefix'=>'hris'))?>/"+job_title_code+"/"+step_number, function(data) {
				console.log(data);
				if(data['SalaryGradeStepNumber']['basic_salary']!=""){
					data['SalaryGrade']['basic_salary']=data['SalaryGradeStepNumber']['basic_salary'];
				}				
				if (data['JobTitle']['for_contractual_only'] == '1') {
					$('#PositionDetailSalaryGrade').val("For Contractual Only");
					$('#PositionDetailStepNumber').val(0);
					$('#PositionDetailEmploymentStatusCode').val("ESTAT-13").prop('disabled', true).trigger("chosen:updated");
					// $('#PositionDetailSalaryGradeNumber').val('');
					
					is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
					is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
					salary_code = data['SalaryGrade']['code'];
				}
				else {
					$('#PositionDetailEmploymentStatusCode').prop('disabled', false).trigger("chosen:updated");
					$('#PositionDetailStepNumber').val(1);
					$('#PositionDetailSalaryGrade').val(data['SalaryGrade']['name']);
					$('#PositionDetailSalaryGradeNumber').val(data['SalaryGrade']['salary_grade_number']);
					salary_code = data['SalaryGrade']['code'];
				}
				$('#PositionDetailSalaryGradeCode').val(salary_code);
				
				if(is_jo){
					console.log('jo');
					//employer share fields
					// $('#PayrollDetailPhicEmployerShare').val(0);
					$('#PayrollDetailPagibigEmployerShare').val(0);
					$('#PayrollDetailGsisEmployerShare').val(0);
					$('#PayrollDetailGsisEcip').val(0);
					$('#PayrollDetailSssEmployerShare').val(0);
					// $('#PayrollDetailPhicEmployeeShare').val(0);
					$('#PayrollDetailGsisEmployeeShare').val(0);
					$('#PayrollDetailSssEmployeeShare').val(0);
					
					//employee shares fields
					// $('#PayrollDetailPhicEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailPagibigEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailGsisEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailSssEmployeeShare').attr('readonly', false);
					
					$('#PayrollDetailDailyRate').attr('readonly', false);
					$('#PayrollDetailDailyRate').trigger('keyup');
					$('#PayrollDetailPartTimeDailyRate').attr('readonly', false);
					// alert(is_parttime);
					monthly_rate = (is_parttime) ? (($('#PayrollDetailPartTimeDailyRate').val()!='') ? parseFloat($('#PayrollDetailPartTimeDailyRate').val()) : 0) : (($('#PayrollDetailDailyRate').val()!='') ? parseFloat($('#PayrollDetailDailyRate').val()) : 0) ;
					monthly_rate = monthly_rate * 22;
					console.log(monthly_rate);
					
					gsis_employee_share = monthly_rate * gsis_employee_share_multiplier;
					// $('#PayrollDetailGsisEmployeeShare').val(gsis_employee_share.toFixed(2));
					
					phic_share = (monthly_rate * phic_share_multiplier) / 2;				
					// $('#PayrollDetailPhicEmployeeShare').val(phic_share.toFixed(2));
					
					pagibig_share = 5000 * pagibig_share_multiplier;				
					// $('#PayrollDetailPagibigEmployeeShare').val(pagibig_share.toFixed(2));
					
				}
				else if(is_medical_contractual) {
					console.log('medical_contractual');
					$('#PayrollDetailPhicEmployerShare').val(0);
					$('#PayrollDetailPagibigEmployerShare').val(0);
					$('#PayrollDetailGsisEmployerShare').val(0);
					$('#PayrollDetailGsisEcip').val(0);
					$('#PayrollDetailSssEmployerShare').val(0);
					
					// $('#PayrollDetailPhicEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailPagibigEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailGsisEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailSssEmployeeShare').attr('readonly', false);
					
					$('#PayrollDetailMonthlyRate').attr('readonly', false);
					$('#PayrollDetailMonthlyRate').trigger('keyup');
					$('#PayrollDetailPartTimeMonthlyRate').attr('readonly', false);
					
					monthly_rate = (is_parttime) ? (($('#PayrollDetailPartTimeMonthlyRate').val()!='') ? parseFloat($('#PayrollDetailPartTimeMonthlyRate').val()) : 0) : (($('#PayrollDetailMonthlyRate').val()!='') ? parseFloat($('#PayrollDetailMonthlyRate').val()) : 0) ;
					console.log(monthly_rate);
					
					gsis_employee_share = monthly_rate * gsis_employee_share_multiplier;
					// $('#PayrollDetailGsisEmployeeShare').val(gsis_employee_share.toFixed(2));
					
					phic_share = (monthly_rate * phic_share_multiplier) / 2;				
					// $('#PayrollDetailPhicEmployeeShare').val(phic_share.toFixed(2));
					
					pagibig_share = 5000 * pagibig_share_multiplier;				
					// $('#PayrollDetailPagibigEmployeeShare').val(pagibig_share.toFixed(2));
					
				}
				else {
					$('#train_table').show();
					$('.jo_container').hide();
					
					console.log('regular');
					$('#PayrollDetailHazardPay').attr('readonly', false);
					monthly_rate = parseFloat(data['SalaryGrade']['basic_salary']) / ((is_parttime) ? 2 : 1);
					// monthly_rate = parseFloat(data['SalaryGrade']['basic_salary']);
					// alert(is_parttime);
					annual_rate = monthly_rate * 12;
					semi_monthly_rate = monthly_rate / 2;
					daily_rate = monthly_rate / 22;
					hourly_rate = daily_rate / 8;
					weekly_rate = hourly_rate * 40;
					minute_rate = hourly_rate / 60;
					
					hazard_pay = monthly_rate * (data['SalaryGrade']['hazard_pay_percentage']/100);
					longevity_pay = monthly_rate * 0.05;

					$('#PayrollDetailAnnualRate').val(annual_rate.toFixed(2));
					$('#PayrollDetailWeeklyRate').val(weekly_rate.toFixed(2));
					$('#PayrollDetailMonthlyRate').val(monthly_rate.toFixed(2));
					$('#PayrollDetailMidYearBonus').val(monthly_rate.toFixed(2));
					$('#PayrollDetailYearEndBonus').val(monthly_rate.toFixed(2));
					$('#PayrollDetailMinuteRate').val(minute_rate.toFixed(2));
					$('#PayrollDetailDailyRate').val(daily_rate.toFixed(2));
					$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
					$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
					
					$('#PayrollDetailPartTimeAnnualRate').val(annual_rate.toFixed(2));
					$('#PayrollDetailPartTimeWeeklyRate').val(weekly_rate.toFixed(2));
					$('#PayrollDetailPartTimeMonthlyRate').val(monthly_rate.toFixed(2));
					$('#PayrollDetailPartTimeMinuteRate').val(minute_rate.toFixed(2));
					$('#PayrollDetailPartTimeDailyRate').val(daily_rate.toFixed(2));
					$('#PayrollDetailPartTimeHourlyRate').val(hourly_rate.toFixed(2));
					$('#PayrollDetailPartTimeSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
					
					$("#percentage_hazard").val(parseFloat(data['SalaryGrade']['hazard_pay_percentage']/100).toFixed(2));
					$('#PayrollDetailHazardPay').val(hazard_pay.toFixed(2));
					$('#PayrollDetailLongetivityPay').val(longevity_pay.toFixed(2));
					
					gsis_employee_share = monthly_rate * gsis_employee_share_multiplier;
					gsis_employer_share = monthly_rate * gsis_employer_share_multiplier;				
					$('#PayrollDetailGsisEmployeeShare').val(gsis_employee_share.toFixed(2));
					$('#PayrollDetailGsisEmployerShare').val(gsis_employer_share.toFixed(2));
					
					phic_share = (monthly_rate * phic_share_multiplier) / 2;				
					$('#PayrollDetailPhicEmployeeShare').val(phic_share.toFixed(2));
					$('#PayrollDetailPhicEmployerShare').val(phic_share.toFixed(2));
					
					pagibig_share = 5000 * pagibig_share_multiplier;				
					
					if($('#PositionDetailEmploymentStatusCode').val()!=""){
						$('#PayrollDetailPagibigEmployeeShare').val(pagibig_share.toFixed(2));
						$('#PayrollDetailPagibigEmployerShare').val(pagibig_share.toFixed(2));
							
					}
					
					$('#PayrollDetailGsisEcip').attr('readonly', false);
					// $('#PayrollDetailSssEmployeeShare').attr('readonly', false);
					// $('#PayrollDetailSssEmployerShare').attr('readonly', false);
					
				}
				if(is_parttime){
					monthly_rate = parseFloat(data['SalaryGrade']['basic_salary']) / ((is_parttime) ? 2 : 1);
					annual_rate = monthly_rate * 12;
					semi_monthly_rate = monthly_rate / 2;
					daily_rate = monthly_rate / 22;
					hourly_rate = daily_rate / 8;
					weekly_rate = hourly_rate * 40;
					minute_rate = hourly_rate / 60;
					
					$('#PayrollDetailPartTimeAnnualRate').val(annual_rate.toFixed(2));
					$('#PayrollDetailPartTimeWeeklyRate').val(weekly_rate.toFixed(2));
					$('#PayrollDetailPartTimeMonthlyRate').val(monthly_rate.toFixed(2));
					$('#PayrollDetailPartTimeMinuteRate').val(minute_rate.toFixed(2));
					$('#PayrollDetailPartTimeDailyRate').val(daily_rate.toFixed(2));
					$('#PayrollDetailPartTimeHourlyRate').val(hourly_rate.toFixed(2));
					$('#PayrollDetailPartTimeSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
				}else{
					$('#PayrollDetailHazardPay').attr('readonly', false);
					monthly_rate = parseFloat(data['SalaryGrade']['basic_salary']) / ((is_parttime) ? 2 : 1);
					annual_rate = monthly_rate * 12;
					semi_monthly_rate = monthly_rate / 2;
					daily_rate = monthly_rate / 22;
					hourly_rate = daily_rate / 8;
					weekly_rate = hourly_rate * 40;
					minute_rate = hourly_rate / 60;
					
					hazard_pay = monthly_rate * (data['SalaryGrade']['hazard_pay_percentage']/100);
					longevity_pay = monthly_rate * 0.05;

					$('#PayrollDetailAnnualRate').val(annual_rate.toFixed(2));
					$('#PayrollDetailWeeklyRate').val(weekly_rate.toFixed(2));
					$('#PayrollDetailMonthlyRate').val(monthly_rate.toFixed(2));
					$('#PayrollDetailMidYearBonus').val(monthly_rate.toFixed(2));
					$('#PayrollDetailYearEndBonus').val(monthly_rate.toFixed(2));
					$('#PayrollDetailMinuteRate').val(minute_rate.toFixed(2));
					$('#PayrollDetailDailyRate').val(daily_rate.toFixed(2));
					$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
					$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
				}
				compute_tax();
			});
		}
		else {
			//please select position title
			console.log('please select position title');
		}
		
	});
	
	
	$('#PayrollDetailDailyRate:not(readonly)').on('keyup',function(){
		var daily_rate = ($(this).val()!='') ? parseFloat($(this).val()) : 0;
		var monthly_rate = daily_rate * 22;
		var semi_monthly_rate = monthly_rate / 2;
		var annual_rate = monthly_rate * 12;
		var hourly_rate = daily_rate / 8;
		var weekly_rate = hourly_rate * 40;
		var minute_rate = hourly_rate/60;
		
		$('#PayrollDetailAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailMonthlyRate').val(monthly_rate.toFixed(2));
		$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailMinuteRate').val(minute_rate.toFixed(2));
		
		$('#PayrollDetailPartTimeAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailPartTimeMonthlyRate').val(monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailPartTimeHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailPartTimeMinuteRate').val(minute_rate.toFixed(2));
	});
	
	$('#PayrollDetailMonthlyRate:not(readonly)').on('keyup',function(){
		var monthly_rate = ($(this).val()!='') ? parseFloat($(this).val()) : 0;
		var daily_rate = monthly_rate / 22;
		var semi_monthly_rate = monthly_rate / 2;
		var annual_rate = monthly_rate * 12;
		var hourly_rate = daily_rate / 8;
		var weekly_rate = hourly_rate * 40;
		var minute_rate = hourly_rate/60;
		
		$('#PayrollDetailAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailDailyRate').val(daily_rate.toFixed(2));
		$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailMinuteRate').val(minute_rate.toFixed(2));
		
		$('#PayrollDetailPartTimeAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailPartTimeMonthlyRate').val(monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailPartTimeHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailPartTimeMinuteRate').val(minute_rate.toFixed(2));
	});
	
	//for part time
	$('#PayrollDetailPartTimeDailyRate:not(readonly)').on('keyup',function(){
		var daily_rate = ($(this).val()!='') ? parseFloat($(this).val()) : 0;
		var monthly_rate = daily_rate * 22;
		var semi_monthly_rate = monthly_rate / 2;
		var annual_rate = monthly_rate * 12;
		var hourly_rate = daily_rate / 8;
		var weekly_rate = hourly_rate * 40;
		var minute_rate = hourly_rate/60;
		
		$('#PayrollDetailPartTimeAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailPartTimeMonthlyRate').val(monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailPartTimeHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailPartTimeMinuteRate').val(minute_rate.toFixed(2));
		
		//update for computation of monthly withholding_tax
		$('#PayrollDetailAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailDailyRate').val(daily_rate.toFixed(2));
		$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailMinuteRate').val(minute_rate.toFixed(2));
	});
	
	$('#PayrollDetailMonthlyRate:not(readonly)').on('keyup',function(){
		var monthly_rate = ($(this).val()!='') ? parseFloat($(this).val()) : 0;
		var daily_rate = monthly_rate / 22;
		var semi_monthly_rate = monthly_rate / 2;
		var annual_rate = monthly_rate * 12;
		var hourly_rate = daily_rate / 8;
		var weekly_rate = hourly_rate * 40;
		var minute_rate = hourly_rate/60;
		
		$('#PayrollDetailPartTimeAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailPartTimeDailyRate').val(daily_rate.toFixed(2));
		$('#PayrollDetailPartTimeSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailPartTimeWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailPartTimeHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailPartTimeMinuteRate').val(minute_rate.toFixed(2));
		
		//update for computation of monthly withholding_tax
		$('#PayrollDetailAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailDailyRate').val(daily_rate.toFixed(2));
		$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailWeeklyRate').val(weekly_rate.toFixed(2));
		$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
		$('#PayrollDetailMinuteRate').val(minute_rate.toFixed(2));
	});
	//end part time
	
	function compute_total_annual_withholding_tax(){
		var personel_type = $('#PositionDetailPersonnelTypeCode').val();
		is_jo = (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type!=='PERTYP-3');
		is_medical_contractual = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-20' || (($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-15' || $('#PositionDetailEmploymentStatusCode').val()==='ESTAT-13') && personel_type==='PERTYP-3'));
		
		if ((is_jo) || (is_medical_contractual)){
			compute_total_tax_for_the_current_year();
			compute_remaining_tax_for_the_current_year();
			compute_projected_monthly_tax();
			compute_projected_monthly_medicare_share_tax();
			compute_projected_monthly_hazard_pay_tax();
			compute_projected_monthly_salary_tax();
		}
		else {
			console.log('train');
			//TRAIN
			var total_taxable_income_for_the_current_year = ($('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val()!='') ? parseFloat($('#PayrollDetailTotalTaxableIncomeForTheCurrentYear').val()) : 0;
			var total_annual_withholding_tax = 0.00;
			var job_title_code = $('#PositionDetailJobTitleCode').val();
			$.getJSON( "<?php echo $this->Html->url(array('controller'=>'position_details','action'=>'get_train_table','prefix'=>'hris'))?>/"+job_title_code, function(train_tax_table_data) {
				$.each(train_tax_table_data,function(key,value){
					if(parseFloat(total_taxable_income_for_the_current_year) >= parseFloat(value['TrainTaxTable']['annual_income_from']) && parseFloat(total_taxable_income_for_the_current_year) <=  parseFloat(value['TrainTaxTable']['annual_income_to'])){
						var tax_bracket = value['TrainTaxTable']['annual_income_from'] + ' - ' + value['TrainTaxTable']['annual_income_to'];
						var tax_rate_percentage = value['TrainTaxTable']['tax_rate_percentage'] / 100;
						var additional_tax_in_peso = value['TrainTaxTable']['additional_tax_in_peso'];
						var base_annual_income = value['TrainTaxTable']['base_annual_income'];
						
						$('#PayrollDetailTaxPercentage').val(value['TrainTaxTable']['tax_rate_percentage']);
						$('#PayrollDetailTaxBracket').val(tax_bracket);
						$('#PayrollDetailTaxRatePercentage').val(value['TrainTaxTable']['tax_rate_percentage']);
						$('#PayrollDetailTaxExemption').val(value['TrainTaxTable']['non_taxable_annual_income']);
						$('#PayrollDetailAdditionalTaxInPeso').val(value['TrainTaxTable']['additional_tax_in_peso']);
						// alert(123);
						compute_total_tax_for_the_current_year();
						compute_remaining_tax_for_the_current_year();
						compute_projected_monthly_tax();
						compute_projected_monthly_medicare_share_tax();
						compute_projected_monthly_hazard_pay_tax();
						compute_projected_monthly_salary_tax();
					}
				});
				
			});

		}
		
	}
	
	// balik ka dito
	$('#PayrollDetailMonthlyRate').keyup(function () {
		monthly_rate = parseFloat($(this).val());
		hazard_pay_percentage = $("#percentage_hazard").val();
		console.log(hazard_pay_percentage);
		annual_rate = monthly_rate * 12;
		semi_monthly_rate = monthly_rate / 2;
		daily_rate = (monthly_rate * 12) / 261;
		hourly_rate = daily_rate / 8;
		
		total_hazard = monthly_rate * (hazard_pay_percentage / 100);
		
		
		$("#PayrollDetailAnnualRate").val(annual_rate.toFixed(2));
		$("#PayrollDetailHazardPay").val(total_hazard.toFixed(2));
		$("#PayrollDetailProjectedHazardPay").val(total_hazard.toFixed(2));
		$('#PayrollDetailSemiAnnualRate').val(annual_rate.toFixed(2));
		$('#PayrollDetailSemiMonthlyRate').val(semi_monthly_rate.toFixed(2));
		$('#PayrollDetailDailyRate').val(daily_rate.toFixed(2));
		$('#PayrollDetailHourlyRate').val(hourly_rate.toFixed(2));
		
		gsis_employee_share = monthly_rate * 0.09;
		gsis_employer_share = monthly_rate * 0.12;				
		$('#PayrollDetailGsisEmployeeShare').val(gsis_employee_share.toFixed(2));
		$('#PayrollDetailGsisEmployerShare').val(gsis_employer_share.toFixed(2));
		
		phic_share = (monthly_rate * 0.0275) / 2;				
		$('#PositionDetailPhicEmployeeShare').val(phic_share.toFixed(2));
		$('#PositionDetailPhicEmployerShare').val(phic_share.toFixed(2));
		
		pagibig_share = 5000 * 0.02;				
		$('#PayrollDetailPagibigEmployeeShare').val(pagibig_share.toFixed(2));
		$('#PayrollDetailPagibigEmployerShare').val(pagibig_share.toFixed(2));
		
	});
	
	
	$('#PositionDetailEmploymentStatusCode').change(function(){
		// alert("asd");
		var employee_type_code = $('#PositionDetailEmployeeTypeCode').val();
		var is_permanent = ($('#PositionDetailEmploymentStatusCode').val()==='ESTAT-2');
		var employee_status = $(this).val();
		var part_time = 25;
		var regular = 50;
		var subsistence_allowance_deduction_per_leave = 50.00;
		var monthly_rate =0.00;		
		var subsistence_allowance = 1100.00;
		var laundry_allowance = 150.00;
		var pera = 2000.00;
		var pagibig_employer_share = 100.00;
		var gsis_ecip = 0;
		
		
		if (is_permanent == true) {
			sweet_confirm("Update Default Value.","Do you want to update the default value of Subsistence Allowance, Laundry Allowance, PERA,Pag-Ibig Employee Share and GSIS Employee Share for Permanent. ","warning","Yes",apply_permanent_default_value);
		}
		else {
				sweet_confirm("Update default Value.","Do you want to update the default value of Subsistence Allowance, Laundry Allowance, PERA,Pag-Ibig Employee Share and GSIS Employee Share for JO. ","warning","Yes",apply_jo_default_value);
		
		}
		
		
		// if( employee_status == "ESTAT-16" ){
			// $('#PayrollDetailSubsistenceAllowanceDeductionPerLeave').val(part_time.toFixed(2));
		// }
		// else {
			// $('#PayrollDetailSubsistenceAllowanceDeductionPerLeave').val(regular.toFixed(2));
		// }
		
		if(employee_type_code==='PARTTIME'){
			monthly_rate = parseFloat($('#PayrollDetailPartTimeMonthlyRate').val());
		}
		else {
			monthly_rate = parseFloat($('#PayrollDetailMonthlyRate').val());
		}
		
		var hazard_pay = $('#PayrollDetailHazardPay').val();
		var annual_withholding_tax = parseFloat(monthly_rate);
		annual_withholding_tax = annual_withholding_tax * 12;
		compute_total_annual_withholding_tax($('#PositionDetailJobTitleCode').val(),annual_withholding_tax);
		
	});
	
	var apply_permanent_default_value=function apply_permanent_default_value(){
		
		var subsistence_allowance = 1100.00;
		var laundry_allowance = 150.00;
		var pera = 2000.00;
		var pagibig_employer_share = 100.00;
		var gsis_ecip = 0;
		var subsistence_allowance_deduction_per_leave = 50.00;
		
			$('#PayrollDetailSubsistenceAllowance').val(subsistence_allowance.toFixed(2));
			$('#PayrollDetailLaundryAllowance').val(laundry_allowance.toFixed(2));
			$('#PayrollDetailPera').val(pera.toFixed(2));
			$('#PayrollDetailPagibigEmployerShare').val(pagibig_employer_share.toFixed(2));
			$('#PayrollDetailGsisEcip').val(gsis_ecip.toFixed(2));
			$('#PayrollDetailSubsistenceAllowanceDeductionPerLeave').val(subsistence_allowance_deduction_per_leave.toFixed(2));
	}
	var apply_jo_default_value = function apply_jo_default_value(){
		
			$('#PayrollDetailSubsistenceAllowance').val(0);
			$('#PayrollDetailLaundryAllowance').val(0);
			$('#PayrollDetailPera').val(0);
			$('#PayrollDetailPagibigEmployerShare').val(0);
			$('#PayrollDetailGsisEcip').val(0);
			$('#PayrollDetailSubsistenceAllowanceDeductionPerLeave').val(0);
	}
	
	//total_bonus_and_benefits computation
	$('#PayrollDetailHazardPay, #PayrollDetailMidYearBonus, #PayrollDetailYearEndBonus, #PayrollDetailYearEndBonus, #PayrollDetailCashGift, #PayrollDetailPei, #PayrollDetailPbb, #PayrollDetailLoyaltyPay').on('change',function(){
		var projected_hazard_pay = ($('#PayrollDetailHazardPay').val()!='') ? parseFloat($('#PayrollDetailHazardPay').val()) : 0;
		$('#PayrollDetailProjectedHazardPay').val(projected_hazard_pay.toFixed(2));
		var mid_year_bonus = ($('#PayrollDetailMidYearBonus').val()!='') ? parseFloat($('#PayrollDetailMidYearBonus').val()) : 0;
		var year_end_bonus = ($('#PayrollDetailYearEndBonus').val()!='') ? parseFloat($('#PayrollDetailYearEndBonus').val()) : 0;
		var cash_gift = ($('#PayrollDetailCashGift').val()!='') ? parseFloat($('#PayrollDetailCashGift').val()) : 0;
		var pei = ($('#PayrollDetailPei').val()!='') ? parseFloat($('#PayrollDetailPei').val()) : 0;
		var pbb = ($('#PayrollDetailPbb').val()!='') ? parseFloat($('#PayrollDetailPbb').val()) : 0;
		var loyalty_pay = ($('#PayrollDetailLoyaltyPay').val()!='') ? parseFloat($('#PayrollDetailLoyaltyPay').val()) : 0;
		var total_bonus_and_benefits = mid_year_bonus + year_end_bonus + cash_gift + pei + pbb + loyalty_pay;
		$('#PayrollDetailProjectedTotalTaxableBonuses').val(total_bonus_and_benefits.toFixed(2));
	});
	
	$('#compute_tax_projection').click(function(){
		// compute_tax();
		$('#compute_tax_projection_modal').modal('show');
	});
	
	$('#understood_button').click(function(){
		$('#compute_tax_projection_modal').modal('hide');
		compute_tax();
	});
	
	$('input[type="number"]').on('change',function(){
		$(this).val(parseFloat($(this).val()).toFixed(2));
	});
	
	$('#update_tax_projection_basis').click(function(){
		var projected_total_taxable_income_and_benefits = <?php echo isset($projected_total_taxable_income_and_benefits) ? $projected_total_taxable_income_and_benefits:0; ?>;
		var total_paid_taxable_net_income_for_current_year = <?php echo isset($total_paid_taxable_net_income_for_current_year) ? $total_paid_taxable_net_income_for_current_year:0; ?>;
		var total_paid_taxable_hazard_pay_for_current_year = <?php echo isset($total_paid_taxable_hazard_pay_for_current_year) ? $total_paid_taxable_hazard_pay_for_current_year:0; ?>;
		var total_paid_medicare_share_for_current_year = <?php echo isset($total_paid_medicare_share_for_current_year) ? $total_paid_medicare_share_for_current_year:0; ?>;
		var total_tax_withheld_for_the_current_year = <?php echo isset($total_tax_withheld_for_the_current_year) ? $$$total_tax_withheld_for_the_current_year:0; ?>;
	
		$('#PayrollDetailProjectedTotalTaxableIncomeAndBenefits').val(projected_total_taxable_income_and_benefits);
		$('#PayrollDetailTotalPaidTaxableNetIncomeForCurrentYear').val(total_paid_taxable_net_income_for_current_year);
		$('#PayrollDetailTotalPaidTaxableHazardPayForCurrentYear').val(total_paid_taxable_hazard_pay_for_current_year);
		$('#PayrollDetailTotalPaidMedicareShareForCurrentYear').val(total_paid_medicare_share_for_current_year);
		$('#PayrollDetailTotalTaxWithheldForTheCurrentYear').val(total_tax_withheld_for_the_current_year);
	
		sweet_alert_v2('Updated!','Tax projection settings successfully updated!','success');
	});
	$(document).ready(function() {
		
		$('#EmployeeDateHired').on('change',function(){
			var date_hired = $(this).val();
			$('#PositionDetailAppointmentDateFromAgency').val(date_hired);
		});
		$('#EmployeeDateHired').trigger("change");
	});
</script>