<div class="row">
	<div class="col-lg-4">
			<div class="ibox-title">
				<div class="ibox-tools">
					<span class="pull-right">
						<?= $this->BootstrapComponent->create_secured_link(' <i class="fa fa-id-card-o sm-icon text-success" aria-hidden="true" title="View Employee Information"></i>', array('controller' => 'employees', 'action' => 'view_employee', $employee['Employee']['id'], 'prefix' => 'hris', 'hris' => true), array('escape' => false)); ?>
					</span>
				</div>
				<h3 class="text-navy">  Personal Detail</h3>
			</div>
			<div class="ibox float-e-margins">
				<div class="ibox-content mailbox-content personal-info-nav">
					<div class=" text-center">
					<?php
						if($employee['Employee']['employee_image']){
							echo $this->Html->image(Router::url('/',true) . $employee['Employee']['employee_image'], 
								array(
									'alt' => $employee['Employee']['standard_name'].' profile',
									'class'=>'img-circle m-b-md text-center','height'=>'40%','width'=>'40%'
								));
						}
					?>
					</div>
					<h3 class="no-margins text-center">
						<?php
							if(isset($employee['Employee']['standard_name'])){
								echo $employee['Employee']['standard_name'];
							}
						?>
					</h3>
					<h4 class="text-center">
						<?php
							if(!empty($employee['PositionDetail']['JobTitle']['name'])){
								echo $employee['PositionDetail']['JobTitle']['name'];									
							}
						?>
					</h4>
					
					<ul class="folder-list user_profile_nav" style="padding: 0">
					<li><i class="fa fa-briefcase"></i>  <strong>Employee No.</strong> : 
						<?php  if(!empty($employee['Employee']['employee_number'])){
								echo $employee['Employee']['employee_number'];								
							}else{
								echo 'N/A';
							} 
						?>
					</li>
					
					<li><i class="fa fa-suitcase"></i>  <strong>Item No. / Plantilla No.</strong> : 
						<?php  if(!empty($employee['PositionDetail']['JobTitleItemNumber']['item_number'])){
								echo $employee['PositionDetail']['JobTitleItemNumber']['item_number'];								
							}else{
								echo 'N/A';
							} 
						?>
					</li>
					
					<li><i class="fa fa-id-card"></i>  <strong>Division</strong> : 
						<?php  if(!empty($employee['PositionDetail']['Division'])){
								echo $employee['PositionDetail']['Division']['name'];								
							}
							else{
								echo 'N/A';
							} 
						?>
					</li>
					
					<li><i class="fa fa-id-card"></i>  <strong>Section</strong> : 
						<?php  if(!empty($employee['PositionDetail']['Section'])){
								echo $employee['PositionDetail']['Section']['name'];								
							}
							else{
								echo 'N/A';
							} 
						?>
					</li>
					 <li><i class="fa fa-window-maximize"></i> <strong>Unit</strong>:
						<?php 
							if(!empty($employee['PositionDetail']['Unit'])){
								echo $employee['PositionDetail']['Unit']['name'];								
							}else{
								echo 'N/A';
							} 
						?>
					 </li>
					 <li><i class="fa fa-window-restore"></i> <strong>SubUnit</strong>:
						<?php 
							if(!empty($employee['PositionDetail']['SubUnit'])){
								echo $employee['PositionDetail']['SubUnit']['name'];
							}else{
								echo 'N/A';
							} 
						?>					
					 </li>
					
				</ul>
				
					
				
				 
					<div class="file-manager">
							<div class="side-menu-title">
								<?= $this->BootstrapComponent->create_secured_link(' View All Active Employee List', array('controller' => 'employees', 'action' => 'active_index', 'prefix' => 'hris', 'hris' => true), array('class' => 'btn btn-success compose-mail btn-block', 'escape' => false)); ?>
							</div>
					
							<h3 class="side-menu-title"><i class="fa fa-id-badge text-info" aria-hidden="true"></i> Personal Data Sheet:</h3>
							
                            <ul class="folder-list m-b-md employee_nav" style="padding: 0;">
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-file-pdf-o" aria-hidden="true"></i>Preview Personal Data Sheet</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'print_pds_form', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
							</ul>
					</div>
				</div>
			</div>
		</div>
				
<div class="col-lg-8">