<?php 
$this->BootstrapComponent->inspinia_create_modal_window_start('Division List', 'add_item_modal', 'modal-lg modal-increase-lg');
	$this->BootstrapComponent->inspinia_create_modal_window_body_start();
	echo $this->Form->create('SearchDivision',array('id'=>'search_division_form'));	
	
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('search_division', 6,array('label'=>'Search Division','class'=>'form-control search_item')),
			)
		)
	));

	echo $this->Form->input('selected_data_row', array('type' => 'hidden', 'id'=>'selected_data_row'));
	echo $this->Form->end();	
	
	$this->BootstrapComponent->create_loading_box('Searching...','division_search_loading'); 
	echo '<div id="division_search_table" class="col-md-12">';
		echo '<div class="col-md-6"><h3>Select Division:</h3></div>';
		echo '<div class="col-md-6"><h3>Selected Division:</h3></div>';
	
	
	echo '
		<div class="row">
		<div id="search_results_container" class="col-md-6">';
		echo $this->BootstrapComponent->inspinia_create_button('Select All', array('id' => 'select_all_btn', 'template' => 'primary','class'=>'btn  btn-primary'));
		$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Division' => array('80px','left'),
			'Add' =>array('50px','center') 
		),
		'class'=>'table_sortable',
		'id'=>'result_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();

	echo '</div>';
	echo '<div id="selected_items_container" class="col-md-6">';
	echo $this->BootstrapComponent->inspinia_create_button('Remove All', array('id' => 'remove_all_btn', 'template' => 'danger','class'=>'btn btn-danger'));
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Division' => array('80px','left'),
			'Remove' =>array('50px','center') 
		),
		'class'=>'table_sortable',
		'id'=>'selected_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();
	echo '</div>';
	echo '</div>';
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_modal_window_body_end();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_start();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_end();
	$this->BootstrapComponent->inspinia_create_modal_window_end();
	
	// $division_codes=array();
	// if (isset($this->request->query['division_codes']) && !empty($this->request->query['division_codes'])) {
		// $division_codes = explode(',',$this->request->query['division_codes']);
	// }
	// debug($division_codes);
	// exit();
 ?>
 
<script>
var selected_divisions = JSON.parse('<?php echo json_encode((isset($selected_divisions) ? $selected_divisions : array()));?>');
// var selected_divisions =[];

$(document).ready(function(){
	create_sortable_table('#result_table');
	create_sortable_table('#selected_table');
	create_sortable_table('#view_table');

	// $('#result_table_filter').hide();
 
	$('#division_search_loading').show();
	$('#division_search_table').hide();
	
	result_table = $('#result_table').DataTable({
		pageLength: 10,
		responsive: true,
		lengthChange: false,
		info: false,
		dom: '<"html5buttons"B>lTfgitp',
		buttons: [],
		processing: true,
		serverSide: true,
		bDestroy: true,
		columnDefs: [ 
			{"targets": 0,"orderable": true},
			{"targets": 1,"orderable": false},
		],
		ajax: {
			url:"<?php echo Configure::read('hris_link'); ?>/hris/divisions/select_get_divisions",
			type:"post",
			"data": function ( d ) {
			  return $.extend( {}, d, {
				'selected_divisions' : JSON.stringify(selected_divisions),
				'division_code' : $('#SearchDivisionDivision').val(),
				'unit_code' : $('#SearchDivisionUnit').val(),
				'employment_status_code' : $('#SearchDivisionType').val(),
				'section_code' : $('#SearchDivisionSection').val(),
				'sub_unit_code' : $('#SearchDivisionSubUnit').val()
			  });
			},
			"dataSrc": function ( json ) {
				console.log(json.data);
				$.each(json.data,function(key,value){
					json.data[key]['DT_RowId'] = 'result_table_row_' + json.data[key][2];
					json.data[key][1]='<button data-row="' + json.data[key][2] + '" id="' + json.data[key][2] + '" class="btn btn-primary add_item_btn employee"><i class="fa fa-plus" aria-hidden="true"></i></button>';
				});

				return json.data;
			}
		},
		initComplete : function(settings, json){ 
			load_selected_divisions(selected_divisions,1);
			$('#result_table_filter').hide();
			$('#selected_table_filter').hide();
		}
	});
	
	$("#SearchDivisionSearchDivision").bind('input', function () {
		// alert('SearchDivisionSearchDivision');
		$('#result_table_filter').hide();
		$('#selected_table_filter').hide();
		result_table.search( this.value.toLowerCase()).draw();
	});
	
	$('#SearchDivisionDivision, #SearchDivisionUnit, #SearchDivisionType, #SearchDivisionSection, #SearchDivisionSubUnit').change(function(){
		// alert(1);
		result_table.draw();
	});

	//select item
	$("#result_table").on('click','.add_item_btn',	function(e){
		e.stopImmediatePropagation();
		var id =$(this).attr('id');	
		var division_code =$(this).attr('data-row');
		if (selected_divisions.indexOf(division_code) === -1) {			
			//update result table
			selected_divisions.push(division_code);
			
		    var selected_row = result_table.row($(this).parents('tr'));
			$(this).parents('tr').remove(); //add this to remove immediately
			selected_row.draw();

			//update selected table 
			$('#selected_table').DataTable()
				.row
				.add(
					[
						selected_row.data()[0]+'<input name="SelectedDivision[' + division_code + '][division_code]" type="hidden" value="' + division_code + '">',
						'<button data-row="' + division_code + '" id="' + division_code + '" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>'
					]
				)
				.draw()
				.node()
				.id = 'selected_table_row_' + division_code;
				clone_datatable('selected_table','view_table');
		}
	});
	
	$('#remove_all_btn').on('click', function(){
		selected_divisions = [];
		$('#selected_table').DataTable().clear().draw();
		clone_datatable('selected_table','view_table');
		result_table.draw();
	});
	
	$('#select_all_btn').on('click', function(){
		$('#division_search_loading').show();
		$('#division_search_table').hide();
		selected_divisions = [];
		
		load_selected_divisions(selected_divisions,0);
		
	});
	//remove selected
	$(document).on('click','.minus_item_btn',function(e){
		e.stopImmediatePropagation();
		
		var id =$(this).attr('id');	
		var division_code =$(this).attr('data-row');
		
		//remove division from selected
		selected_divisions.indexOf(division_code) !== -1 && selected_divisions.splice(selected_divisions.indexOf(division_code), 1);

		//remove row from selected table
		var parent_table = $(this).parents('table');
		var selected_row = parent_table.DataTable().row($(this).parents('tr'));

		//redraw tables
		selected_row.remove().draw();
		result_table.draw();
		
		if(parent_table[0].id==='selected_table'){
			clone_datatable('selected_table','view_table');
		}else{
			clone_datatable('view_table','selected_table');
		}
		
	});

	function clone_datatable(source_table_id,target_table_id){
		var source_table = $('#'+source_table_id).DataTable();
		var target_table = $('#'+target_table_id).DataTable();
	
		target_table
			.clear()
			.rows
			.add(source_table.rows().data())
			.draw();
	}
	
	$('#result_table').on( 'processing.dt', function ( e, settings, processing ) {
		if( processing  === true ) {
			$('#division_search_loading').show();
			$('#division_search_table').hide();
		}
		else {
			// alert('Hey, we are done processing!');
			$('#result_table').css('width','100%');
			$('#division_search_loading').hide();
			$('#division_search_table').show();
		}
	} )
	.dataTable();
	
	
function load_selected_divisions(selected_divisions_default,show_selected_divisions){
	$('#selected_table').DataTable({
			pageLength: 10,
			responsive: true,
			lengthChange: false,
			info: false,
			dom: '<"html5buttons"B>lTfgitp',
			buttons: [],
			// processing: true,
			// serverSide: true,
			bDestroy: true,
			ajax: {
				url:"<?php echo Configure::read('hris_link'); ?>/hris/divisions/select_get_divisions",
				type:"post",
				"data": function ( d ) {
				  return $.extend( {}, d, {
					'show_selected_divisions' : show_selected_divisions,
					'selected_divisions' : JSON.stringify(selected_divisions_default),
					'division_code' : $('#SearchDivisionDivision').val(),
					'unit_code' : $('#SearchDivisionUnit').val(),
					'employment_status_code' : $('#SearchDivisionType').val(),
					'section_code' : $('#SearchDivisionSection').val(),
					'sub_unit_code' : $('#SearchDivisionSubUnit').val(),
					'order[0][dir]' : 'asc',
					'length' : '',
					'draw' : 1,
					'start' : 0,
				  });
				},
				"dataSrc": function ( json ) {
					// select(json.data);
					$.each(json.data,function(key,value){
						if (selected_divisions.indexOf(json.data[key][2]) === -1){
							selected_divisions.push(json.data[key][2]);
						}
						var division_code = json.data[key][2];
						var id_field = '';
						
						json.data[key][0] = json.data[key][0]+ id_field + '<input name="SelectedDivision[' + division_code + '][division_code]" type="hidden" value="' + division_code + '">';
						json.data[key][1] = '<button data-row="' + division_code + '" id="' + division_code + '" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>';
					});
					return json.data;
				}
			},
			initComplete : function(settings, json){
				result_table.draw();
				
				$('#selected_table').css('width','100%');
				$('#division_search_loading').hide();
				$('#division_search_table').show();
				clone_datatable('selected_table','view_table');
			}
		});
}
});


function check_table(e){
	// console.log(selected_divisions);
	var count_row = $('#view_table tbody tr[role="row"]').length;
	// alert(count_row);
	if (count_row <= 0 ){
		e.preventDefault();
		sweet_alert('','No Selected Division','warning');
		return false;
	}else{
		$.each(selected_divisions,function(k,v){
			$( "#selected_divisions" ).append( '<input name="SelectedDivision[' + v + '][division_code]" type="hidden" value="' + v + '">' );
		});
		$( "#save" ).submit();
	}
}
</script>