<?php 
$this->BootstrapComponent->inspinia_create_modal_window_start('Employee List', 'add_item_modal', 'modal-lg modal-increase-lg');
	$this->BootstrapComponent->inspinia_create_modal_window_body_start();
	echo $this->Form->create('SearchEmployee',array('id'=>'search_employee_form'));	
	
			
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('division', 6,array('label'=>'Division','template'=>'list','class'=>'form-control search_item','label' => 'Division'), $division_list = isset($division_list) ? $division_list : ''),
				array('section', 6,array('label'=>'Section2','template'=>'list','class'=>'form-control search_item','label' => 'Section'), $section_list = isset($section_list) ? $section_list : ''),	
			)
		)
	));
	
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				'<br>',
				array('unit', 6,array('label'=>'Unit','template'=>'list','class'=>'form-control search_item'), $unit_list = isset($unit_list) ? $unit_list : ''),
				array('sub_unit', 6,array('label'=>'Sub Unit','template'=>'list','class'=>'form-control search_item'), $sub_unit_list = isset($sub_unit_list) ? $sub_unit_list : ''),
			)
		)
	));	
	
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				'<br>',
				array('type', 6,array('label'=>'Status','template'=>'list','class'=>'form-control search_item'), $employment_status_list = isset($employment_status_list) ? $employment_status_list : ''),
				array('search_keyword', 6,array('label'=>'Search Name','class'=>'form-control search_item')),
			)
		)
	));
	
	
	
	
	echo $this->Form->input('selected_data_row', array('type' => 'hidden', 'id'=>'selected_data_row'));
	echo $this->Form->end();	
	
	echo $this->BootstrapComponent->inspinia_create_dotted_horizontal_line();


	$this->BootstrapComponent->create_loading_box('Searching...','employee_search_loading'); 
	echo '<div id="employee_search_table" class="col-md-12">';
		echo '<div class="col-md-6"><h3>Select Employee:</h3></div>';
		echo '<div class="col-md-6"><h3>Selected Employee:</h3></div>';
	
	
	echo '
		<div class="row">
		<div id="search_results_container" class="col-md-6">';
		echo $this->BootstrapComponent->inspinia_create_button('Select All', array('id' => 'select_all_btn', 'template' => 'primary','class'=>'btn  btn-primary'));
		$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Name' => array('80px','left'),
			'Position' => array('50px','center'),
			'Add' =>array('50px','center') 
		),
		'class'=>'table_sortable',
		'id'=>'result_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();

	echo '</div>';
	echo '<div id="selected_items_container" class="col-md-6">';
	echo $this->BootstrapComponent->inspinia_create_button('Remove All', array('id' => 'remove_all_btn', 'template' => 'danger','class'=>'btn btn-danger'));
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Name' => array('80px','left'),
			'Position' => array('50px','center'),
			'Billing Incentive Amount' => array('50px','center'),
			'Billing Withholding Tax' => array('50px','center'),
			'Billing Incentive Amount Net' => array('50px','center'),
			'Remove' => array('50px','center'),
		),
		'class'=>'table_sortable',
		'id'=>'selected_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();
	echo '</div>';
	echo '</div>';
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_modal_window_body_end();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_start();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_end();
	$this->BootstrapComponent->inspinia_create_modal_window_end();
	$employee_codes=array();
	if (isset($this->request->query['employee_codes']) && !empty($this->request->query['employee_codes'])) {
		
		$employee_codes = explode(',',$this->request->query['employee_codes']);
	}
 ?>
 

 
<script>
	var selected_employees = [];
	var result_table = '';
	var employee_codes = selected_code;
	console.log(employee_codes);
	if(employee_codes.length>0){
		selected_employees = employee_codes;
	}
$(document).ready(function(){

	
	create_sortable_table('#result_table');
	create_sortable_table('#selected_table');
	create_sortable_table('#view_table');
	
	$('#employee_search_loading').show();
	$('#employee_search_table').hide();
	
	result_table = $('#result_table').DataTable({
		pageLength: 10,
		responsive: true,
		lengthChange: false,
		info: false,
		dom: '<"html5buttons"B>lTfgitp',
		buttons: [],
		processing: true,
		serverSide: true,
		bDestroy: true,
		columnDefs: [ 
			// {"targets": 0,"orderable": true},
			// {"targets": 1,"orderable": false},
			// {"targets": 2,"orderable": false},
			// {"targets": 3,"orderable": false},
			// {"targets": 4,"orderable": false},
			// {"targets": 5,"orderable": false},
		],
		ajax: {
			url:"<?php echo Configure::read('hris_link'); ?>/hris/employees/select_get_employees",
			type:"post",
			"data": function ( d ) {
			  return $.extend( {}, d, {
				'selected_employees' : JSON.stringify(selected_employees),
				'division_code' : $('#SearchEmployeeDivision').val(),
				'unit_code' : $('#SearchEmployeeUnit').val(),
				'employment_status_code' : $('#SearchEmployeeType').val(),
				'section_code' : $('#SearchEmployeeSection').val(),
				'sub_unit_code' : $('#SearchEmployeeSubUnit').val()
			  });
			},
			"dataSrc": function ( json ) {
				// console.log(json.data);
				$.each(json.data,function(key,value){
					json.data[key]['DT_RowId'] = 'result_table_row_' + json.data[key][2];
					json.data[key][2]='<button data-row="' + json.data[key][2] + '" id="' + json.data[key][2] + '" class="btn btn-primary add_item_btn employee"><i class="fa fa-plus" aria-hidden="true"></i></button>';
					
				});

				return json.data;
			}
		},
		initComplete : function(settings, json){
			// console.log('int');
			// console.log(employee_codes);
			load_selected_employees(employee_codes,1);
		}
	});
	
	$("#SearchEmployeeSearchKeyword").bind('input', function () {
		result_table.search( this.value.toLowerCase()).draw();
	});
	
	$('#SearchEmployeeDivision, #SearchEmployeeUnit, #SearchEmployeeType, #SearchEmployeeSection, #SearchEmployeeSubUnit').change(function(){
		result_table.draw();
	});

	//select item
	$("#result_table").on('click','.add_item_btn',	function(e){
		e.stopImmediatePropagation();
		var id =$(this).attr('id');	
		var employee_code =$(this).attr('data-row');

	
		if (selected_employees.indexOf(employee_code) === -1) {			
			//update result table
			selected_employees.push(employee_code);
			
			
			
			
		    var selected_row = result_table.row($(this).parents('tr'));
			$(this).parents('tr').remove(); //add this to remove immediately
			selected_row.draw();

			//update selected table 
			$('#selected_table').DataTable()
				.row
				.add(
					[
						selected_row.data()[0]+'<input name="BillingIncentiveDetail[' + employee_code + '][employee_code]" type="hidden" value="' + employee_code + '">',
						selected_row.data()[1],
						'<input class="form-control billing_incentive_amount" data-row ="' + employee_code + '" id ="BillingIncentiveDetail' + employee_code + 'billing_incentive_amount"  type="number" name="BillingIncentiveDetail[' + employee_code + '][billing_incentive_amount]" value="" placeholder="Billing Incentive Amount" required>',
						'<input class="form-control with_holding_tax_amount" data-row ="' + employee_code + '" id ="BillingIncentiveDetail' + employee_code + 'with_holding_tax_amount"  type="number" name="BillingIncentiveDetail[' + employee_code + '][with_holding_tax_amount]" value="" placeholder="Withholding Tax Amount">',
						'<input class="form-control billing_incentive_net_amount" data-row ="' + employee_code + '" id ="BillingIncentiveDetail' + employee_code + 'billing_incentive_net_amount" type="number" name="BillingIncentiveDetail[' + employee_code + '][billing_incentive_net_amount]" value="" placeholder="Billing Incentive Net Amount" readonly>',
						'<button data-row="' + employee_code + '" id="' + employee_code + '" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>'
					]
				)
				
				
				.draw()
				.node()
				.id = 'selected_table_row_' + employee_code;
				clone_datatable('selected_table','view_table');
		}
			
	});
	
	$('#remove_all_btn').on('click', function(){
		selected_employees = [];
		$('#selected_table').DataTable().clear().draw();
		clone_datatable('selected_table','view_table');
		result_table.draw();
	});
	
	$('#select_all_btn').on('click', function(){
		$('#employee_search_loading').show();
		$('#employee_search_table').hide();
		selected_employees = [];
		
		load_selected_employees(selected_employees,0);
		
	});
	//remove selected
	$(document).on('click','.minus_item_btn',function(e){
		e.stopImmediatePropagation();
		
		var id =$(this).attr('id');	
		var employee_code =$(this).attr('data-row');
		
		//remove employee from selected
		selected_employees.indexOf(employee_code) !== -1 && selected_employees.splice(selected_employees.indexOf(employee_code), 1);

		//remove row from selected table
		var parent_table = $(this).parents('table');
		var selected_row = parent_table.DataTable().row($(this).parents('tr'));

		//redraw tables
		selected_row.remove().draw();
		result_table.draw();
		
		if(parent_table[0].id==='selected_table'){
			clone_datatable('selected_table','view_table');
		}else{
			clone_datatable('view_table','selected_table');
		}
		
	});

	function clone_datatable(source_table_id,target_table_id){
		var source_table = $('#'+source_table_id).DataTable();
		var target_table = $('#'+target_table_id).DataTable();
		var data = source_table.rows().data();
		target_table
			.clear()
			.rows
			.add(data)
			.draw();
	}
	
	$('#result_table').on( 'processing.dt', function ( e, settings, processing ) {
		if( processing  === true ) {
			$('#employee_search_loading').show();
			$('#employee_search_table').hide();
		}
		else {
			// alert('Hey, we are done processing!');
			$('#result_table').css('width','100%');
			$('#employee_search_loading').hide();
			$('#employee_search_table').show();
		}
	} )
	.dataTable();
	
	
function load_selected_employees(selected_employees_default,show_selected_employees){
	$('#selected_table').DataTable({
			pageLength: 10,
			responsive: true,
			lengthChange: false,
			info: false,
			dom: '<"html5buttons"B>lTfgitp',
			buttons: [],
			"columnDefs": [
				{
					"targets": [ 2 ],
					"visible": false,
					"searchable": false
				},
				{
					"targets": [ 3 ],
					"visible": false
				},
				{
					"targets": [ 4 ],
					"visible": false
				}
			],
			// processing: true,
			// serverSide: true,
			bDestroy: true,
			ajax: {
				url:"<?php echo Configure::read('hris_link'); ?>/hris/employees/select_get_employees",
				type:"post",
				"data": function ( d ) {
				  return $.extend( {}, d, {
					'show_selected_employees' : show_selected_employees,
					'selected_employees' : JSON.stringify(selected_employees_default),
					'division_code' : $('#SearchEmployeeDivision').val(),
					'unit_code' : $('#SearchEmployeeUnit').val(),
					'employment_status_code' : $('#SearchEmployeeType').val(),
					'section_code' : $('#SearchEmployeeSection').val(),
					'sub_unit_code' : $('#SearchEmployeeSubUnit').val(),
					'order[0][dir]' : 'asc',
					'length' : '',
					'draw' : 1,
					'start' : 0,
				  });
				},
				"dataSrc": function ( json ) {
					// select(json.data);
					// selected = [];
					// console.log(selected.length);
					$.each(json.data,function(key,value){
						if (selected_employees.indexOf(json.data[key][2]) === -1){
							selected_employees.push(json.data[key][2]);
						}
						var employee_code = json.data[key][2];
						var id_field = '';
						var billing_incentive_amount = '';
						var with_holding_tax_amount = '';
						var billing_incentive_net_amount = '';
						
						if(selected[employee_code]!==undefined){
							var billing_incentive_id = selected[employee_code]['id'];
							billing_incentive_amount = selected[employee_code]['billing_incentive_amount'];
							id_field = '<input name="BillingIncentiveDetail[' + employee_code + '][id]" type="hidden" value="' + billing_incentive_id + '">';
						}
					
						json.data[key][0] = json.data[key][0]+id_field+'<input name="BillingIncentiveDetail[' + employee_code + '][employee_code]" type="hidden" value="' + employee_code + '">';
						json.data[key][1] = json.data[key][1];
						// json.data[key][2] = '<button type="button" class="btn btn-primary view_dtr" data-row="' + employee_code + '"><i class="fa fa-wpforms sm-icon"></i></button>';
						json.data[key][2] = '<input class="form-control" type="number" name="BillingIncentiveDetail[' + employee_code + '][billing_incentive_amount]" value="' + billing_incentive_amount + '" placeholder="Billing Incentive Amount">';
						json.data[key][3] = '<input class="form-control" type="number" name="BillingIncentiveDetail[' + employee_code + '][with_holding_tax_amount]" value="' + with_holding_tax_amount + '" placeholder="Withholding Tax Amount">';
						json.data[key][4] = '<input class="form-control" type="number" name="BillingIncentiveDetail[' + employee_code + '][billing_incentive_net_amount]" value="' + billing_incentive_net_amount + '" placeholder="Billing Incentive Net Amount">';
						json.data[key][5] = '<button data-row="' + employee_code + '" id="' + employee_code + '" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>';
						
						
						// console.log(json.data[key]);
						// json.data[key]['DT_RowId'] = 'result_table_row_' + json.data[key][2];
						// json.data[key][2]='<button data-row="' + json.data[key][2] + '" id="' + json.data[key][2] + '" class="btn btn-primary add_item_btn employee"><i class="fa fa-plus" aria-hidden="true"></i></button>';
						
					});
					return json.data;
				}
			},
			initComplete : function(settings, json){
				result_table.draw();
				
				$('#selected_table').css('width','100%');
				$('#employee_search_loading').hide();
				$('#employee_search_table').show();
				clone_datatable('selected_table','view_table');
			}
		});
}


	$(document).on('keyup','.billing_incentive_amount, .with_holding_tax_amount',function(){
	
		var employee_code = $(this).attr('data-row');
		var billing_incentive_amount = parseFloat($('#BillingIncentiveDetail' + employee_code + 'billing_incentive_amount').val());
		var with_holding_tax_amount = parseFloat($('#BillingIncentiveDetail' + employee_code + 'with_holding_tax_amount').val());
		var billing_incentive_net_amount = parseFloat($('#BillingIncentiveDetail' + employee_code + 'billing_incentive_net_amount').val());
	

		if (with_holding_tax_amount > billing_incentive_amount){
			$('#BillingIncentiveDetail' + employee_code + 'billing_incentive_net_amount').val(billing_incentive_amount.toFixed(2));
		}
		else {
			var billing_incentive_net_amount = billing_incentive_amount - with_holding_tax_amount;
			$('#BillingIncentiveDetail' + employee_code + 'billing_incentive_net_amount').val(parseFloat(billing_incentive_net_amount).toFixed(2));
		}

			
	});


});



</script>