<?php 
$this->BootstrapComponent->inspinia_create_modal_window_start('Applicant List', 'add_item_modal', 'modal-lg modal-increase-lg');
	$this->BootstrapComponent->inspinia_create_modal_window_body_start();
	echo $this->Form->create('SearchJobTitle',array('id'=>'search_employee_form'));	
	
			
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('search_keyword', 12	,array('label'=>'Search Name','class'=>'form-control search_item')),
			)
		)
	));
	
	echo $this->Form->input('selected_data_row', array('type' => 'hidden', 'id'=>'selected_data_row'));
	echo $this->Form->end();	
	
	echo $this->BootstrapComponent->inspinia_create_dotted_horizontal_line();


	$this->BootstrapComponent->create_loading_box('Searching...','employee_search_loading'); 
	echo '<div id="employee_search_table" class="col-md-12">';
		echo '<div class="col-md-6"><h3>Select Position:</h3></div>';
		echo '<div class="col-md-6"><h3>Selected Position:</h3></div>';
		
		echo '<div class="row">';
		
		//--------------------------------------------------------------------------select position
		
			echo '<div id="search_results_container" class="col-md-6">';
				$this->BootstrapComponent->inspinia_create_table_headings(array(
				'column-headers' => array(
					'Position' => array('80px','left'),
					'Item Number' => array('50px','center'),
					'Add' =>array('50px','center') 
				),
				'class'=>'table_sortable',
				'id'=>'result_table'
			));
			$this->BootstrapComponent->inspinia_create_table_end();
			echo '</div>';
			
			echo '<div id="selected_items_container" class="col-md-6">';
			$this->BootstrapComponent->inspinia_create_table_headings(array(
				'column-headers' => array(
					'Position' => array('80px','left'),
					'Item Number' => array('50px','center'),
					'Remove' =>array('50px','center') 
				),
				'class'=>'table_sortable',
				'id'=>'selected_table'
			));
			$this->BootstrapComponent->inspinia_create_table_end();
			echo '</div>';
		echo '</div>';
		
		//--------------------------------------------------------------------------select batch
		echo '<div class="row"><hr>';
			
			echo '<div class="col-md-6"><h3>Select Batch:</h3></div>';
			echo '<div class="col-md-6"><h3>Selected Batch:</h3></div>';
			
			echo '<div id="search_results_container" class="col-md-6">';
				$this->BootstrapComponent->inspinia_create_table_headings(array(
				'column-headers' => array(
					'Batch' => array('80px','left'),
					'Exam Date' => array('50px','center'),
					'Add' =>array('50px','center') 
				),
				'class'=>'table_sortable',
				'id'=>'result_table_batch'
			));
			$this->BootstrapComponent->inspinia_create_table_end();
			echo '</div>';
			
			echo '<div id="selected_items_container" class="col-md-6">';
			$this->BootstrapComponent->inspinia_create_table_headings(array(
				'column-headers' => array(
					'Batch' => array('80px','left'),
					'Exam Date' => array('50px','center'),
					'Remove' =>array('50px','center') 
				),
				'class'=>'table_sortable',
				'id'=>'selected_table_batch'
			));
			$this->BootstrapComponent->inspinia_create_table_end();
			echo '</div>';
		echo '</div>';
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_modal_window_body_end();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_start();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_end();
	$this->BootstrapComponent->inspinia_create_modal_window_end();
	
	echo '<div style = "display:none">';
	echo $this->Form->input('application_remarks_code', array(
		'label' => false,
		'div' => false,
		'id' => 'application_remarks_code',
		'class' => 'hidden',
		'options' => $application_remarks_list,
		'empty' => '(Choose One)'
	));

 ?>
 
<script>

var timer = 0;

var old_data = {};
var section_code;

var result_data = [];

var result_batch_data = [];
var batch_old_data = {};

// var selected;
$('#employee_search_loading').hide();
	var typewatch = (function(){
	  
	  return function(callback, ms){
		clearTimeout (timer);	
		timer = setTimeout(callback, ms);
	  };
})();

$('#SearchJobTitleSearchKeyword').on('input', function(){
	var form_data = $('#search_employee_form').serialize();
	
	$('#employee_search_loading').show();
	$('#employee_search_table').hide();

	typewatch(function () {
		$.ajax({
				url: "<?php echo Configure::read('hris_link'); ?>/hris/applicant_attendance_and_score_reports/get_job_title_item_number",
				data:form_data,
				type: "POST",
				dataType : "json", 
				success: function( data ) {
					old_data = {};
					result_data=data;
					result_table_old_data = [];
					$.each(data,function(k,val){
						result_table_old_data[val['code']] = val;
					});
					load_table(data)
				},
				error: function( xhr, status, errorThrown ) {
					sweet_alert("","Sorry, there was a problem!","error" );
					console.log( "Error: " + errorThrown );
					console.log( "Status: " + status );
					console.dir( xhr );
				}
			}).always(function(){
				$('#employee_search_loading').hide();
				$('#employee_search_table').show();	
			});
	}, 500);
	
	
});


var result_table_old_data = [];

$('#select_all_btn').on('click', function(){
		for(var result_data_value in result_data) {
			selected[result_data_value] = result_data[result_data_value];
		}
		sortable_table_clear('#result_table');
		load_table_content_selected(selected);
});

$('#remove_all_btn').on('click', function(){
	
		$.each(selected,function(i,val){
			result_table_old_data[i] = val;
			delete selected[i];
			
		});
		load_table(result_table_old_data);
		load_table_content_selected(selected);
	
});

create_sortable_table('#result_table');
create_sortable_table('#selected_table');

create_sortable_table('#result_table_batch');
create_sortable_table('#selected_table_batch');

function load_table(data,old_selected){
	
	if(typeof old_selected === "undefined"){
		$.each(data,function(k,val){
			// console.log(data);
			for(var select in selected) {
				if(val["code"] == selected[select]["code"]){
					delete data[selected[select]["code"]];
				}
			}
		});
		sortable_table_clear('#result_table');
		for(var record in data) {
			var row =[data[record]['position'],data[record]['job_title_item_number'],'<button data-row='+record+' id="'+data[record]["code"]+'" class="btn btn-primary add_item_btn employee"><i class="fa fa-plus" aria-hidden="true"></i></button>'];
			sortable_table_add_row('#result_table',row,"a-tr-"+data[record]['code']);
			old_data[data[record]["code"]]=data[record];
		}
	}
	else{
	
		$.each(data,function(k,val){
			result_table_old_data[val['code']] = val;
		});
		sortable_table_clear('#result_table');
		var record;
		for(record in result_table_old_data) {
			var row =[result_table_old_data[record]['position'],result_table_old_data[record]['job_title_item_number'],'<button data-row='+record+' id="'+result_table_old_data[record]["code"]+'" class="btn btn-primary add_item_btn applicant"><i class="fa fa-plus" aria-hidden="true"></i></button>'];
			
			sortable_table_add_row('#result_table',row,"a-tr-"+result_table_old_data[record]['code']);
			old_data[result_table_old_data[record]["code"]]=result_table_old_data[record];
		}
	}
	
	$("#result_table").on('click','.add_item_btn',	function(e){
		
		e.stopImmediatePropagation();
		var id =$(this).attr('id');	
		var row =$(this).attr('data-row');
		delete result_table_old_data[id];
		selected[id] = old_data[id];
		sortable_table_delete_row('#result_table',"#a-tr-"+id);
		delete old_data[id];
		load_table_content_selected(selected);
		select_position_by_batch(selected);
		sortable_table_clear('#result_table_batch');
		$("#selected_table").on('click','.minus_item_btn',function(e){
			sortable_table_clear('#result_table_batch');
			e.stopImmediatePropagation();
			var id =$(this).attr('id');
			alert(id);
			delete selected[id];
			load_table_content_selected(selected);
			select_position_by_batch(selected);
		});
		
	});
}

function select_position_by_batch(selected){
	
	
	var keys=[];
	$.each(selected,function(k,val){
		$.ajax({
				url: "<?php echo Configure::read('hris_link'); ?>/hris/applicant_attendance_and_score_reports/get_batch/"+val['code'],
				type: "POST",
				dataType : "json",
				success: function( data ) {
					batch_old_data = {};
					batch_result_data=data;
					batch_result_table_old_data = [];
					$.each(data,function(k,val){
						batch_result_table_old_data[val['batch_number']] = val;
					});
					batch_load_table(data)
				},
				error: function( xhr, status, errorThrown ) {
					sweet_alert("","Sorry, there was a problem!","error" );
					console.log( "Error: " + errorThrown );
					console.log( "Status: " + status );
					console.dir( xhr );
				}
			}).always(function(){
		});	
		
		keys.push(k);
		
	});	
	
}

function batch_load_table(data){
	sortable_table_clear('#result_table_batch');
	$.each(data,function(k,val){
		batch_result_table_old_data[val['batch_number']] = val;
	});
	console.log(batch_result_table_old_data);
	var record;
	for(record in batch_result_table_old_data) {
		
		var row =[batch_result_table_old_data[record]['batch_number'],batch_result_table_old_data[record]['exam_date'],'<button data-row='+record+' id="'+batch_result_table_old_data[record]["batch_number"]+'" class="btn btn-primary add_item_btn_batch  applicant"><i class="fa fa-plus" aria-hidden="true"></i></button>'];
		
		sortable_table_add_row('#result_table_batch',row,"a-tr-"+batch_result_table_old_data[record]['batch_number']);
		$('#a-tr-' + batch_result_table_old_data[record]['batch_number']).addClass("item_number"+batch_result_table_old_data[record]['item_number']);
		batch_old_data[batch_result_table_old_data[record]["batch_number"]]=batch_result_table_old_data[record];
	}
	
	
	$("#result_table_batch").on('click','.add_item_btn_batch',	function(e){
		e.preventDefault();
		e.stopImmediatePropagation();
		var id =$(this).attr('id');	
		var row =$(this).attr('data-row');
		batch_selected[id]= batch_old_data[id];
		sortable_table_delete_row('#result_table_batch',"#a-tr-"+id);
		delete old_data[id];
		delete batch_result_table_old_data[id];
		load_table_batch_content_selected(batch_selected);
		
	});
	
}

function load_table_batch_content_selected(batch_selected){
	// console.log(batch_selected);
	var html="";
	sortable_table_clear('#selected_table_batch');
	var keys=[];
	var xx=0;
	$.each(batch_selected,function(k,val){
		
		html += "<input name='SelectedJobTitle["+(xx)+"][code]' type='hidden' value='"+val["batch_number"]+"' />";
		html += "<input name='SelectedJobTitle["+(xx)+"][code]' type='hidden' value='"+val["batch_number"]+"' />";
		
		var row =[val['batch_number'],val['exam_date'],'<button data-row='+k+' id="'+val["batch_number"]+'" class="btn btn-primary minus_item_btn_batch"><i class="fa fa-minus" aria-hidden="true"></i></button>'];
		
		sortable_table_add_row('#selected_table_batch',row,"a-tr-"+val['batch_number']);
		
		
		xx++;
		keys.push(k);
		
		selected_applicants(val["batch_number"]);
	});
	
	$("#selected_table_batch").on('click','.minus_item_btn_batch',function(e){
		e.preventDefault();
		e.stopImmediatePropagation();
		var id =$(this).attr('id');
		batch_result_table_old_data[id]=batch_selected[id];
		$('#a-tr-'+id).remove();
		delete batch_selected[id]
		batch_load_table(selected_batch_details);
		
	});
	
}


function selected_applicants(batch_number){
	
	
	var keys=[];
	$.each(selected,function(k,val){
		$.ajax({
				url: "<?php echo Configure::read('hris_link'); ?>/hris/applicant_attendance_and_score_reports/get_applicant/"+batch_number,
				type: "POST",
				dataType : "json",
				success: function( data ) {
					applicant_old_data = {};
					applicant_result_data=data;
					applicant_result_table_old_data = [];
					$.each(data,function(k,val){
						applicant_result_table_old_data[val['batch_number']] = val;
					});
					applicant_load_table(data)
				},
				error: function( xhr, status, errorThrown ) {
					sweet_alert("","Sorry, there was a problem!","error" );
					console.log( "Error: " + errorThrown );
					console.log( "Status: " + status );
					console.dir( xhr );
				}
			}).always(function(){
		});	
		keys.push(k);
	});	
	
}


function applicant_load_table(data){
	sortable_table_clear('#view_table_selected_employee_batch');
	var html="";
	var xx=0;
	console.log(data);
	
	$.each(data,function(k,val){
		applicant_result_table_old_data[val['code']] = val;
	});
	
	var record;
	// for(record in applicant_result_table_old_data) {
	var keys =[];
	$.each(data,function(k,val){	
		console.log(val);
		
		
		html += "<input name='SelectedApplicant["+(xx)+"][id]' type='hidden' value='"+val['id']+"'/>";
		html += "<input name='SelectedApplicant["+(xx)+"][batch_number]' type='hidden' value='"+val['batch_number']+"'/>";
		html += "<input name='SelectedApplicant["+(xx)+"][applicant_code]' type='hidden' value='"+val["applicant_code"]+"' />";
		html += "<input name='SelectedApplicant["+(xx)+"][applicant_name]' type='hidden' value='"+val["applicant_name"]+"' />";
		html += "<input name='SelectedApplicant["+(xx)+"][application_status]' type='hidden' value='"+val["application_status"]+"' />";
		html += "<input name='SelectedApplicant["+(xx)+"][job_title_item_number_code]' type='hidden' value='"+val["item_number"]+"' />";
		html += "<input name='SelectedApplicant["+(xx)+"][job_title_code]' type='hidden' value='"+val["job_title_code"]+"' />";
		
		var row =[val['applicant_name'],'<input name="data[SelectedApplicant][' + xx + '][score]" class="form-control" placeholder="N/A" data-row="' + k + '" type="number" id="SelectedApplicant' + xx + 'Score" value ="'+val["score"] +'">',val['application_status'],'<select name="data[SelectedApplicant][' + xx + '][application_remarks_code]" class="form-control chosen-select btn-application-remarks-code" data-row="' + xx + '" id="SelectedApplicant' + xx + 'ApplicationRemarksCode" ><option value="">(Choose One)</option></select>','<button data-row='+k+' id="'+val["id"]+'" class="btn btn-primary minus_item_btn_batch applicant"><i class="fa fa-minus" aria-hidden="true"></i></button>'];
		
		sortable_table_add_row('#view_table_selected_employee_batch',row,"a-tr-"+val['id']);
		insert_list('#application_remarks_code option', '#SelectedApplicant' + xx + 'ApplicationRemarksCode');
		$('.chosen-select').chosen();
		applicant_old_data[val["batch_number"]]=val;
		
		$('#selected_ids').html(html);
		xx++;
		keys.push(k);
	});
	
	$('#selected_data_row').val(JSON.stringify((keys)));
	
	$("#view_table_selected_employee_batch").on('click','.minus_item_btn_batch',function(e){
		e.stopImmediatePropagation();
		e.preventDefault();
		var id =$(this).attr('id');
		delete data[id];
		applicant_load_table(data);
		
	});
}
function load_table_content_selected(selected){
	var html="";
	var html2="";
	var xx=0;

	sortable_table_clear('#selected_table');
	 var keys=[];
	$.each(selected,function(k,val){
		
		html += "<input name='SelectedJobTitle["+(xx)+"][id]' type='hidden' value='"+val["id"]+"' />";
		html += "<input name='SelectedJobTitle["+(xx)+"][code]' type='hidden' value='"+val["code"]+"' />";
		
		var row =[val['position'],val['job_title_item_number'],'<button data-row='+k+' id="'+val["code"]+'" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>'];
		
		sortable_table_add_row('#selected_table',row,"a-tr-"+val['code']);
		xx++;
		keys.push(k);
		
		$('.selected_ids').html(html);
	});
	$('#selected_data_row').val(JSON.stringify((keys)));
	
	$("#selected_table").on('click','.minus_item_btn',function(e){
		e.stopImmediatePropagation();
		var id =$(this).attr('id');
		old_data = new Object();
		old_data[id]=selected[id];
		load_table(old_data,selected);
		$('.item_number' + id).remove();
		delete selected[id];
		sortable_table_clear('#result_table_batch');
		load_table_content_selected(selected);
		select_position_by_batch(selected);
		
	});

}

</script>