<?php 
$this->BootstrapComponent->inspinia_create_modal_window_start('Payroll List', 'add_item_modal', 'modal-lg modal-increase-lg');
	$this->BootstrapComponent->inspinia_create_modal_window_body_start();
	echo $this->Form->create('SearchPayroll',array('id'=>'search_payroll_form'));	
	
	
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				'<br>',
				array('payroll_date', 6,array('label'=>'Payroll Date','class'=>'datepicker form-control search_item')),
			)
		)
	));
			
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('division', 6,array('label'=>'Division','template'=>'list','class'=>'form-control search_item','label' => 'Division'), $division_list = isset($division_list) ? $division_list : ''),
				array('type', 6,array('label'=>'Status','template'=>'list','class'=>'form-control search_item'), $employment_status_list = isset($employment_status_list) ? $employment_status_list : ''),
				
			)
		)
	));
	
	
	
	
	echo $this->Form->input('selected_data_row', array('type' => 'hidden', 'id'=>'selected_data_row'));
	echo $this->Form->end();	
	
	echo $this->BootstrapComponent->inspinia_create_dotted_horizontal_line();


	$this->BootstrapComponent->create_loading_box('Searching...','payroll_search_loading'); 
	echo '<div id="payroll_search_table" class="col-md-12">';
		echo '<div class="col-md-6"><h3>Select Payroll:</h3></div>';
		echo '<div class="col-md-6"><h3>Selected Payroll:</h3></div>';
	
	
	echo '
		<div class="row">
		<div id="search_results_container" class="col-md-6">';
		echo $this->BootstrapComponent->inspinia_create_button('Select All', array('id' => 'select_all_btn', 'template' => 'primary','class'=>'btn  btn-primary'));
		$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Payroll Date' => array('80px','left'),
			'Payroll Period' => array('150px','left'),
			'Employment Status' => array('250px','left'),
			'Division' => array('250px','left'),
			'Add' =>array('50px','left'), 
		),
		'class'=>'table_sortable',
		'id'=>'result_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();

	echo '</div>';
	echo '<div id="selected_items_container" class="col-md-6">';
	echo $this->BootstrapComponent->inspinia_create_button('Remove All', array('id' => 'remove_all_btn', 'template' => 'danger','class'=>'btn btn-danger'));
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Payroll Date' => array('80px','left'),
			'Payroll Period' => array('150px','left'),
			'Employment Status' => array('250px','left'),
			'Division' => array('250px','left'),
			'Remove' =>array('50px','center') 
		),
		'class'=>'table_sortable',
		'id'=>'selected_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();
	echo '</div>';
	echo '</div>';
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_modal_window_body_end();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_start();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_end();
	$this->BootstrapComponent->inspinia_create_modal_window_end();
	
	$payroll_codes=array();
	if (isset($this->request->query['payroll_codes']) && !empty($this->request->query['payroll_codes'])) {
		
		$payroll_codes = explode(',',$this->request->query['payroll_codes']);
	}
	
 ?>
 
<script>
var selected =Object.assign({}, <?php echo json_encode((isset($selected_payrolls) ? $selected_payrolls : array()));?>);
var selected_code = <?php echo json_encode(array_keys((isset($selected_payrolls) ? $selected_payrolls : array())));?>;
var selected_payrolls = selected_code;
var payroll_codes = <?php echo json_encode($payroll_codes); ?>;
if(payroll_codes.length>0){
	selected_payrolls = payroll_codes;
}

$(document).ready(function(){
	create_sortable_table('#result_table');
	create_sortable_table('#selected_table');
	create_sortable_table('#view_table');

	
	$('#payroll_search_loading').show();
	$('#payroll_search_table').hide();
	
	result_table = $('#result_table').DataTable({
		pageLength: 10,
		responsive: true,
		lengthChange: false,
		info: false,
		dom: '<"html5buttons"B>lTfgitp',
		buttons: [],
		processing: true,
		serverSide: true,
		bDestroy: true,
		columnDefs: [ 
			{"targets": 0,"orderable": true},
			{"targets": 1,"orderable": false},
			{"targets": 2,"orderable": false},
		],
		ajax: {
			url:"<?php echo Configure::read('hris_link'); ?>/hris/dbp_reports/select_payroll",
			type:"post",
			"data": function ( d ) {
			  return $.extend( {}, d, {
				'selected_payrolls' : JSON.stringify(selected_payrolls),
				'division_code' : $('#SearchPayrollDivision').val(),
				'payroll_date' : $('#SearchPayrollPayrollDate').val(),
				'employment_status_code' : $('#SearchPayrollType').val(),
			  });
			},
			"dataSrc": function ( json ) {
				// console.log(json.data);
				$.each(json.data,function(key,value){
					json.data[key]['DT_RowId'] = 'result_table_row_' + json.data[key][4];
					json.data[key][4]='<button data-row="' + json.data[key][4] + '" id="' + json.data[key][4] + '" class="btn btn-primary add_item_btn payroll"><i class="fa fa-plus" aria-hidden="true"></i></button>';
					
				});

				return json.data;
			}
		},
		initComplete : function(settings, json){
			// console.log('int');
			// console.log(payroll_codes);
			load_selected_payrolls(selected_payrolls,1);
		}
	});
	
	$("#SearchPayrollPayrollDate").bind('input', function () {
		result_table.search( this.value.toLowerCase()).draw();
	});
	
	$('#SearchPayrollPayrollDate,#SearchPayrollDivision, #SearchPayrollUnit, #SearchPayrollType, #SearchPayrollSection, #SearchPayrollSubUnit').change(function(){
		result_table.draw();
	});

	//select item
	$("#result_table").on('click','.add_item_btn',	function(e){
		e.stopImmediatePropagation();
		var id =$(this).attr('id');	
		var payroll_code =$(this).attr('data-row');
		if (selected_payrolls.indexOf(payroll_code) === -1) {			
			//update result table
			selected_payrolls.push(payroll_code);
			
		    var selected_row = result_table.row($(this).parents('tr'));
			$(this).parents('tr').remove(); //add this to remove immediately
			var page_info = result_table.page.info();
			selected_row.page(page_info.page).draw(false);

			//update selected table 
			$('#selected_table').DataTable()
				.row
				.add(
					[
						selected_row.data()[0]+'<input name="SelectedPayroll[' + payroll_code + '][payroll_code]" type="hidden" value="' + payroll_code + '">',
						
						selected_row.data()[1],
						selected_row.data()[2],
						selected_row.data()[3],
						
						'<button data-row="' + payroll_code + '" id="' + payroll_code + '" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>'
					]
				)
				.draw()
				.node()
				.id = 'selected_table_row_' + payroll_code;
				clone_datatable('selected_table','view_table');
		}
	});
	
	$('#remove_all_btn').on('click', function(){
		selected_payrolls = [];
		$('#selected_table').DataTable().clear().draw();
		clone_datatable('selected_table','view_table');
		result_table.draw();
	});
	
	$('#select_all_btn').on('click', function(){
		$('#payroll_search_loading').show();
		$('#payroll_search_table').hide();
		selected_payrolls = [];
		
		load_selected_payrolls(selected_payrolls,0);
		
	});
	//remove selected
	$(document).on('click','.minus_item_btn',function(e){
		e.stopImmediatePropagation();
		
		var id =$(this).attr('id');	
		var payroll_code =$(this).attr('data-row');
		
		//remove payroll from selected
		selected_payrolls.indexOf(payroll_code) !== -1 && selected_payrolls.splice(selected_payrolls.indexOf(payroll_code), 1);

		//remove row from selected table
		var parent_table = $(this).parents('table');
		var selected_row = parent_table.DataTable().row($(this).parents('tr'));

		//redraw tables
		var result_table_page_info = result_table.page.info();
		var selected_row_page_info = selected_row.page.info();
		selected_row.remove().page(selected_row_page_info.page).draw(false);
		result_table.page(result_table_page_info.page).draw(false);
		
		if(parent_table[0].id==='selected_table'){
			clone_datatable('selected_table','view_table');
		}else{
			clone_datatable('view_table','selected_table');
		}
		
	});

	function clone_datatable(source_table_id,target_table_id){
		var source_table = $('#'+source_table_id).DataTable();
		var target_table = $('#'+target_table_id).DataTable();
	
		target_table
			.clear()
			.rows
			.add(source_table.rows().data())
			.draw();
	}
	
	$('#result_table').on( 'processing.dt', function ( e, settings, processing ) {
		if( processing  === true ) {
			$('#payroll_search_loading').show();
			$('#payroll_search_table').hide();
		}
		else {
			// alert('Hey, we are done processing!');
			$('#result_table').css('width','100%');
			$('#payroll_search_loading').hide();
			$('#payroll_search_table').show();
		}
	} )
	.dataTable();
	
	
function load_selected_payrolls(selected_payrolls_default,show_selected_payrolls){
	$('#selected_table').DataTable({
			pageLength: 10,
			responsive: true,
			lengthChange: false,
			info: false,
			dom: '<"html5buttons"B>lTfgitp',
			buttons: [],
			// processing: true,
			// serverSide: true,
			bDestroy: true,
			ajax: {
				url:"<?php echo Configure::read('hris_link'); ?>/hris/dbp_reports/select_payroll",
				type:"post",
				"data": function ( d ) {
				  return $.extend( {}, d, {
					'show_selected_payrolls' : show_selected_payrolls,
					'selected_payrolls' : JSON.stringify(selected_payrolls_default),
					'division_code' : $('#SearchPayrollDivision').val(),
					'employment_status_code' : $('#SearchPayrollType').val(),
					'payroll_date' : $('#SearchPayrollPayrollDate').val(),
					'order[0][dir]' : 'asc',
					'length' : '',
					'draw' : 1,
					'start' : 0,
				  });
				},
				"dataSrc": function ( json ) {
					// console.log(json.data);
					$.each(json.data,function(key,value){
						if (selected_payrolls.indexOf(json.data[key][5]) === -1){
							selected_payrolls.push(json.data[key][5]);
						}
						var payroll_code = json.data[key][5];
						var id_field = '';
						if(selected[payroll_code]!==undefined){
							var id = selected[payroll_code]['id'];
							no_of_hours = selected[payroll_code]['no_of_hours'];
							id_field = '<input name="SelectedPayroll[' + payroll_code + '][id]" type="hidden" value="' + id + '">';
						}
						
						json.data[key][0] = json.data[key][0]+ id_field + '<input name="SelectedPayroll[' + payroll_code + '][payroll_code]" type="hidden" value="' + payroll_code + '">';
						
						json.data[key][1] = json.data[key][1];
						json.data[key][2] = json.data[key][2];
						json.data[key][3] = json.data[key][3];
						
						json.data[key][4] = '<button data-row="' + payroll_code + '" id="' + payroll_code + '" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>';
					});
					return json.data;
				}
			},
			initComplete : function(settings, json){
				result_table.draw();
				
				$('#selected_table').css('width','100%');
				$('#payroll_search_loading').hide();
				$('#payroll_search_table').show();
				clone_datatable('selected_table','view_table');
			}
		});
}
});


function check_table(e){
	// console.log(selected_payrolls);
	var count_row = $('#view_table tbody tr[role="row"]').length;
	// alert(count_row);
	if (count_row <= 0 ){
		e.preventDefault();
		sweet_alert('','No Selected Payroll','warning');
		return false;
	}else{
		$.each(selected_payrolls,function(k,v){
			$( "#selected_payrolls" ).append( '<input name="SelectedPayroll[' + v + '][payroll_code]" type="hidden" value="' + v + '">' );
		});
		$( "#save" ).submit();
	}
}
</script>