<?php
/**
 *
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
?>
<!DOCTYPE html>
<html>
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		Human Resource Information System
	</title>
	<?php
		echo $this->Html->meta('favicon.ico', 'img/hr_manager.ico', array('type' => 'icon'));
		echo $this->Html->css(array(
			// 'plugins/toastr/toastr.min.css',
			// 'plugins/normalize/normalize', 
			// 'plugins/bootstrap/css/bootstrap.min', 
			// 'plugins/font-awesome/css/font-awesome.min', 
			// 'plugins/toastr/toastr.min.css',
			// 'plugins/normalize/normalize', 
			// 'plugins/bootstrap/css/bootstrap.min', 
			// 'plugins/font-awesome/css/font-awesome.min', 
			// 'plugins/animate/animate', 
			// 'plugins/inspinia/style',
			// 'plugins/materialize/materialize.min',
			'dai.login.style',
			'plugins/toastr/toastr.min.css',
			'plugins/normalize/normalize', 
			'plugins/bootstrap/css/bootstrap.min', 
			'plugins/font-awesome/css/font-awesome.min', 
			'plugins/inspinia/style',
			'dai.fonts.css',
			'dai.style.css',
			'dai.theme.css', 
			'plugins/toastr/toastr.min.css',
			'plugins/normalize/normalize', 
			'plugins/bootstrap/css/bootstrap.min', 
			'plugins/font-awesome/css/font-awesome.min', 
			'plugins/animate/animate', 
			'plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox', 
			'plugins/inspinia/style',
			'plugins/clockpicker/clockpicker',
			'plugins/bootstrap-chosen/bootstrap-chosen',
			'plugins/daterangepicker/daterangepicker',
			'plugins/sweetalert/sweetalert',
			'plugins/colorpicker/bootstrap-colorpicker.min.css',
			'plugins/dataTables/datatables.min',
			'plugins/steps/jquery.steps',
			'plugins/datapicker/datepicker3.css',
			'plugins/footable/footable.core.css',
			'plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min',
			'plugins/font-awesome/css/fa-svg-with-js', 
			'plugins/font-awesome/css/fontawesome.min', 
			'dai.fonts.css',
			'dai.style.css',
			'dai.theme.css', 
			'dai.application.css', 
		));
		
		echo $this->Html->script(array(
			// 'plugins/jquery/jquery-2.1.1',
			// 'plugins/jquery-ui/jquery-ui',
			// 'plugins/inspinia/inspinia',
			// 'plugins/bootstrap/js/bootstrap.min',
			// 'plugins/metisMenu/metisMenu.js',
			// 'plugins/timepicker/jquery.timepicker.min',
			// 'plugins/colorpicker/bootstrap-colorpicker.min.js',
			// 'plugins/staps/jquery.steps.min.js',
			// 'plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min',
			// 'plugins/toastr/toastr.min.js',
			'plugins/chosen/moment',
			'plugins/chosen/chosen.jquery',
			'plugins/daterangepicker/daterangepicker',
			// 'dai.common',
			'plugins/materialize/materialize.min', 
			'plugins/jquery/jquery-2.1.1',
			'plugins/jquery-ui/jquery-ui',
			'plugins/dragscroll/dragscroll',
			'plugins/bootstrap/js/bootstrap.min',
			'plugins/metisMenu/metisMenu.js',
			'plugins/slimscroll/jquery.slimscroll.js',
			'plugins/inspinia/inspinia',
			'plugins/pace/pace.min.js',
			'plugins/clockpicker/clockpicker',
			'plugins/sweetalert/sweetalert.min',
			'plugins/colorpicker/bootstrap-colorpicker.min.js',
			'plugins/staps/jquery.steps.min.js',
			'plugins/validate/jquery.validate.min',
			'plugins/dataTables/datatables.min',
			'plugins/datapicker/bootstrap-datepicker.js',
			'plugins/slimscroll/jquery.slimscroll.min.js',
			'plugins/jasny/jasny-bootstrap.min.js',
			'plugins/footable/footable.all.min.js',
			'plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min',
			'plugins/tinycon/tinycon.min.js',
			'plugins/toastr/toastr.min.js',
			'plugins/chosen/moment',
			'plugins/chosen/chosen.jquery',
			'plugins/daterangepicker/daterangepicker',
			'plugins/webcam/webcam.min',
			'plugins/jquery.idle/jquery.idle.js',
			'dai.common'
		));
	
	?>


	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
	
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge">	
</head>
<body class="gray-bg">
	<?php 
		echo $this->Session->flash();
		echo $this->fetch('content'); 
	?>
</body>
</html>
