<?php
App::uses('AppModel', 'Model');

class AffiliationIncentive extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	

	public $hasMany = array(
		'GeneratedAffiliationIncentive' => array(
			'className' => 'GeneratedAffiliationIncentive',
			'foreignKey' => 'affiliation_incentive_code',
			'conditions' => array(
				'GeneratedAffiliationIncentive.status' => 'Active'
			)
		),
		
	);
	


	public function beforeSave($options = array()) {
		// debug($this->data[AffiliationIncentive]);
		// exit();
		
		if(!isset($this->data['AffiliationIncentive']['id'])) {
			$this->data['AffiliationIncentive']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AffiliationIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AffiliationIncentive']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'AFFI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['AffiliationIncentive']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['AffiliationIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['EmployeePerformanceAppraisal']['date'])){
				// $results[$x]['EmployeePerformanceAppraisal']['date'] = date('m/d/Y',strtotime($results[$x]['EmployeePerformanceAppraisal']['date']));
			// }
			// if(isset($result['EmployeePerformanceAppraisal']['appraisal_from'])){
				// $results[$x]['EmployeePerformanceAppraisal']['appraisal_from'] = date('m/d/Y',strtotime($results[$x]['EmployeePerformanceAppraisal']['appraisal_from']));
			// }
			// if(isset($result['EmployeePerformanceAppraisal']['appraisal_to'])){
				// $results[$x]['EmployeePerformanceAppraisal']['appraisal_to'] = date('m/d/Y',strtotime($results[$x]['EmployeePerformanceAppraisal']['appraisal_to']));
			// }
			// if(isset($result['EmployeePerformanceAppraisal']['date_hired'])){
				// $results[$x]['EmployeePerformanceAppraisal']['date_hired'] = date('m/d/Y',strtotime($results[$x]['EmployeePerformanceAppraisal']['date_hired']));
			// }
		// }
		// return $results;
	// }
	
	
}
?>