<?php
App::uses('AppModel', 'Model');
class DisbursementVoucherParticular extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';

	
	
	public $belongsTo = array(
		'DisbursementVoucher' => array(
			'className' => 'DisbursementVoucher',
			'foreignKey' => 'disbursement_voucher_id',
			'conditions' => array(
				'DisbursementVoucher.status' => 'Active'
			)
		),
	);
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['DisbursementVoucherParticular']['id'])) {
			$this->data['DisbursementVoucherParticular']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['DisbursementVoucherParticular']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['DisbursementVoucherParticular']['status'] = 'Active';
			
		}
		else {
			$this->data['DisbursementVoucherParticular']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		// foreach($results as $x => $result){
			// if(isset($result['DisbursementVoucher']['disbursement_date'])){
				// $results[$x]['DisbursementVoucher']['disbursement_date'] = date('m/d/Y',strtotime($results[$x]['DisbursementVoucher']['disbursement_date']));
			// }
			
			// if(isset($result['DisbursementVoucher']['check_date'])){
				// $results[$x]['DisbursementVoucher']['check_date'] = date('m/d/Y',strtotime($results[$x]['DisbursementVoucher']['check_date']));
			// }
			
			// if(isset($result['DisbursementVoucher']['or_date'])){
				// $results[$x]['DisbursementVoucher']['or_date'] = date('m/d/Y',strtotime($results[$x]['DisbursementVoucher']['or_date']));
			// }
		// }

		return $results;
	}
}
?>