<?php
App::uses('AppModel', 'Model');

class EmployeeFormalCharge extends AppModel {
	
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $belongsTo = array(
		'FormalCharge' => array(
			'className' => 'FormalCharge',
			'foreignKey' => 'formal_charge_code',
		
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	public $hasMany = array(
		
		// 'FormalCharge' => array(
			// 'className' => 'FormalCharge',
			// 'foreignKey' => 'formal_charge_code',
		
		// ),
		'Document' => array(
			'className' => 'Document',
			'foreignKey' => 'employee_formal_charge_code',

			'conditions' => array(
				'Document.status' => 'Active'
			)
		)
	);
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeFormalCharge']['id'])) {
			// debug($this->data);
			// exit();
			$this->data['EmployeeFormalCharge']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeFormalCharge']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeFormalCharge']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EMPFMLCHG';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeFormalCharge']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeFormalCharge']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>