<?php
App::uses('AppModel', 'Model');

class EmploymentStatusMedicareShare extends AppModel {
	
	public $tablePrefix = 'payroll_';
	
	public $belongsTo = array(
		'MedicareShare' => array(
			'className' => 'MedicareShare',
			'foreignKey' => 'medicare_share_code',
			'conditions' => array(
				'MedicareShare.status' => 'Active'
			)
		)
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmploymentStatusMedicareShare']['id'])) {
			$this->data['EmploymentStatusMedicareShare']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmploymentStatusMedicareShare']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmploymentStatusMedicareShare']['status'] = 'Active';
			
		}
		else {
			$this->data['EmploymentStatusMedicareShare']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>