<?php
App::uses('AppModel', 'Model');

class ExamQuestionnaire extends AppModel {
	
	public $tablePrefix = 'recruitment_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Exam' => array(
			'className' => 'Exam',
			'foreignKey' => 'exam_reference_number',
			'conditions' => array(
				'Exam.status' => 'Active'
			),
		),

	);
	
	public $hasMany = array(
		'TakeExamApplicantAnswer' => array(
			'className' => 'TakeExamApplicantAnswer',
			'foreignKey' => 'recruitment_questionnaire_id',
			'conditions' => array(
				'TakeExamApplicantAnswer.status' => 'Active'
			),
		),

	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ExamQuestionnaire']['id'])) {
			$this->data['ExamQuestionnaire']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ExamQuestionnaire']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ExamQuestionnaire']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['ExamQuestionnaire']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ExamQuestionnaire']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>