<?php
App::uses('AppModel', 'Model');

class GeneratedClothingAllowance extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	// public $validate = array(
        // 'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Name is already used.'
			// ),
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
		// 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Employee is already existed.',
				
			// ),
        // ),
	// );
	
	// public $hasMany = array(
		// 'GeneratedLeaveMonetizationIncomeAndBenefit' => array(
			// 'className' => 'GeneratedLeaveMonetizationIncomeAndBenefit',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedLeaveMonetizationDeduction' => array(
			// 'className' => 'GeneratedLeaveMonetizationDeduction',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedLeaveMonetizationLoanAndPayment' => array(
			// 'className' => 'GeneratedLeaveMonetizationLoanAndPayment',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
	// );
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'ClothingAllowance' => array(
			'className' => 'ClothingAllowance',
			'foreignKey' => 'clothing_allowance_code',
			'conditions' => array(
				'ClothingAllowance.status' => 'Active'
			)
		),
	);
	
	public function update_multiple($data = array()) {
		foreach($data as $k=>$val){
			$code= $val['code'];
			unset($val['code']);
			// debug($val);
		// exit();
			$this->updateAll(
					$val,
				array(
					'GeneratedClothingAllowance.id'=>$code
				)
			);
			
		}
		
		
		return true;
	}
	public function beforeValidate($options = array()) {		
	
		if(isset($this->data['GeneratedClothingAllowance']['date_hired']) && validate_datetime($this->data['GeneratedClothingAllowance']['date_hired'], 'm/d/Y')) {
			$this->data['GeneratedClothingAllowance']['date_hired'] = convert_datetime($this->data['GeneratedClothingAllowance']['date_hired'], 'Y-m-d');
		}
			return true;
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedClothingAllowance']['id'])) {
			$this->data['GeneratedClothingAllowance']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedClothingAllowance']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedClothingAllowance']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'GCG';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			// if($year != date('Y')){
				// $year= date('Y');
				// $ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				// $code_number=1;
			// }
			// $this->data['GeneratedCashGift']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GeneratedClothingAllowance']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach($results as $x => $result){
			
			
			// if (isset($result['GeneratedClothingAllowance']['clothing_allowance_amount'])) {
				// $results[$x]['GeneratedClothingAllowance']['clothing_allowance_amount'] = convert_to_formatted_number($results[$x]['GeneratedClothingAllowance']['clothing_allowance_amount'], array('allow_negative' => true));
			// }
			
			if (isset($result['GeneratedClothingAllowance']['clothing_allowance_deduction'])) {
				$results[$x]['GeneratedClothingAllowance']['clothing_allowance_deduction'] = convert_to_formatted_number($results[$x]['GeneratedClothingAllowance']['clothing_allowance_deduction'], array('allow_negative' => true));
			}
			
			if (isset($result['GeneratedClothingAllowance']['net_amount_received'])) {
				$results[$x]['GeneratedClothingAllowance']['net_amount_received'] = convert_to_formatted_number($results[$x]['GeneratedClothingAllowance']['net_amount_received'], array('allow_negative' => true));
			}
			
			if (isset($result['GeneratedClothingAllowance']['coop_deduction'])) {
				$results[$x]['GeneratedClothingAllowance']['coop_deduction'] = convert_to_formatted_number($results[$x]['GeneratedClothingAllowance']['coop_deduction'], array('allow_negative' => true));
			}
			
			if (isset($result['GeneratedClothingAllowance']['total_deduction'])) {
				$results[$x]['GeneratedClothingAllowance']['total_deduction'] = convert_to_formatted_number($results[$x]['GeneratedClothingAllowance']['total_deduction'], array('allow_negative' => true));
			}
			
				
		}

		return $results;
	}
}
?>