<?php
App::uses('AppModel', 'Model');

class LeaveEarnedMonthlyStatus extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	
	
	public $hasMany = array(
		'LeaveEarned' => array(
			'className' => 'LeaveEarned',
			'foreignKey' => 'leave_earned_monthly_status_id',
		),
		// 'LeaveRemaining' => array(
			// 'className' => 'LeaveEarned',
			// 'foreignKey' => 'leave_earned_monthly_status_id',
		// ),
	);
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveEarnedMonthlyStatus']['id'])) {
			$this->data['LeaveEarnedMonthlyStatus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveEarnedMonthlyStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveEarnedMonthlyStatus']['status'] = 'Active';
		}
		else {
			$this->data['LeaveEarnedMonthlyStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>