<?php
App::uses('AppModel', 'Model');

class MultipleOvertimeEmployee extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'filing_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
		'MultipleOvertime' => array(
			'className' => 'MultipleOvertime',
			'foreignKey' => 'multiple_overtime_code',
		),
	);


	
	public function beforeSave($options = array()) {
		
		if(!isset($this->data['MultipleOvertimeEmployee']['code'])) {
			$this->data['MultipleOvertimeEmployee']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MultipleOvertimeEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MultipleOvertimeEmployee']['status'] = 'Active';


			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'EDN';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $year = $reference['ReferenceCode']['year_code'];
			
			// if($year != date('Y')){
				// $year= date('Y');
				// $ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				// $code_number=1;
			// }
			
			// $this->data['MultipleOvertimeEmployee']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['MultipleOvertimeEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>