<?php
App::uses('AppModel', 'Model');

class NightDifferentialHistoryLog extends AppModel {
	
	public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	
	public $belongsTo = array(
		'NightDifferential' => array(
			'className' => 'NightDifferential',
			'foreignKey' => 'night_differential_code',
			'conditions' => array(
				'NightDifferential.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['NightDifferentialHistoryLog']['id'])) {
			$this->data['NightDifferentialHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['NightDifferentialHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['NightDifferentialHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['NightDifferentialHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>