<?php
App::uses('AppModel', 'Model');

class OtherInformationHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primarykey = "person_code";
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['OtherInformationHistoryLog']['id'])) {
			$this->data['OtherInformationHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformationHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformationHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['OtherInformationHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformationHistoryLog']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['OtherInformationHistoryLog']['created'])){
				$results[$x]['OtherInformationHistoryLog']['created'] = date('m/d/Y',strtotime($results[$x]['OtherInformationHistoryLog']['created']));
			}
		}
		return $results;
	}
}
?>