<?php
App::uses('AppModel', 'Model');

class OvertimeRequestEmployee extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'filing_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
		'OvertimeRequest' => array(
			'className' => 'OvertimeRequest',
			'foreignKey' => 'overtime_request_code',
		),
	);


	
	public function beforeSave($options = array()) {
		
		if(!isset($this->data['OvertimeRequestEmployee']['code'])) {
			$this->data['OvertimeRequestEmployee']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OvertimeRequestEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OvertimeRequestEmployee']['status'] = 'Active';


			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'EDN';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $year = $reference['ReferenceCode']['year_code'];
			
			// if($year != date('Y')){
				// $year= date('Y');
				// $ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				// $code_number=1;
			// }
			
			// $this->data['OvertimeRequestEmployee']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['OvertimeRequestEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>