<?php
App::uses('AppModel', 'Model');

class PrefixList extends AppModel {
	
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['PrefixList']['id'])) {
			$this->data['PrefixList']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PrefixList']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PrefixList']['status'] = 'Active';
		}
		else {
			$this->data['PrefixList']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>