<?php
App::uses('AppModel', 'Model');

class QualifiedApplicantsForPreEmploymentExam extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $primaryKey = 'batch_number';
	
	// public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'service_years' => array(
			// 'service_years logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Service Year is required.'
			// ),
        // ),
		// 'employeer_name' => array(
			// 'employeer_name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employeer Name is required.'
			// ),
        // ),
		// 'industry_code' => array(
			// 'industry_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Industry is required.'
			// ),
        // ),
		// 'address' => array(
			// 'address logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Address is required.'
			// ),
        // ),
		// 'position_code' => array(
			// 'position_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Position is required.'
			// ),
        // ),
		// 'from' => array(
			// 'from logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date From is required.'
			// ),
        // ),
		// 'to' => array(
			// 'to logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date To is required.'
			// ),
        // ),
		// 'salary_grade' => array(
			// 'salary_grade logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Salary Grade is required.'
			// ),
        // ),
		// 'step_increment' => array(
			// 'step_increment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Step Increment is required.'
			// ),
        // ),
		// 'work_field' => array(
			// 'work_field logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Work Field is required.'
			// ),
        // ),
		
	);
	
	public $belongsTo = array(
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Applicant.status' => 'Active'
			),
		),
		// 'StatusOfAppointment' => array(
			// 'className' => 'StatusOfAppointment',
			// 'foreignKey' => 'status_of_appointment_code',
			// 'conditions' => array(
				// 'StatusOfAppointment.status' => 'Active'
			// ),
		// ),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['QualifiedApplicantsForPreEmploymentExam']['date_applied']) && validate_datetime($this->data['QualifiedApplicantsForPreEmploymentExam']['date_applied'], 'm/d/Y')) {
			$this->data['QualifiedApplicantsForPreEmploymentExam']['date_applied'] = convert_datetime($this->data['QualifiedApplicantsForPreEmploymentExam']['date_applied'], 'Y-m-d');
		}	
		
		// if(isset($this->data['RecruitmentApplicantWorkHistory']['to']) && validate_datetime($this->data['RecruitmentApplicantWorkHistory']['to'], 'm/d/Y')) {
			// $this->data['RecruitmentApplicantWorkHistory']['to'] = convert_datetime($this->data['RecruitmentApplicantWorkHistory']['to'], 'Y-m-d');
		// }
		
		// if(isset($this->data['RecruitmentApplicantWorkHistory']['separation_date']) && validate_datetime($this->data['RecruitmentApplicantWorkHistory']['separation_date'], 'm/d/Y')) {
			// $this->data['RecruitmentApplicantWorkHistory']['separation_date'] = convert_datetime($this->data['RecruitmentApplicantWorkHistory']['separation_date'], 'Y-m-d');
		// }
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['QualifiedApplicantsForPreEmploymentExam']['id'])) {
			$this->data['QualifiedApplicantsForPreEmploymentExam']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['QualifiedApplicantsForPreEmploymentExam']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['QualifiedApplicantsForPreEmploymentExam']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['QualifiedApplicantsForPreEmploymentExam']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
}
?>