<?php
App::uses('AppModel', 'Model');

class RecruitmentUploadManualExam extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'recruitment_';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Applicant.status' => 'Active'
			),
		),
		'ApplicantAppliedPosition' => array(
			'className' => 'ApplicantAppliedPosition',
			'foreignKey' => 'applicant_applied_position_id',
			'conditions' => array(
				'ApplicantAppliedPosition.status' => 'Active'
			),
		),
	);
	
	// public function beforeValidate($options = array()) {
		// if(isset($this->data['RecruitmentUploadManualExam']['appointment_date']) && validate_datetime($this->data['RecruitmentUploadManualExam']['appointment_date'], 'm/d/Y')) {
			// $this->data['RecruitmentUploadManualExam']['appointment_date'] = convert_datetime($this->data['RecruitmentUploadManualExam']['appointment_date'], 'Y-m-d');
		// }	
		
		// if(isset($this->data['RecruitmentUploadManualExam']['date_applied']) && validate_datetime($this->data['RecruitmentUploadManualExam']['date_applied'], 'm/d/Y')) {
			// $this->data['RecruitmentUploadManualExam']['date_applied'] = convert_datetime($this->data['RecruitmentUploadManualExam']['date_applied'], 'Y-m-d');
		// }	
		
		// return true;
	// }
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['RecruitmentUploadManualExam']['id'])) {
			$this->data['RecruitmentUploadManualExam']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['RecruitmentUploadManualExam']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['RecruitmentUploadManualExam']['status'] = 'Active';
			$this->data['RecruitmentUploadManualExam']['application_status_code'] = 'APPTAT-1';
		}
		else {
			$this->data['RecruitmentUploadManualExam']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['RecruitmentUploadManualExam']['appointment_date'])){
				// $results[$x]['RecruitmentUploadManualExam']['appointment_date'] = date('m/d/Y',strtotime($results[$x]['RecruitmentUploadManualExam']['appointment_date']));
			// }
			
			// if(isset($result['RecruitmentUploadManualExam']['date_applied'])){
				// $results[$x]['RecruitmentUploadManualExam']['date_applied'] = date('m/d/Y',strtotime($results[$x]['RecruitmentUploadManualExam']['date_applied']));
			// }
		// }

		// return $results;
	// }
}
?>