<?php
App::uses('AppModel', 'Model');

class SalaryAdjustment extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'id';
	
	
	// public $hasMany = array(
		// 'PayrollDetail' => array(
			// 'className' => 'PayrollDetail',
			// 'foreignKey' => 'payroll_detail_id',
			// 'conditions' => array(
				// 'PayrollDetail.status' => 'Active'
			// )
		// ),
	// );
	
	public function beforeValidate($options = array()) {
		

		if(isset($this->data['SalaryAdjustment']['salary_increase_date']) && validate_datetime($this->data['SalaryAdjustment']['salary_increase_date'], 'm/d/Y')) {
			$this->data['SalaryAdjustment']['salary_increase_date'] = convert_datetime($this->data['SalaryAdjustment']['salary_increase_date'], 'Y-m-d');
		}
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['SalaryAdjustment']['id'])) {
			$this->data['SalaryAdjustment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SalaryAdjustment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SalaryAdjustment']['status'] = 'Active';
		}
		else {
			$this->data['SalaryAdjustment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['SalaryAdjustment']['salary_increase_date'])){
				$results[$x]['SalaryAdjustment']['salary_increase_date'] = date('m/d/Y',strtotime($results[$x]['SalaryAdjustment']['salary_increase_date']));
			}
		}
		return $results;
	}
	
}
?>