<?php
App::uses('AppModel', 'Model');

class ScheduleType extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ScheduleType']['id'])) {
			$this->data['ScheduleType']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ScheduleType']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ScheduleType']['status'] = 'Active';
		}
		else {
			$this->data['ScheduleType']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>