<?php
App::uses('AppModel', 'Model');

class TakeExamApplicantAnswer extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	
	
	
	public $belongsTo = array(
		'ExamQuestionnaire' => array(
			'className' => 'ExamQuestionnaire',
			'foreignKey' => 'recruitment_questionnaire_id',
			'conditions' => array(
				'ExamQuestionnaire.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TakeExamApplicantAnswer']['id'])) {
			$this->data['TakeExamApplicantAnswer']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TakeExamApplicantAnswer']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TakeExamApplicantAnswer']['status'] = 'Active';
		}
		else {
			$this->data['TakeExamApplicantAnswer']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>