<?php
App::uses('AppModel', 'Model');

class TempEmployeeEmailAddress extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $primaryKey = "employee_code";
	// public $displayField = 'employee_number';
	public $tablePrefix = 'employee_';

	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		
		'TempEmployee' => array(
			'className' => 'TempEmployee',
			'foreignKey' => false,
			'conditions' => array(
				'TempEmployee.employee_code = TempEmployeeEmailAddress.employee_code',
				'TempEmployee.status' => 'Active'
			)
		),
	);

	
	
	
	public function beforeSave($options = array()) {
		// debug($this->data);
		// exit();
		if(isset($this->data['TempEmployeeEmailAddress']['id']) && $this->data['TempEmployeeEmailAddress']['id'] ==''){
			unset($this->data['TempEmployeeEmailAddress']['id']);
		}
		if((!isset($this->data['TempEmployeeEmailAddress']['id'] ))) {
			$this->data['TempEmployeeEmailAddress']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEmployeeEmailAddress']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEmployeeEmailAddress']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'EMP';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['Employee']['employee_code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			// $this->data['Employee']['status'] = 'Active';
			$this->data['TempEmployeeEmailAddress']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEmployeeEmailAddress']['date_last_modified'] = date("Y-m-d");
		}
		
		// debug($this->data);
		return true;
	// }
	// debug($results);		
		// exit();
		return $results;
	}
}
?>