<?php
App::uses('AppModel', 'Model');

class TempEmployeeMobileNumber extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $primaryKey = "employee_code";
	// public $displayField = 'employee_number';
	public $tablePrefix = 'employee_';

	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
	);

	
	
	
	public function beforeSave($options = array()) {
		if(isset($this->data['TempEmployeeMobileNumber']['id']) && $this->data['TempEmployeeMobileNumber']['id'] ==''){
			unset($this->data['TempEmployeeMobileNumber']['id']);
		}
		
		if((!isset($this->data['TempEmployeeMobileNumber']['id']))) {
			$this->data['TempEmployeeMobileNumber']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEmployeeMobileNumber']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEmployeeMobileNumber']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'EMP';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['Employee']['employee_code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			// $this->data['Employee']['status'] = 'Active';
			$this->data['TempEmployeeMobileNumber']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEmployeeMobileNumber']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	// }
	// debug($results);		
		// exit();
		return true;
	}
}
?>