<?php
App::uses('AppModel', 'Model');

class TempTimeDisputeAttachment extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	
	// public $primaryKey = 'reference_number';
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempTimeDisputeAttachment']['date_attachment']) && validate_datetime($this->data['TempTimeDisputeAttachment']['date_attachment'], 'm/d/Y')) {
			$this->data['TempTimeDisputeAttachment']['date_attachment'] = convert_datetime($this->data['TempTimeDisputeAttachment']['date_attachment'], 'Y-m-d');
		}	
		
		
		
		return true;
	}	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempTimeDisputeAttachment']['id'])) {
			$this->data['TempTimeDisputeAttachment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempTimeDisputeAttachment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempTimeDisputeAttachment']['status'] = 'Active';
			
			
		}
		else {
			$this->data['TempTimeDisputeAttachment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			// $this->data['TempTimeDispute']['date_last_modified'] = date("Y-m-d");
		}
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result) {
			if(isset($result['TempTimeDisputeAttachment']['date_attachment'])){
				$results[$x]['TempTimeDisputeAttachment']['date_attachment'] = date('m/d/Y',strtotime($results[$x]['TempTimeDisputeAttachment']['date_attachment']));
			}
		}

		return $results;
	}
}	
?>