<?php
	$this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
		'<i class="fa fa-home"></i> Home' => array('url' => array('controller' => 'home', 'action' => 'index', 'prefix' => 'hris')),
		'<i class="fa fa-user-circle-o"></i>  My Account' => array(
			'children' => array(
			
				'My Personal Information' => array('url' => array('controller' => 'temp_employees', 'action' => 'my_edit_temp_employee', 'prefix' => 'hris')),
				
				'My Payslip Report' => array('url' => array('controller' => 'payslip_reports', 'action' => 'my_payslip_report', 'prefix' => 'hris')),
				
				'My Contribution Reports'=>array(
					'children' => array(
						'GSIS Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'gsis_contribution_report', 'prefix' => 'hris')),
						'PHIC Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris')),
						'PAGIBIG Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'pagibig_contribution_report', 'prefix' => 'hris')),
						'Tax Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
					)
				),
				
				'My Schedule Report' => array('url' => array('controller' => 'schedule_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Attendance Report' => array('url' => array('controller' => 'attendance_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Daily Time Record Report' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Overtime Report' => array('url' => array('controller' => 'overtime_reports', 'action' => 'index', 'prefix' => 'hris')),

				'My Leave Report' => array(
					'children' => array(
						'  Approved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Approved', 'prefix' => 'hris')),
						'  Disapproved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Disapproved', 'prefix' => 'hris')),
						'  Pending' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Pending', 'prefix' => 'hris')),
						'  Cancelled' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Cancelled', 'prefix' => 'hris')),
						'  Void' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Void', 'prefix' => 'hris')),
						'  On Process' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','OnProcess', 'prefix' => 'hris')),
				)),
				
				'My Permission To Leave' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'my_permission_to_leave', 'prefix' => 'hris')),
				
				'My Memo' => array('url' => array('controller' => 'memo_headers', 'action' => 'my_index', 'prefix' => 'hris')),
				
				'My Notification' => array('url' => array('controller' => 'notification_headers', 'action' => 'my_index', 'prefix' => 'hris')),
				
				'My Learning and Development' => array('url' => array('controller' => 'learning_and_development_headers', 'action' => 'my_index', 'prefix' => 'hris')),
				
				'My Compensatory' => array('url' => array('controller' => 'compensatories', 'action' => 'my_compensatory', 'prefix' => 'hris')),
				
				'My Time Dispute' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'my_temp_time_dispute', 'prefix' => 'hris')),
				
				'Vacancy' => array(
					'children' => array(
						'Plantilla' => array('url' => array('controller' => 'vacancies', 'action' => 'my_vacancies_index', 'prefix' => 'hris')),
						'Contractual of Service' => array('url' => array('controller' => 'vacancies', 'action' => 'my_job_order_index', 'prefix' => 'hris')),
					)
				)

		)),
		'<i class="fa fa-users"></i>  Employee Information' => array(
			'children' => array(
				'Personal Information' => array(
					'children' => array(
						'  List of Active Employees' => array('url' => array('controller' => 'employees', 'action' => 'active_index', 'prefix' => 'hris')),
						'  List of Inactive Employees' => array('url' => array('controller' => 'employees', 'action' => 'inactive_index', 'prefix' => 'hris')),
						
				)),
				'Position Details' => array('url' => array('controller' => 'position_details', 'action' => 'employee_position_details', 'prefix' => 'hris')),
		)),
		'<i class="fa fa-file-o"></i> Other Payroll Reports'=>array(
			'children' => array(
				// '  BIR Alphalist Report' => array('url' => array('controller' => 'payroll_reports', 'action' => 'print_bir_alpha_list', 'prefix' => 'hris')),
				// '  Professional Fee Report' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'professional_fee_report', 'prefix' => 'hris')),
				'  Year End Bonus and Cash Gifts Report' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'year_end_bonus_and_cash_gift_report', 'prefix' => 'hris')),
				// '  Case Rate Reports' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'case_rate_payment_report', 'prefix' => 'hris')),
				// '  Hazard Payment Reports' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'hazard_payment_report', 'prefix' => 'hris')),
				// '  Philhealth Share Reports' => array('url' => array('controller' => 'other_payroll_reports', 'action' => 'medicare_share_report', 'prefix' => 'hris')),
			)
		),
		'<i class="fa fa-file-o"></i> Contribution Reports'=>array(
			'children' => array(
				'  GSIS Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'gsis_contribution_report', 'prefix' => 'hris')),
				// '  PHIC Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris')),
				'  PAGIBIG Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'pagibig_contribution_report', 'prefix' => 'hris')),
				'  Tax Contribution Report' => array('url' => array('controller' => 'contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
			)
		),


		'<i class="fa fa-file-o"></i> Remittance Reports'=>array(
			'children' => array(
				'  Withholding Tax Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'withholding_tax_monthly_remittance_report', 'prefix' => 'hris')),
				'  PHIC Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'phic_monthly_remittance_report', 'prefix' => 'hris')),
				'  GSIS Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'gsis_monthly_remittance_report', 'prefix' => 'hris')),
				'  Other Loan Monthly Remittance Report' => array('url' => array('controller' => 'remittance_reports', 'action' => 'other_loan_monthly_remittance_report', 'prefix' => 'hris')),
			)
		),
		
		
	));
?>	
				