<?php
	$this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
		'<i class="fa fa-home"></i> Home' => array('url' => array('controller' => 'home', 'action' => 'index', 'prefix' => 'hris')),
		'<i class="fa fa-user-circle-o"></i>  My Account' => array(
			'children' => array(
				'My Personal Information' => array('url' => array('controller' => 'temp_employees', 'action' => 'my_edit_temp_employee', 'prefix' => 'hris')),
				
				'My Payslip Report' => array('url' => array('controller' => 'payslip_reports', 'action' => 'my_payslip_report', 'prefix' => 'hris')),
				
				// 'My Summary of Benefits Report' => array('url' => array('controller' => 'income_and_benefits', 'action' => 'my_summary_of_benefits', 'prefix' => 'hris')),
				
				'My Contribution Reports'=>array(
					'children' => array(
						'GSIS Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'gsis_contribution_report', 'prefix' => 'hris')),
						'PHIC Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'phic_contribution_report', 'prefix' => 'hris')),
						'PAGIBIG Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'pagibig_contribution_report', 'prefix' => 'hris')),
						'Tax Contribution Report' => array('url' => array('controller' => 'my_contributions_reports', 'action' => 'withholding_tax_contribution_report', 'prefix' => 'hris')),
					)
				),
				'My Memo' => array('url' => array('controller' => 'memo_headers', 'action' => 'my_index', 'prefix' => 'hris')),
				'My Schedule Report' => array('url' => array('controller' => 'schedule_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Attendance Report' => array('url' => array('controller' => 'attendance_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Daily Time Record - CS Form No. 48' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'index', 'prefix' => 'hris')),
				
				'My Daily Time Record ( Internal )' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'my_daily_time_record_internal', 'prefix' => 'hris')),
				
				'My Overtime Report' => array('url' => array('controller' => 'overtime_reports', 'action' => 'index', 'prefix' => 'hris')),

				'My Leave Report' => array(
					'children' => array(
						'  Approved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Approved', 'prefix' => 'hris')),
						'  Disapproved' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Disapproved', 'prefix' => 'hris')),
						'  Pending' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Pending', 'prefix' => 'hris')),
						'  Cancelled' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'Cancelled', 'prefix' => 'hris')),
						'  Void' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','Void', 'prefix' => 'hris')),
						'  On Process' => array('url' => array('controller' => 'leave_entries', 'action' => 'my_leave_entry','OnProcess', 'prefix' => 'hris')),
				)),
				
				// 'Application for Special Privilege Leave' => array('url' => array('controller' => 'application_for_special_privilege_leaves', 'action' => 'index', 'prefix' => 'hris')),							
				'My Compensatory' => array('url' => array('controller' => 'compensatories', 'action' => 'my_compensatory', 'prefix' => 'hris')),								
				'My Time Dispute' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'my_temp_time_dispute', 'prefix' => 'hris')),
				'My Permission to Leave' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'my_permission_to_leave', 'prefix' => 'hris')),
				'My Loan And Payment' => array('url' => array('controller' => 'loan_and_payments', 'action' => 'my_loan_and_payment', 'prefix' => 'hris')),
				'Vacancy' => array(
					'children' => array(
						'Plantilla' => array('url' => array('controller' => 'vacancies', 'action' => 'my_vacancies_index', 'prefix' => 'hris')),
						'Contractual of Service' => array('url' => array('controller' => 'vacancies', 'action' => 'my_job_order_index', 'prefix' => 'hris')),
					)
				)
		)),
		'<i class="fa fa-users"></i>  Employee Information' => array(
				'children' => array(
				'Personal Information' => array(
					'children' => array(
						'  List of Active Employees' => array('url' => array('controller' => 'employees', 'action' => 'active_index', 'prefix' => 'hris')),
						'  List of Inactive Employees' => array('url' => array('controller' => 'employees', 'action' => 'inactive_index', 'prefix' => 'hris')),
						
				)),
				'Recruitment' => array(
					'children' => array(
						'  Vacancy' => array(
						'children' => array(
							'Plantilla' => array('url' => array('controller' => 'vacancies', 'action' => 'index', 'prefix' => 'hris')),
							
							'Contractual of Service' => array('url' => array('controller' => 'vacancies', 'action' => 'job_order', 'prefix' => 'hris')),
						
						)),
						'  Exams' => array('url' => array('controller' => 'exams', 'action' => 'index', 'prefix' => 'hris')),
						'  Applicants' => array('url' => array('controller' => 'applicants', 'action' => 'index', 'prefix' => 'hris')),
						'  List of Applications' => array('url' => array('controller' => 'applicant_applied_positions', 'action' => 'index', 'prefix' => 'hris')),
				)),
				'Performance Appraisal Management' => array(
					'children' => array(
						' Performance Appraisal Management Entry' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'index', 'prefix' => 'hris')),
						'	PBB Form 1.0 Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'print_pbb_index_1_0', 'prefix' => 'hris')),
						'	PBB Form 1.1 Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'pbb_1_1_index', 'prefix' => 'hris')),
						'	PBB Form 1.2 Report' => array('url' => array('controller' => 'employee_performance_appraisals', 'action' => 'pbb_1_2_index', 'prefix' => 'hris')),
				)),
				'Filing' => array(
					'children' => array(
						'Compensatory' => array('url' => array('controller' => 'compensatories', 'action' => 'index', 'prefix' => 'hris')),
						'Overtime' => array('url' => array('controller' => 'overtimes', 'action' => 'index', 'prefix' => 'hris')),
						'Leave' => array('url' => array('controller' => 'leave_entries', 'action' => 'add_leave_entry', 'prefix' => 'hris')),
						'Permission to Leave' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'index', 'prefix' => 'hris')),
						// 'Request Change Shift' => array('url' => array('controller' => 'request_change_shifts', 'action' => 'index', 'prefix' => 'hris')),
						'Retirement' => array('url' => array('controller' => 'retirements', 'action' => 'index', 'prefix' => 'hris')),
						'Under Time' => array('url' => array('controller' => 'under_time_entries', 'action' => 'index', 'prefix' => 'hris')),
						'Time Dispute' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'index', 'prefix' => 'hris')),
					)
				),
				'Approvals' => array(
					'children' => array(
						'Compensatory Approval' => array('url' => array('controller' => 'compensatories', 'action' => 'compensatory_approval_list', 'prefix' => 'hris')),
						'Overtime Approval' => array('url' => array('controller' => 'overtimes', 'action' => 'overtime_approval_list', 'prefix' => 'hris')),
						'Leave Approval' => array('url' => array('controller' => 'leave_entries', 'action' => 'leave_entry_approval_list', 'prefix' => 'hris')),
						'Permission to Leave Approval' => array('url' => array('controller' => 'permission_to_leaves', 'action' => 'permission_to_leave_approval_list', 'prefix' => 'hris')),
						// 'Request Change Shift  Approval' => array('url' => array('controller' => 'request_change_shifts', 'action' => 'request_change_shift_approval_list', 'prefix' => 'hris')),
						// 'Request Change Shift  Approval' => array('url' => array('controller' => 'request_change_shifts', 'action' => 'request_change_shift_approval_list', 'prefix' => 'hris')),
						'Retirement  Approval' => array('url' => array('controller' => 'retirements', 'action' => 'retirement_approval_list', 'prefix' => 'hris')),
						'Under Time Approval' => array('url' => array('controller' => 'under_time_entries', 'action' => 'under_time_entry_approval_list', 'prefix' => 'hris')),
						'Time Dispute Approval' => array('url' => array('controller' => 'temp_time_disputes', 'action' => 'temp_time_dispute_approval_list', 'prefix' => 'hris')),
						
					)
				),
				'Employee Management'=>array(
					'children' => array(
						'Notification' => array('url' => array('controller' => 'notification_headers', 'action' => 'index', 'prefix' => 'hris')),

						'Memo' => array('url' => array('controller' => 'memo_headers', 'action' => 'index', 'prefix' => 'hris')),
						
						'Learning and Development' => array('url' => array('controller' => 'learning_and_development_headers', 'action' => 'index', 'prefix' => 'hris')),
					
				
					)
				),
		)),
		
		'<i class="fa fa-clock-o"></i> Time Management' => array(
			'children' => array(
				'Attendance Monitoring' => array('url' => array('controller' => 'attendance_monitoring', 'action' => 'index', 'prefix' => 'hris')),
				'Employee Schedule' => array('url' => array('controller' => 'schedules', 'action' => 'index', 'prefix' => 'hris')),
				'View Schedule List' => array('url' => array('controller' => 'schedules', 'action' => 'list_view', 'prefix' => 'hris')),
				'Multiple Overtime' => array(
					'children' => array(
						'Filing' => array('url' => array('controller' => 'multiple_overtimes', 'action' => 'index', 'prefix' => 'hris')),
						'Approval' => array('url' => array('controller' => 'multiple_overtimes', 'action' => 'multiple_overtime_approval_list', 'prefix' => 'hris')),
				)),
				
				'Reports'=>array(
					'children' => array(
						'  Employee Attendance Report' => array('url' => array('controller' => 'time_entries', 'action' => 'employee_attendance_report', 'prefix' => 'hris')),
						'  Employee Time Card' => array('url' => array('controller' => 'employees', 'action' => 'employee_time_card', 'prefix' => 'hris')),
						'  Daily Time Record Report' => array('url' => array('controller' => 'daily_time_record_reports', 'action' => 'employee_daily_time_record', 'prefix' => 'hris')),
						'  All Employee Leave Report' => array('url' => array('controller' => 'leave_entries', 'action' => 'employee_leave_entries_report', 'prefix' => 'hris')),
						'  Habitual Tardiness Report' => array('url' => array('controller' => 'habitual_tardiness_reports', 'action' => 'index', 'prefix' => 'hris')),
						'  Habitual Undertime Report' => array('url' => array('controller' => 'habitual_undertime_reports', 'action' => 	'index', 'prefix' => 'hris')),	
						
						'  OverTime Report' => array('url' => array('controller' => 'overtimes', 'action' => 'overtime_report', 'prefix' => 'hris')),
						'  OverTime Authority' => array('url' => array('controller' => 'overtime_authority_entries', 'action' => 'index', 'prefix' => 'hris')),
						'  Monthly Attendance Report' => array('url' => array('controller' => 'monthly_attendance_reports', 'action' => 'search_monthly_attendance_report', 'prefix' => 'hris')),
						'  Off Duty Schedule Report ' => array('url' => array('controller' => 'employee_reports', 'action' => 'off_duty_schedule_report','prefix' => 'hris')),
						
					)),									
		)),
	));
?>	
				