


<div class="row">
	<div class="col-lg-4">
			<div class="ibox-title">
				<div class="ibox-tools">
					<span class="pull-right"><?= $this->BootstrapComponent->create_secured_link('<i class="fa fa-id-card-o sm-icon text-success" aria-hidden="true" title="View Employee"></i>', array('controller' => 'employees', 'action' => 'view_employee', $employee['Employee']['id']), array('escape' => false)); ?></span>
				</div>
				<h3 class="text-navy">  Personal Detail</h3>
			</div>
			<div class="ibox float-e-margins">
				<div class="ibox-content mailbox-content personal-info-nav">
					<div class=" text-center">
					<?php
						$middle_initial = ($employee['Employee']['middle_initial'] == "" OR $employee['Employee']['middle_initial'] == null) ? "" : $employee['Employee']['middle_initial'] . ".";
						$employee_name = $employee['Employee']['first_name'] . " " . $middle_initial . " " . $employee['Employee']['last_name'] . " " . $employee['Employee']['suffix_code'];
						if($employee['Employee']['employee_image']){
							echo $this->Html->image(Router::url('/',true) . $employee['Employee']['employee_image'], 
								array(
									'alt' => $employee_name.' profile',
									// 'class'=>'img-circle m-b-md text-center','height'=>'40%','width'=>'40%'
									'class'=>'img-circle m-b-md text-center','height'=>'auto','width'=>'155px'
								));
						}
					?>
					</div>
					<h3 class="no-margins text-center">
						<?php
							if(isset($employee['Employee']['last_name'])){
								echo $employee_name;
							}
						?>
					</h3>
					<h4 class="text-center">
						<?php
							if(!empty($employee['PositionDetail']['JobTitle']['name'])){
								echo $employee['PositionDetail']['JobTitle']['name'];									
							}
						?>
					</h4>
					
					<ul class="folder-list user_profile_nav" style="padding: 0">
					<li><i class="fa fa-briefcase"></i>  <strong>Employee No.</strong>: 
						<?php  if(!empty($employee['Employee']['employee_number'])){
								echo $employee['Employee']['employee_number'];								
							}else{
								echo 'N/A';
							} 
						?>
					</li>
					
					<li><i class="fa fa-suitcase"></i>  <strong>Item No. / Plantilla No.</strong>: 
						<?php  if(!empty($employee['PositionDetail']['JobTitleItemNumber']['item_number'])){
								echo $employee['PositionDetail']['JobTitleItemNumber']['item_number'];								
							}else{
								echo 'N/A';
							} 
						?>
					</li>
					
					<li><i class="fa fa-id-card"></i>  <strong>Division</strong>: 
						<?php  if(!empty($employee['PositionDetail']['Division'])){
								echo $employee['PositionDetail']['Division']['name'];								
							}
							else{
								echo 'N/A';
							} 
						?>
					</li>
					
					<li><i class="fa fa-id-card"></i>  <strong>Section</strong>: 
						<?php  if(!empty($employee['PositionDetail']['Section'])){
								echo $employee['PositionDetail']['Section']['name'];								
							}else{
								echo 'N/A';
							} 
						?>
					</li>
					 <li><i class="fa fa-window-maximize"></i> <strong>Unit</strong>:
						<?php 
							if(!empty($employee['PositionDetail']['Unit'])){
								echo $employee['PositionDetail']['Unit']['name'];								
							}else{
								echo 'N/A';
							} 
						?>
					 </li>
					 <li><i class="fa fa-window-restore"></i> <strong>SubUnit</strong>:
						<?php 
							if(!empty($employee['PositionDetail']['SubUnit'])){
								echo $employee['PositionDetail']['SubUnit']['name'];
							}else{
								echo 'N/A';
							} 
						?>					
					 </li>
					
				</ul>
				
					
				
				 
					<div class="file-manager">
							<div class="side-menu-title">
							<?php
								if($employee['Employee']['status'] == 'Active'){ ?>
									<?= $this->BootstrapComponent->create_secured_link(' View All Active Employee List', array('controller' => 'employees', 'action' => 'active_index', 'prefix' => 'hris', 'hris' => true), array('class' => 'btn btn-success compose-mail btn-block', 'escape' => false)); ?>
								<?php
								} elseif($employee['Employee']['status'] == 'Inactive') {
								?>
									<?= $this->BootstrapComponent->create_secured_link(' View All Inactive Employee List', array('controller' => 'employees', 'action' => 'inactive_index', 'prefix' => 'hris', 'hris' => true), array('class' => 'btn btn-warning compose-mail btn-block', 'escape' => false)); ?>
									<?php
								}
							?>
							</div>
					
							<h3 class="side-menu-title"><i class="fa fa-id-badge text-info" aria-hidden="true"></i> Personal Data Sheet:</h3>
							
                            <ul class="folder-list m-b-md employee_nav" style="padding: 0;">
								<li><?php 
									echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-user green-link icon-box" aria-hidden="true"></i><strong>Personal Information</strong>' . $this->BootstrapComponent->inspinia_span_status($employee['Employee']['id']) .'' => array('url' => array('controller' => 'employees', 'action' => 'edit_employee', $employee['Employee']['id'], 'prefix' => 'hris')),
									));?>
								</li>
							
								<li><?php
								if($employee['FamilyMember']['id'] > 0){
									$family_member_link = 'edit_family_member';
								}else{
									$family_member_link = 'add_family_member';
								}
								echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-users green-link icon-box" aria-hidden="true"></i><strong>Family Background</strong>' . $this->BootstrapComponent->inspinia_span_status($employee['FamilyMember']['id']) .''  => array('url' => array('controller' => 'family_members', 'action' =>$family_member_link, $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<?php 
								echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-building-o green-link icon-box" aria-hidden="true"></i><strong>Educational Background</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['Education']) .'' => array('url' => array('controller' => 'educations', 'action' => 'add_education', $employee['Employee']['employee_code'],'prefix' => 'hris'))));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-address-book green-link icon-box" aria-hidden="true"></i><strong>Eligibility</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['CivilService']) .'' => array('url' => array('controller' => 'civil_services', 'action' => 'add_civil_service', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php 

								echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-briefcase green-link icon-box" aria-hidden="true"></i><strong>Work Experience</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['WorkHistory']) .'' => array('url' => array('controller' => 'work_histories', 'action' => 'add_work_history', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
									
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-suitcase green-link icon-box" aria-hidden="true"></i><strong>Voluntary Work</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['VoluntaryWork']) .'' => array('url' => array('controller' => 'voluntary_works', 'action' => 'add_voluntary_work', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-bookmark green-link icon-box" aria-hidden="true"></i><strong>Learning and Development Monitoring</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['LearningAndDevelopment']) .'' => array('url' => array('controller' => 'learning_and_developments', 'action' => 'add_learning_and_development', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-file-text-o green-link icon-box" aria-hidden="true"></i><strong>Other Information</strong>'  . $this->BootstrapComponent->inspinia_span_status_count($employee['OtherInformation']) .'' => array('url' => array('controller' => 'other_informations', 'action' => 'add_other_information', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php 
									if($employee['OtherInformationQuestion']['id'] > 0){
										$other_information_questions_link = 'edit_other_information_question';
									}else{
										$other_information_questions_link = 'add_other_information_question';
									}
									
									echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-file-text green-link icon-box" aria-hidden="true"></i><strong>Other Information Questions</strong>'  . $this->BootstrapComponent->inspinia_span_status($employee['OtherInformationQuestion']['id']) .''  => array('url' => array('controller' => 'other_information_questions', 'action' =>$other_information_questions_link, $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>

								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-address-book-o green-link icon-box" aria-hidden="true"></i><strong>References</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['Reference']) .''  => array('url' => array('controller' => 'references', 'action' => 'add_reference', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>

								<li><?php
									if($employee['GovernmentIssuedId']['id'] > 0){
										$government_issued_link = 'edit_government_issued_id';
									}else{
										$government_issued_link = 'add_government_issued_id';
									}
									echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-id-card-o green-link icon-box" aria-hidden="true"></i><strong>Government Issued ID</strong>'  . $this->BootstrapComponent->inspinia_span_status($employee['GovernmentIssuedId']['id']) .'' => array('url' => array('controller' => 'government_issued_ids', 'action' => $government_issued_link, $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								<li>
								<?php 
								// debug($employee);
								// exit();
									$data_count=array();
									if($employee['EmployeeDeduction']['employee_code'] != null  ){
										$data_count=array('id' => 1);
									}elseif($employee['EmployeeIncomeAndBenefit']['employee_code'] != null){
										$data_count=array('id' => 1);
									}else{
										$data_count=array('id' => 1);
									}
								echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-briefcase green-link" aria-hidden="true"></i><strong>Income And Deductions</strong>' . 
									$this->BootstrapComponent->inspinia_span_status_count($data_count) .'' => array('url' => array('controller' => 'income_and_benefits', 'action' => 'view_income_and_deduction', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									
									));
									?>
								</li>
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-file-pdf-o" aria-hidden="true"></i>Preview Personal Data Sheet</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'print_pds_form', $employee['Employee']['employee_code'], $employee['Employee']['id'], 'prefix' => 'hris')),
									));?>
								</li>
							
								<h3 class="side-menu-title"><i class="fa fa-folder text-warning" aria-hidden="true"></i> Documents:</h3>
								
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-file-archive-o" aria-hidden="true"></i>201 Documents</strong>' => array('url' => array('controller' => 'documents', 'action' => 'add_document', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php
								echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-pie-chart" aria-hidden="true"></i>SALN</strong>' => array('url' => array('controller' => 'statement_of_assets_liability_and_networths', 'action' => 'index', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-chain-broken" aria-hidden="true"></i>Separation Status</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'edit_separation_status', $employee['Employee']['employee_code'], $employee['Employee']['id'], 'prefix' => 'hris')),
									));?>
								</li>
								
								
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-file-text" aria-hidden="true"></i>BIR Form 1902</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'print_bir_form_1902', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-file-text" aria-hidden="true"></i>BIR Form 1905</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'print_bir_form_1905', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-file-text" aria-hidden="true"></i>BIR Form 2316</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'print_bir_form_2316', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li>
									<?php 
										// echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
										// '<strong><i class="fa fa-file-text" aria-hidden="true"></i>Certificate of Employment</strong>'  => array('url' => array('controller' => 'employees', 'action' => 'employee_certificate_of_employment', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
										// ));	
									?>
								</li>
								
								<h3 class="side-menu-title"><i class="fa fa-info-circle text-success" aria-hidden="true"></i> Additional Information:</h3>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-key green-link icon-box" aria-hidden="true"></i><strong>User Account</strong>' . $this->BootstrapComponent->inspinia_span_status($employee['User']['id']) .'' => array('url' => array('controller' => 'users', 'action' => 'edit_user', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-book green-link icon-box" aria-hidden="true"></i><strong>Position Details</strong>'  . $this->BootstrapComponent->inspinia_span_status($employee['PositionDetail']['id']) .'' => array('url' => array('controller' => 'position_details', 'action' => 'edit_position_detail', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<!--<li><?php 
									// echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
										// '<i class="fa fa-credit-card green-link icon-box" aria-hidden="true"></i><strong>Payroll Details</strong>' . $this->BootstrapComponent->inspinia_span_status($employee['PayrollDetail']['id']) .'' => array('url' => array('controller' => 'payroll_details', 'action' => 'edit_payroll_detail', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									// ));
									?>
								</li>-->
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<i class="fa fa-bank green-link icon-box" aria-hidden="true"></i><strong>Bank Account Details</strong>' . $this->BootstrapComponent->inspinia_span_status($employee['BankAccountDetail']['id']) .'' => array('url' => array('controller' => 'bank_account_details', 'action' => 'edit_bank_account_detail', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-phone green-link icon-box" aria-hidden="true"></i>Contacts (In Case of Emergency)</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['Contact']) .'' => array('url' => array('controller' => 'contacts', 'action' => 'add_contact', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>

								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-users green-link icon-box" aria-hidden="true"></i>Relatives in the Government</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['RelativesInGovernment']) .'' => array('url' => array('controller' => 'relatives_in_governments', 'action' => 'add_relatives_in_government', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-balance-scale" aria-hidden="true"></i>Administrative Offenses</strong>'  . $this->BootstrapComponent->inspinia_span_status_count($employee['EmployeeAdministrativeOffense']) .'' => array('url' => array('controller' => 'employee_administrative_offenses', 'action' => 'add_employee_administrative_offense', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-user-circle" aria-hidden="true"></i>Ran for Public Office</strong>'  . $this->BootstrapComponent->inspinia_span_status_count($employee['EmployeeRanForPublicOffice']) .'' => array('url' => array('controller' => 'employee_ran_for_public_offices', 'action' => 'add_employee_ran_for_public_office', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-folder" aria-hidden="true"></i>Formal Charges</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['EmployeeFormalCharge']) .'' => array('url' => array('controller' => 'employee_formal_charges', 'action' => 'add_employee_formal_charge', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-tasks" aria-hidden="true"></i>Smoking Cessation Program</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['EmployeeSmokingCessationProgram']) .'' => array('url' => array('controller' => 'employee_smoking_cessation_programs', 'action' => 'add_employee_smoking_cessation_program', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));
									// debug($employee);
									// exit();
									
									?>
								</li>
								<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<strong><i class="fa fa-folder" aria-hidden="true"></i>Leave and Holiday Eligibility</strong>' . $this->BootstrapComponent->inspinia_span_status_count($employee['LeaveClassificationEligibleEmployee']) .'' => array('url' => array('controller' => 'leave_classifications', 'action' => 'edit_leave_classification_for_employee', $employee['Employee']['employee_code'], 'prefix' => 'hris')),
									));?>
								</li>
								<?php

								if($employee['Employee']['status'] == 'Active'){ ?>
									
									<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<h4><i class="fa fa-trash red-link" aria-hidden="true"></i>Deactivate Employee</h4>' => array('url' => array('controller' => 'employees', 'action' => 'deactivate_employee', $employee['Employee']['id'], 'prefix' => 'hris')),
									));?>
									</li>

								<?php
								} elseif($employee['Employee']['status'] == 'Inactive') {
								?>

									<li><?php echo $this->BootstrapComponent->inspinia_create_navigation_bar_links(array(
									'<h4><i class="fa fa-check blue-link" aria-hidden="true"></i>Activate Employee</h4>' => array('url' => array('controller' => 'employees', 'action' => 'activate_employee', $employee['Employee']['id'], 'prefix' => 'hris')),
									));?>
								</li>

									<?php
								}
								?>
								
								
							</ul>
					</div>
				</div>
			</div>
		</div>
				
<div class="col-lg-8">