<?php
	
	// echo $this->Html->css('/css/plugins/sweetalert/sweetalert');
	echo $this->Html->script('/js/plugins/chartJS/Chart.min');
	echo $this->Html->script('/js/plugins/flot/jquery.flot');
	echo $this->Html->script('/js/plugins/flot/jquery.flot.tooltip.min');
	echo $this->Html->script('/js/plugins/flot/jquery.flot.resize');
	echo $this->Html->script('/js/plugins/flot/jquery.flot.pie');
	echo $this->Html->script('/js/plugins/flot/jquery.flot.time');	
	// echo $this->Html->script('/js/plugins/masonary/masonry.pkgd.min');	
	echo $this->Html->script('/js/plugins/dotdotdot/jquery.dotdotdot.min');	
	
	App::uses('CakeTime', 'Utility');
	// debug(phpinfo());
	
	$street = '';
	$barangay = '';
	$city = '';
	$zip_code = '';
	$vl_used = 0;
	$sl_used = 0;
	// $vl_level = $employee_profile['Employee']['vl_earn'];
	// $sl_level = $employee_profile['Employee']['sl_earn'];
	$vl_label_template = 'primary';
	$sl_label_template = 'primary';
	
	// if($fetch_leave_used){
		// $vl_halved = 0;
		// $sl_halved = 0;
		
		// $vl_halved = $vl_level / 2;
		// $sl_halved = $sl_level / 2;
		
		// $vl_used = $fetch_leave_used['LeaveUsed']['vacation_leave_used'];
		// $sl_used = $fetch_leave_used['LeaveUsed']['sick_leave_used'];

		// if(($vl_level - $vl_used) < $vl_halved){
			// $vl_label_template = 'danger';
		// }
		
		// if(($sl_level - $sl_used) < $sl_halved){
			// $sl_label_template = 'danger';
		// }
		
	// }
	
	if(isset($employee_profile['Address']['street'])){
		$street = $employee_profile['Address']['street'];
	}
	
	if(isset($employee_profile['Address']['Barangay']['name'])){
		$barangay = $employee_profile['Address']['Barangay']['name'];
	}
	
	if(isset($employee_profile['Address']['City']['name'])){
		$city = $employee_profile['Address']['City']['name'];
	}
	
	if(isset($employee_profile['Address']['postal_zip_code'])){
		$zip_code = $employee_profile['Address']['postal_zip_code'];
	}
	
	$complete_address = $street .', '. $barangay .', '. $city . ', '. $zip_code;
	
?>
<div class="row"> 
	<div class="ibox float-e-margins">
		<div class="ibox-content">
			<div class="row m-b-lg m-t-lg">
				<div class="col-md-6">

					<div class="profile-image">
						<?php
							if($employee_profile['Employee']['employee_image']){
								echo $this->Html->image(Router::url('/',true) . $employee_profile['Employee']['employee_image'], 
									array(
										'alt' => $employee_profile['Employee']['standard_name'].' profile',
										'class'=>'img-circle circle-border m-b-md'
									));
							}
						?>
					</div>
					<div class="profile-info">
						<div class="">
							<div>
								<h2 class="no-margins">
									<?php
										if(isset($employee_profile['Employee']['combination_whole_name'])){
											echo $employee_profile['Employee']['combination_whole_name'];
										}
									?>
								</h2>
								<h4><?php 
										if(!empty($employee_profile['PositionDetail']['JobTitle'])){
											echo $employee_profile['PositionDetail']['JobTitle']['name'];									
										}
									?>
								</h4>
								<small>
									<?php
										echo $complete_address;
									?>
								</small>
							</div>
						</div>
					</div>			
				</div>
				<div class="col-md-3">
					<table class="table small m-b-xs">
						<tbody>
						<tr>
							<td>
								<strong>Section</strong> 
							</td>
							<td>
								<?php 
									if(!empty($employee_profile['PositionDetail']['Section'])){
										echo $employee_profile['PositionDetail']['Section']['name'];								
									}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Unit</strong>
							</td>
							<td>
								<?php 
									if(!empty($employee_profile['PositionDetail']['Unit'])){
										echo $employee_profile['PositionDetail']['Unit']['name'];								
									}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Sub Unit</strong>
							</td>
							<td>
								<?php 
									if(!empty($employee_profile['PositionDetail']['SubUnit'])){
										echo $employee_profile['PositionDetail']['SubUnit']['name'];
									}
								?>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
				<div class="col-md-3">
					<table class="table small m-b-xs">
						<tbody>
						<tr>
							<td>
								<strong>Remaining Vacation Leave</strong>
							</td>
							<td>
								<?php
									echo $this->Html->link($fetch_leave_used['LeaveUsedAndRemaining']['remaining_vacation_leave'],
										array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'prefix' => 'hris'),
										array('class' => 'btn btn-xs btn-'.$vl_label_template.'', 'style' => 'color: #FFF !important', 'escape' => false)
									);
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Remaining Sick Leave</strong>
							</td>
							<td>
								<?php
									echo $this->Html->link($fetch_leave_used['LeaveUsedAndRemaining']['remaining_sick_leave'],
										array('controller' => 'leave_entries', 'action' => 'my_leave_entry', 'prefix' => 'hris'),
										array('class' => 'btn btn-xs btn-'.$sl_label_template.'', 'style' => 'color: #FFF !important', 'escape' => false)
									);
								?>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
				<div class="form-group">
							
							<div class="col-md-12 text-center">
								
								<?php 
								
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Compensatory',array('controller' => 'compensatories', 'action' => 'add_compensatory', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Leave',array('controller' => 'leave_entries', 'action' => 'add_leave_entry', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Permission To Leave',array('controller' => 'permission_to_leaves', 'action' => 'add_permission_to_leave', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Overtime',array('controller' => 'overtimes', 'action' => 'add_overtime', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Under Time',array('controller' => 'under_time_entries', 'action' => 'add_under_time_entry', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Request in Change Shift',array('controller' => 'request_change_shifts', 'action' => 'add_request_change_shift', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									echo $this->Html->link('<i class="fa fa-file-text-o"></i> Retirement',array('controller' => 'retirements', 'action' => 'add_retirement', 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									
									
									if($_SESSION['Auth']['User']['role'] == 'User'){
										echo $this->Html->link('<i class="fa fa-file-text-o"></i> Update PDS',array('controller' => 'temp_employees', 'action' => 'add_temp_employee',$_SESSION['Auth']['User']['Employee']['id'], 'prefix' => 'hris'),array('class' => 'btn btn-outline btn-success', 'escape' => false,'target'=>'_blank'));
									}
								?>
							</div>
				</div>
				
			</div>
		</div>
		
	</div>
	
	<div class="row">
		<div class="col-lg-9 m-b-lg container-fluid">
			<?php
			
				echo '<div class="col-md-6">';
				
					$this->BootstrapComponent->inspinia_create_page_container_start('Overtime Entries');
					
					if(!empty($my_overtime)){
						$sliced_overtime = array_slice($my_overtime, 0, 3);
						
						echo '<div>';
								 
							echo '<div class="feed-activity-list">';
							
								foreach($sliced_overtime as $my_overtime_key => $my_overtime_value){	
									// debug($my_leave_value);
									// exit();
									$status = '';
									
									switch($my_overtime_value['Overtime']['filing_status']){
										case 'Pending':
										$status = '<span class="badge badge-danger">'.$my_overtime_value['Overtime']['filing_status'].'</span>';
										break;
										
										case 'On Process':
										$status = '<span class="badge badge-warning">'.$my_overtime_value['Overtime']['filing_status'].'</span>';
										break;
										
										case 'Approved':
										$status = '<span class="badge badge-primary">'.$my_overtime_value['Overtime']['filing_status'].'</span>';
										break;
										
										default:
										$status = '<span class="badge badge-info">'.$my_overtime_value['Overtime']['filing_status'].'</span>';
										break;
									}
									echo '
										<div class="feed-element">
											<div class="media-body ">
												<small class="pull-right">
												'.
												$this->Html->link(
													'<i class="fa fa-search"></i> View </a>',
													array('controller' => 'overtimes', 'action' => 'view_overtime', $my_overtime_value['Overtime']['id'], 'prefix' => 'hris'),
													array('class' => 'btn btn-xs btn-primary', 'escape' => false)
												)
												.'
												
												</small>
												<strong>Description:</strong> You filed a <strong>'.$my_overtime_value['Overtime']['number_of_hours'].' Hour Overtime</strong>.<br>
												<strong>Dated: </strong>'
														. date_format(date_create($my_overtime_value['Overtime']['date_from']), 'M d, Y') .
														' to '
														. date_format(date_create($my_overtime_value['Overtime']['date_to']), 'M d, Y') .'<br>
												<strong>Status: </strong>'.
													$status
												.'
												<small class="text-muted pull-right">'.
													CakeTime::timeAgoInWords(
														$my_overtime_value['Overtime']['created'],
														array('format' => 'F jS, Y', 'end' => '+5 day')
													)
												.'</small>

											</div>
										</div>
									';
								}
							
								echo '</div>';
							
							$this->BootstrapComponent->inspinia_create_button_line_container_start();
								if(count($my_overtime) >= 3){
									echo $this->BootstrapComponent->inspinia_create_link_button('View All', array('controller' => 'overtimes', 'action' => 'index','prefix' => 'hris'),array('template' => 'primary', 'class' => 'btn btn-md m-t pull-left'));
								}
									echo $this->BootstrapComponent->inspinia_create_link_button('File Overtime', array('controller' => 'overtimes', 'action' => 'add_overtime','prefix' => 'hris'),array('template' => 'success', 'class' => 'btn btn-md m-t pull-right'));
							$this->BootstrapComponent->inspinia_create_button_line_container_end();
							
							echo '</div>';	
					}	
					else{
						echo '<div class="text-center text-muted">
							
							<h2>
								<i class="fa fa-newspaper-o fa-2x"></i>
								<i><h4>No filed Overtime entries</h4></i>
							</h2>
						
						</div>';
					}
					
					$this->BootstrapComponent->inspinia_create_page_container_end();
					
				echo '</div>';
					
				echo '<div class="col-md-6">';
					
					$this->BootstrapComponent->inspinia_create_page_container_start('Permission To Leave Entries');
					
					if(!empty($my_permission_to_leave)){
						$sliced_permission_to_leave = array_slice($my_permission_to_leave, 0, 3);
					
						echo '<div>';
								 
							echo '<div class="feed-activity-list">';
							
								foreach($sliced_permission_to_leave as $my_permission_to_leave_key => $my_permission_to_leave_value){	
									// debug($my_leave_value);
									// exit();
									$status = '';
									switch($my_permission_to_leave_value['PermissionToLeave']['filing_status']){
										case 'Pending':
										$status = '<span class="badge badge-danger">'.$my_permission_to_leave_value['PermissionToLeave']['filing_status'].'</span>';
										break;
										
										case 'On Process':
										$status = '<span class="badge badge-warning">'.$my_permission_to_leave_value['PermissionToLeave']['filing_status'].'</span>';
										break;
										
										case 'Approved':
										$status = '<span class="badge badge-primary">'.$my_permission_to_leave_value['PermissionToLeave']['filing_status'].'</span>';
										break;
										
										default:
										$status = '<span class="badge badge-info">'.$my_permission_to_leave_value['PermissionToLeave']['filing_status'].'</span>';
										break;
									}
									echo '
										<div class="feed-element">
											<div class="media-body ">
												<small class="pull-right">
												'.
												$this->Html->link(
													'<i class="fa fa-search"></i> View </a>',
													array('controller' => 'permission_to_leaves', 'action' => 'view_my_permission_to_leave', $my_permission_to_leave_value['PermissionToLeave']['id'], 'prefix' => 'hris'),
													array('class' => 'btn btn-xs btn-primary', 'escape' => false)
												)
												.'
												
												</small>
												<strong>Description:</strong> You filed an <strong>Permission To Leave</strong> for <strong>'.$my_permission_to_leave_value['PermissionToLeave']['activity_title'].' </strong><br>
												<strong>Dated: </strong>'
														. date_format(date_create($my_permission_to_leave_value['PermissionToLeave']['date_from']), 'M d, Y') .
														' to '
														. date_format(date_create($my_permission_to_leave_value['PermissionToLeave']['date_to']), 'M d, Y') .'<br>
												<strong>Status: </strong>'.
													$status
												.'
												<small class="text-muted pull-right">'.
													CakeTime::timeAgoInWords(
														$my_permission_to_leave_value['PermissionToLeave']['created'],
														array('format' => 'F jS, Y', 'end' => '+5 day')
													)
												.'</small>

											</div>
										</div>
									';
								}
							
								echo '</div>';
							
							$this->BootstrapComponent->inspinia_create_button_line_container_start();
								if(count($my_permission_to_leave) >= 3){
									echo $this->BootstrapComponent->inspinia_create_link_button('View All', array('controller' => 'permission_to_leaves', 'action' => 'my_permission_to_leave','prefix' => 'hris'),array('template' => 'primary', 'class' => 'btn btn-md m-t pull-left'));
								}
									echo $this->BootstrapComponent->inspinia_create_link_button('File Permission To Leave', array('controller' => 'permission_to_leaves', 'action' => 'add_permission_to_leave','prefix' => 'hris'),array('template' => 'success', 'class' => 'btn btn-md m-t pull-right'));
							$this->BootstrapComponent->inspinia_create_button_line_container_end();
							
							echo '</div>';
						
					}
					else{
						
						echo '<div class="text-center text-muted">
							
							<h2>
								<i class="fa fa-newspaper-o fa-2x"></i>
								<i><h4>No filed Permission To Leave entries</h4></i>
							</h2>
						
						</div>';
						
					}
					
						$this->BootstrapComponent->inspinia_create_page_container_end();
					
				echo '</div>';
				
				echo '<div class="col-md-6">';
					
					$this->BootstrapComponent->inspinia_create_page_container_start('Leave Entries');
					
					if(!empty($my_leave)){
						$sliced_leave = array_slice($my_leave, 0, 3);
					
						echo '<div>';
								 
							echo '<div class="feed-activity-list">';
							
									foreach($sliced_leave as $my_leave_key => $my_leave_value){	
										// debug($my_leave_value);
										// exit();
										$status = '';
										switch($my_leave_value['LeaveEntry']['filing_status']){
											case 'Pending':
											$status = '<span class="badge badge-danger">'.$my_leave_value['LeaveEntry']['filing_status'].'</span>';
											break;
											
											case 'On Process':
											$status = '<span class="badge badge-warning">'.$my_leave_value['LeaveEntry']['filing_status'].'</span>';
											break;
											
											case 'Approved':
											$status = '<span class="badge badge-primary">'.$my_leave_value['LeaveEntry']['filing_status'].'</span>';
											break;
											
											default:
											$status = '<span class="badge badge-info">'.$my_leave_value['LeaveEntry']['filing_status'].'</span>';
											break;
										}
										echo '
											<div class="feed-element">
												<div class="media-body ">
													<small class="pull-right">
													'.
													$this->Html->link(
														'<i class="fa fa-search"></i> View </a>',
														array('controller' => 'leave_entries', 'action' => 'view_my_leave_entry', $my_leave_value['LeaveEntry']['id'], 'prefix' => 'hris'),
														array('class' => 'btn btn-xs btn-primary', 'escape' => false)
													)
													.'
													
													</small>
													<strong>Description:</strong> You filed a <strong>'.$my_leave_value['LeaveEntry']['no_of_days'].' day '.$my_leave_value['LeaveType']['name'].'</strong>.<br>
													<strong>Dated: </strong>'
															. date_format(date_create($my_leave_value['LeaveEntry']['from_date']), 'M d, Y') .
															' to '
															. date_format(date_create($my_leave_value['LeaveEntry']['to_date']), 'M d, Y') .'<br>
													<strong>Status: </strong>'.
														$status
													.'
													<small class="text-muted pull-right">'.
														CakeTime::timeAgoInWords(
															$my_leave_value['LeaveEntry']['created'],
															array('format' => 'F jS, Y', 'end' => '+5 day')
														)
													.'</small>

												</div>
											</div>
										';
									}
							
								echo '</div>';
							$this->BootstrapComponent->inspinia_create_button_line_container_start();
								if(count($my_leave) >= 3){
									echo $this->BootstrapComponent->inspinia_create_link_button('View All', array('controller' => 'leave_entries', 'action' => 'my_leave_entry','prefix' => 'hris'),array('template' => 'primary', 'class' => 'btn btn-md m-t pull-left'));
								}
									echo $this->BootstrapComponent->inspinia_create_link_button('File a Leave', array('controller' => 'leave_entries', 'action' => 'add_leave_entry','prefix' => 'hris'),array('template' => 'success', 'class' => 'btn btn-md m-t pull-right'));
							$this->BootstrapComponent->inspinia_create_button_line_container_end();
							echo '</div>';

					}
					else{
						
						echo '<div class="text-center text-muted">
							
							<h2>
								<i class="fa fa-newspaper-o fa-2x"></i>
								<i><h4>No filed Leave entries</h4></i>
							</h2>
						
						</div>';
						
					}
				
						$this->BootstrapComponent->inspinia_create_page_container_end();
					
				echo '</div>';
				
				echo '<div class="col-md-6">';
					
					$this->BootstrapComponent->inspinia_create_page_container_start('Compensatory Entries');
					
					if(!empty($my_compensatory)){
						$sliced_compensatory = array_slice($my_compensatory, 0, 3);
					
						echo '<div>';
								 
							echo '<div class="feed-activity-list">';
							
									foreach($sliced_compensatory as $my_compensatory_key => $my_compensatory_value){	
										// debug($my_leave_value);
										// exit();
										$status = '';
										
										switch($my_compensatory_value['Compensatory']['filing_status']){
											case 'Pending':
											$status = '<span class="badge badge-danger">'.$my_compensatory_value['Compensatory']['filing_status'].'</span>';
											break;
											
											case 'On Process':
											$status = '<span class="badge badge-warning">'.$my_compensatory_value['Compensatory']['filing_status'].'</span>';
											break;
											
											case 'Approved':
											$status = '<span class="badge badge-primary">'.$my_compensatory_value['Compensatory']['filing_status'].'</span>';
											break;
											
											default:
											$status = '<span class="badge badge-info">'.$my_compensatory_value['Compensatory']['filing_status'].'</span>';
											break;
										}
										
										echo '
											<div class="feed-element">
												<div class="media-body ">
													<small class="pull-right">
													'.
													$this->Html->link(
														'<i class="fa fa-search"></i> View </a>',
														array('controller' => 'compensatories', 'action' => 'view_compensatory', $my_compensatory_value['Compensatory']['id'], 'prefix' => 'hris'),
														array('class' => 'btn btn-xs btn-primary', 'escape' => false)
													)
													.'
													
													</small>
													<strong>Description:</strong> You filed a <strong>'.$my_compensatory_value['Compensatory']['number_of_hours'].' Hour Compensatory</strong>.<br>
													<strong>Dated: </strong>'
															. date_format(date_create($my_compensatory_value['Compensatory']['date_from']), 'M d, Y') .
															' to '
															. date_format(date_create($my_compensatory_value['Compensatory']['date_to']), 'M d, Y') .'<br>
													<strong>Status: </strong>'.
														$status
													.'
													<small class="text-muted pull-right">'.
														CakeTime::timeAgoInWords(
															$my_compensatory_value['Compensatory']['created'],
															array('format' => 'F jS, Y', 'end' => '+5 day')
														)
													.'</small>

												</div>
											</div>
										';
									}
							
								echo '</div>';
							$this->BootstrapComponent->inspinia_create_button_line_container_start();
								if(count($my_compensatory) >= 3){
									echo $this->BootstrapComponent->inspinia_create_link_button('View All', array('controller' => 'compensatories', 'action' => 'index','prefix' => 'hris'),array('template' => 'primary', 'class' => 'btn btn-md m-t pull-left'));
								}
									echo $this->BootstrapComponent->inspinia_create_link_button('File Compensatory', array('controller' => 'compensatories', 'action' => 'add_compensatory','prefix' => 'hris'),array('template' => 'success', 'class' => 'btn btn-md m-t pull-right'));
							$this->BootstrapComponent->inspinia_create_button_line_container_end();
							echo '</div>';

					}
					else{
						
						echo '<div class="text-center text-muted">
							
							<h2>
								<i class="fa fa-newspaper-o fa-2x"></i>
								<i><h4>No filed Compensatory entries</h4></i>
							</h2>
						
						</div>';
						
					}
					$this->BootstrapComponent->inspinia_create_page_container_end();
				echo '</div>';
			?>
			
		</div>
		
		<div class="col-lg-3 m-b-lg container-fluid">
			<?php
				if(count($find_for_retirees) > 0){
					echo '<div class="ibox float-e-margins">';
					echo 	'<div class="ibox-content ibox-heading">';
					echo		'<h4>Retirement</h4>';
					echo 'You are now eligible to file for Retirement. Please file an application/request as early as possible.';
					echo '	</div>';
					echo '</div>';
				}
			?>
			
			<div class="row">
				<div class="col-lg-12">
					<?php
						$this->BootstrapComponent->inspinia_create_page_container_start('Memo');
							echo '<div id="vertical-timeline" class="vertical-container light-timeline no-margins">';
								if($memos){
									if($memos[0]['EmployeeMemoDetail']){
										foreach($memos as $memo_key => $memo_key_value){
											$read = ($memo_key_value['EmployeeMemoDetail'][0]['read']==1) ? '<br/><small><i class = "fa fa-eye"> Read </i></small>': '';
											$date_filed = date_create($memo_key_value['MemoHeader']['date_filed']);
											echo '
												<div class="vertical-timeline-block">
													<div class="vertical-timeline-icon navy-bg">
														<i class="fa fa-envelope"></i>
													</div>

													<div class="vertical-timeline-content">
														<h2>'.$memo_key_value['MemoHeader']['subject'].'</h2>
														<p class="truncated fh-75">'.$memo_key_value['MemoHeader']['message'].'</p>
														'.
														$this->Html->link(
															'Read',
															array('controller' => 'memo_headers', 'action' => 'view_memo', $memo_key_value['MemoHeader']['code'], 'prefix' => 'hris'),
															array('class' => 'btn btn-sm btn-primary')
														)
														.'
														<span class="vertical-date">
															<small>'.date_format($date_filed, 'M d').'</small>
														</span>
														'.$read.'
													</div>
												</div>
											';
										}
									}
									else{
										echo '<div class="text-center">No memos found!</div>';
									}
								}
								
								echo'</div>';
								
								echo '<div class="row">';
									if (count($notifications) > 4) echo $this->BootstrapComponent->inspinia_create_link_button('View All', array('controller' => 'notification_headers', 'action' => 'index', 'prefix' => 'hris'),array('template' => 'info', 'class' => 'btn-block'));
								echo '</div>';
								
						$this->BootstrapComponent->inspinia_create_page_container_end();
					?>
				</div>
				
				<div class="col-lg-12">
					<?php
						$this->BootstrapComponent->inspinia_create_page_container_start('Notification');
							echo '<div id="vertical-timeline" class="vertical-container light-timeline no-margins">';
							
								if(count($notifications) > 0){
									foreach($notifications as $notification_key => $notification_key_value){
										// debug($notification_key_value);
										$read = ($notification_key_value['EmployeeNotificationDetail']['read']==1) ? '<br/><small><i class = "fa fa-eye"> Read </i></small>': '';
										$date_filed = date_create($notification_key_value['NotificationHeader']['date_filed']);
										echo '
											<div class="vertical-timeline-block">
												<div class="vertical-timeline-icon navy-bg">
													<i class="fa fa-envelope"></i>
												</div>

												<div class="vertical-timeline-content">
													<h2>'.$notification_key_value['NotificationHeader']['subject'].'</h2>
													<p class="truncated fh-75">'.$notification_key_value['NotificationHeader']['message'].'</p>
													'.
													$this->Html->link(
														'Read',
														array('controller' => 'notification_headers', 'action' => 'view_notification', $notification_key_value['NotificationHeader']['id'],'prefix' => 'hris'),
														array('class' => 'btn btn-sm btn-primary')
													)
													.'
													<span class="vertical-date">
														<small>'.date_format($date_filed, 'M d').'</small>
														
													</span>
													'.$read.'
												</div>
											</div>
										';
									}
								}
								else{
									echo '<div class="text-center">No notifications found!</div>';
								}
								
								echo'</div>';
								
								echo '<div class="row">';
									if (count($notifications) > 5) echo $this->BootstrapComponent->inspinia_create_link_button('View All', array('controller' => 'notification_headers', 'action' => 'index', 'prefix' => 'hris'),array('template' => 'info', 'class' => 'btn-block'));
								echo '</div>';
								
						$this->BootstrapComponent->inspinia_create_page_container_end();
					?>
				</div>
			</div>
		</div>	
		
	</div>
</div>

<?php 

	if($first_load)
	{
		$this->BootstrapComponent->inspinia_create_modal_window_eula_start('End User License Agreement', 'eula_item_modal', 'modal-md');

		$this->BootstrapComponent->inspinia_create_modal_window_body_with_scroll_start();
		
		echo '<p>
					Please read this End User License Agreement carefully before clicking the "Agree" button, installing, accessing or using the Software.
				</p>
				<p>
					By downloading, installing, accessing or using the Software and Database backup, you agree to the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the Software and Database backup.

				</p>
				<h4><u>License</u></h4>
				<p>
					DAI grants you a revocable, non-exclusive, non-transferable, limited right to install and use the software and database backup. Use of the software and database backup should be strictly in accordance with the terms and conditions of this license.
				</p>
				<p> 
					<i><strong>Installation and Use.</strong></i>You may have only 1 copy of the Software and used by 100 user only. 
				</p>
				<p>
					<i><strong>Reproduction and Distribution.</strong></i>You may not reproduce and distribute a copy of the Software and Database backup; 
				</p>
				<h4><u>Restrictions</u></h4>
				<p>
					As a licensee, you agree not to:
				</p>
				<p>
					License, sell, rent, lease, assign, distribute, transmit, host, outsource, disclose or otherwise commercially exploit the Software and Database backup or make the Software and Database backup available to any third party. The licensee will make no efforts to reverse engineer the Software and Database backup, or make any modifications, or enhancements.
				<p>
					<i><strong>Update and Maintenance.</strong></i>Upgrades and maintenance apply only to those under warranty and under annual maintenance contract.
				<p>
					<i><strong>Separation of Components.</strong></i>The Software is licensed as a single product. Its component parts may not be separated for use on more than one host server or host computer.
				</p>
				<p>
					<i><strong>Software Transfer.</strong></i>You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA.
				</p>
				<h4><u>Limitation of Liability</u></h4>
				<p>
					Access or usage of any third party content and services is at your own risk and discretion. DAI should not be liable in case of any indirect, incidental, consequential, special, or exemplary damages arising out from the access and usage of these content and services. This applies to all whether or not the damages were foreseeable and whether or not DAI was advised of the possibility of such damages.
				</p>
				<h4><u>Disclaimer of Warranties</u></h4>
				<p>
					The software is provided as is therefore DAI disclaims warranties and guaranties for using or accessing of third party content and services.
				</p>
				<p>	
					Furthermore, company and its affiliates, partners, suppliers and licensors make no warranty that  (i) the application or third party content and services will meet your requirements (ii) the application or third party content and services will be uninterrupted, accurate, reliable, timely, secure or error-free (iii) the quality of any products, services, information or other material accessed or obtained by you through the application will be as represented or meet your expectations or (iv) any errors in the application or third party content and services will be corrected. 
				</p>
				
				<h4><u>Copyright, Trademark and Disclaimers</u></h4>
				
				<p><i><strong>Copyright</strong></i></p>
				<p>
					Copyright© 2017 Doña Alejandra Inc.  All Rights Reserved.
				</p>
				<p>
					The information contained in this document (refers to the admin & user manual) is the property of Doña Alejandra Inc.  Neither receipt nor possession hereof confers or transfers any right to reproduce or disclose any part of the contents hereof, without the prior written consent of Doña Alejandra Inc.
				</p>
				<h4><u>Termination</u></h4>
				<p>
					In case of failure of the licensee to comply with any terms and conditions, DAI may use their discretion in suspending or terminating this license at any time. Upon termination of this license, you shall cease all use of the software, database backup and uninstall the software.
				</p>
				';
				
		echo $this->Form->create('User');
		
		
		echo '<div class="col-md-12"><div class="checkbox checkbox-primary col-md-0">
					<input type="hidden" name="data[User][eula_status]" id="UserEulaStatus_" value="0">
					<input type="checkbox" name="data[User][eula_status]" value="1" id="UserEulaStatus" onClick="EnableSubmit(this)">
					<label for="UserEulaStatus">I have read and agree to the license agreement.</label>
					</div>
			   </div>';
		
		$this->BootstrapComponent->inspinia_create_button_line_container_start();
		$this->BootstrapComponent->inspinia_create_submit_button('Agree',array('id'=>'Agree','disabled'));
		$this->BootstrapComponent->inspinia_create_link_button('Decline', array('controller' => 'users', 'action' => 'logout', 'prefix' => 'hris'), array('class' => 'btn m-b  btn-danger load-btn'));
		$this->BootstrapComponent->inspinia_create_button_line_container_end();
		
		$this->BootstrapComponent->inspinia_create_modal_window_body_end();
		
		// $this->BootstrapComponent->inspinia_create_modal_window_footer_start();
		// $this->BootstrapComponent->inspinia_create_modal_window_footer_end();
		
		
		
		
		
		$this->BootstrapComponent->inspinia_create_modal_window_end();
		echo $this->Form->end();
	}
?>

<script>
	$(document).ready(function() {
		
		var eula_status = <?php echo $_SESSION['Auth']['User']['eula_status'] ?>;
		if(eula_status == '0'){
			 $("#eula_item_modal").modal({
				show: false,
				backdrop: 'static'
			});
			$('#eula_item_modal').modal('show');
		}else{
			$('#eula_item_modal').modal('hide');
		}
	
		$(".truncated").dotdotdot({
			//	configuration goes here
		});
		
		EnableSubmit = function(val)
		{
			var sbmt = document.getElementById("Agree");

			if (val.checked == true)
			{
				sbmt.disabled = false;
			}
			else
			{
				sbmt.disabled = true;
			}
		}      
		
	});
</script>