<?php
	$approver_text = '';
	$buttons = '';
	$qualified = array(
		'Yes' => 'Yes',
		'No' => 'No'
	);
	$this->BootstrapComponent->create_breadcrumbs($this->params['controller'] . '.' . $this->params['action']);
	
	$this->BootstrapComponent->inspinia_create_page_container_start('Edit Applicant');
	echo $this->Form->create('Applicant', array('enctype' => 'multipart/form-data'));
	echo $this->Form->input('code');
	echo $this->Form->input('id', array('type' => 'hidden'));
	// debug($this->request->data);
	$applicant_job_title_code = $applicant['ApplicantAppliedPosition']['job_title_code'];
	$applicant_job_title_item_number_code = isset($applicant['ApplicantAppliedPosition']['JobTitleItemNumber']['code']) ? $applicant['ApplicantAppliedPosition']['JobTitleItemNumber']['code']:'' ;
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				array('applicant_type', 12, array('label' => 'Applicant Type', 'template' => 'list', 'class' => 'form-control', 'id' => 'applicant_type'), Configure::read('applicant_type_list')),
				array('job_title_code', 12, array('label' => 'Position Title','template' => 'list','value' => $applicant_job_title_code), $job_title_list),
				array('job_title_item_number_code', 12, array('label' => 'Item Number','template' => 'list','value' => $applicant_job_title_item_number_code),$job_title_item_number_list),
				array('date_applied', 12, array('template' => 'date','value' => date('m/d/Y'))),
				'<div id = "hide_employee">',
					array('employee_code', 12, array('label' => 'Employee', 'template' => 'list','disabled'), $employee_list),
					// array('date_applied', 12, array('template' => 'date','value' => date('m/d/Y'))),
				'</div>',
				
				'<div id = "hide_all">',
					// array('date_applied', 12, array('template' => 'date','value' => date('m/d/Y'))),
					array('application_deadline', 12, array('template' => 'date','value' => date('m/d/Y'))),
					array('prefix_code', 12, array('label' => 'Prefix', 'template' => 'list' ,'disabled'), $prefix_list),
					array('last_name', 12 , array('disabled','required')),
					array('first_name', 12,array('disabled','required')),
					array('middle_name', 12,array('disabled')),
					array('suffix_code', 12, array('label' => 'Suffix', 'template' => 'list','disabled'), $suffix_list),
					array('gender_code', 12, array('template' => 'list', 'label' => 'Sex','class' => 'form-control chosen-select','disabled','required'),$gender_list),
					array('date_of_birth', 12, array('template' => 'date', 'placeholder' => 'mm/dd/yyyy','id'=>'birthday')),
					array('age', 12,array('class'=>'form-control not_assigned','id'=>'age','readonly'=>'readonly')),
					array('phone_number', 12,array('type' => 'number')),
					// array('qualified', 12,array('template' => 'list'),$qualified),
					// array('scheduled_date', 12,array('class' => 'form-control', 'template' => 'date')),
					// array('scheduled_time', 12,array('class' => 'clockpicker form-control','type' =>'text')),
					// array('remarks', 12),
				'</div>',
				
				'<div id = "transfer_fields">',
					array('ipcr_final_average_rating', 12, array('label' => 'IPCR Final Average Rating')),
					array('ipcr_adjectival_rating', 12, array('label' => 'IPCR Adjectival Rating', 'template' => 'list'), Configure::read('ipcr_adjectival_rating_list')),
				'</div>',
			)
		)
	));
	
	echo '<div id="education_attachments_form">' ;
	$this->BootstrapComponent->inspinia_create_page_container_start('Education List');
	
	echo '<div class="row">
			<div class="col-md-12">
				
					<table class="table table-striped-new table-bordered" id="table_education_content">
						<thead>';
							echo '
								<tr>
									<td class="col-md-1" align="center">Level</td>
									<td class="col-md-1" align="center">Name of School</td> 
									<td class="col-md-1" align="center">Basic Education / Degree / Course</td> 
									<td class="col-md-1" align="center">From</td> 
									<td class="col-md-1" align="center">To</td> 
									<td class="col-md-1" align="center">Highest Level / Unit Earned</td> 
									<td class="col-md-1" align="center">Year Graduated</td> 
									<td class="col-md-1" align="center">Scholarship</td> 
									
									
									<td class="col-md-1" align="center">Remove</td> 
								</tr>';
								
						echo '</thead>
						<tbody>';

								for($x=0; $x<(count($applicant['RecruitmentApplicantEducation'])== 0 ? 1 : count($applicant['RecruitmentApplicantEducation'])); $x++) {									

									echo '<tr class="education_content" id="table_education_content' . $x . '">';
									
										echo '<td class="col-md-1">';
										echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.id', array(
														'label' => false, 
														'div' => false,
														'data-row' => $x,
														'class' => 'form-control',
														'type' => 'hidden'
													));
													
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.degree_level', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'select',
													'options' => $level_list,
													'class' => 'form-control level_list', 
													'placeholder' => 'Level'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.school', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control school', 
													'placeholder' => 'School'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.course_degree', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control course_degree', 
													'placeholder' => 'Course Degree'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.from', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'From'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.to', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'To'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.highest_level_units_earned', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control highest_level_units_earned', 
													// 'placeholder' => 'Course Degree'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.year_graduated', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'number',
													'class' => 'form-control year_graduated', 
													'placeholder' => 'Year Graduated'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEducation.' . $x . '.scholarship', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control scholarship', 
													'placeholder' => 'Scholarship'
												));
										echo '</td>';
									
										echo '<td class="col-md-1 text-center" onclick="$(\'#table_education_content'  . $x . '\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button></td>';
										
									echo '</tr>';	

								}
						
						echo '</tbody>
					</table>
				</div>
		</div>';
				
		echo '<div class="row conditional-padding">
				<div class="col-md-12 text-center">
					<button type="button" class="btn btn-primary" id="btn_add_row_education_content_for_recruitment_applicant_education">Add Row</button>
					<button type="button" class="btn btn-primary" id="btn_delete_row_education_content_for_recruitment_applicant_education">Delete Row</button>
				</div>
			</div>
		';
$this->BootstrapComponent->inspinia_create_page_container_end();
echo '</div>';

echo '<div id="work_attachments_form">' ;
	$this->BootstrapComponent->inspinia_create_page_container_start('Work History List');
	
	echo '<div class="row">
			<div class="col-md-12">
				
					<table class="table table-striped-new table-bordered" id="table_work_history_content">
						<thead>';
							echo '
								<tr>
									<td class="col-md-1" align="center">From</td>
									<td class="col-md-1" align="center">To</td>
									<td class="col-md-1" align="center">Position Detail</td> 
									<td class="col-md-1" align="center">Department / Agency / Office / Company</td> 
									<td class="col-md-1" align="center">Monthly Salary</td> 
									<td class="col-md-1" align="center">Salary Grade</td> 
									<td class="col-md-1" align="center">Status of Appointment</td> 
									<td class="col-md-1" align="center">Government Service</td> 
									<td class="col-md-1" align="center">Separation Date</td> 
									<td class="col-md-2" align="center">Separation Remarks</td> 
									
									<td class="col-md-1" align="center">Remove</td> 
								</tr>';
								
						echo '</thead>
						<tbody>';
								
								for($x=0; $x<(count($applicant['RecruitmentApplicantWorkHistory'])== 0 ? 1 : count($applicant['RecruitmentApplicantWorkHistory'])); $x++) {								
									
									echo '<tr class="work_history_content" id="table_work_history_content' . $x . '">';
									
										echo '<td class="col-md-1">';
										echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.id', array(
														'label' => false, 
														'div' => false,
														'data-row' => $x,
														'class' => 'form-control',
														'type' => 'hidden'
													));
													
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.from', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'mm/dd/yyyy'
												));							
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.to', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'mm/dd/yyyy'
												));
											
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.position_title', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control position_title', 
													'placeholder' => 'Position Title'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.department_office_company', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control department_office_company', 
													'placeholder' => 'Department Office Company'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.monthly_salary', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'number',
													'class' => 'form-control monthly_salary', 
													'placeholder' => 'Monthly Salary'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.salary_job_grade', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control salary_job_grade', 
													'placeholder' => 'Salary Grade'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.status_of_appointment_code', array(
														'label' => false, 
														'div' => false, 
														'data-row' => $x,
														'type' => 'select',
														'options' => $status_of_appointment_list,
														'class' => 'form-control status_of_appointment_list', 
														'placeholder' => 'Status of Appointment',
														'empty' => '(Choose One)'
													));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.gov_service', array(
														'label' => false, 
														'div' => false, 
														'data-row' => $x,
														'type' => 'select',
														'options' => array('No' => 'No', 'Yes' => 'Yes'),
														'class' => 'form-control gov_service', 
														'placeholder' => 'Government Service',
														'empty' => '(Choose One)'
													));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.separation_date', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'Separation Date'
												));
										echo '</td>';
										
										echo '<td class="col-md-2">';
											echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.separation_cause', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control separation_cause', 
													'placeholder' => 'Separation Cause'
												));
										echo '</td>';
										
										
									
										echo '<td class="col-md-1 text-center" onclick="$(\'#table_work_history_content'  . $x . '\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button></td>';
										
									echo '</tr>';	

								}
						
						echo '</tbody>
					</table>
				</div>
		</div>';
				
		echo '<div class="row conditional-padding">
				<div class="col-md-12 text-center">
					<button type="button" class="btn btn-primary" id="btn_add_row_attachment_content_for_recruitment_applicant_work_history">Add Row</button>
					<button type="button" class="btn btn-primary" id="btn_delete_row_attachment_content_for_recruitment_applicant_work_history">Delete Row</button>
				</div>
			</div>
		';
$this->BootstrapComponent->inspinia_create_page_container_end();
echo '</div>';

echo '<div id="learning_and_development_attachments_form">' ;
	$this->BootstrapComponent->inspinia_create_page_container_start('Learning and Development List');
	
	echo '<div class="row">
			<div class="col-md-12">
					<table class="table table-striped-new table-bordered" id="table_learning_and_development_content">
						<thead>';
							echo '
								<tr>
								<td class="col-md-2" align="center">Title of Learning and Development Interventions / Training Programs Attended</td>
								<td class="col-md-1" align="center">From</td> 
								<td class="col-md-1" align="center">To</td> 
								<td class="col-md-1" align="center">Number of Hours</td> 
								<td class="col-md-1" align="center">Type of LD</td> 
								<td class="col-md-1" align="center">Conducted / Sponsored By</td> 
								<td class="col-md-1" align="center">Attachment</td> 
								<td class="col-md-1" align="center">Remove</td> 
								</tr>';
								
						echo '</thead>
						<tbody>';
								
								for($x=0; $x<(count($applicant['RecruitmentApplicantLearningAndDevelopment'])== 0 ? 1 : count($applicant['RecruitmentApplicantLearningAndDevelopment'])); $x++) {				
									
									echo '<tr class="learning_and_development_content" id="table_learning_and_development_content' . $x . '">';
									
										echo '<td class="col-md-2">';
										echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.id', array(
														'label' => false, 
														'div' => false,
														'data-row' => $x,
														'class' => 'form-control',
														'type' => 'hidden'
													));
													
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.title_of_learning_and_development', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control title_of_learning_and_development', 
													'placeholder' => 'Title'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.from', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'mm/dd/yyyy'
												));
											
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.to', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'mm/dd/yyyy'
												));
											
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.number_of_hours', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'number',
													'class' => 'form-control number_of_hours', 
													'placeholder' => 'number of hours'
												));
											
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.type_of_ld', array(
														'label' => false, 
														'div' => false, 
														'data-row' => $x,
														'type' => 'select',
														'options' => $type_of_ld_list,
														'class' => 'form-control type_of_ld_list', 
														'placeholder' => 'Learning and Development Type',
														'empty' => '(Choose One)'
													));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.conducted_sponsored_by', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control conducted_sponsored_by', 
													'placeholder' => ''
												));
											
										echo '</td>';
										
										echo '<td class="col-md-2">';
											echo $this->Form->input('RecruitmentApplicantLearningAndDevelopment.' . $x . '.attachment', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'file',
													'class' => 'form-control attachment', 
													'placeholder' => 'Attachment File'
												));
										echo '</td>';
										
										
										echo '<td class="col-md-1 text-center" onclick="$(\'#table_learning_and_development_content'  . $x . '\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button></td>';
										
									echo '</tr>';	

								}
						
						echo '</tbody>
					</table>
			</div>
		</div>';
				
		echo '<div class="row conditional-padding">
				<div class="col-md-12 text-center">
					<button type="button" class="btn btn-primary" id="btn_add_row_learning_and_developement_content_for_recruitment_applicant">Add Row</button>
					<button type="button" class="btn btn-primary" id="btn_delete_row_learning_and_developement_content_for_recruitment_applicant">Delete Row</button>
				</div>
			</div>
		';
$this->BootstrapComponent->inspinia_create_page_container_end();
echo '</div>';
	
		echo '<div id="eligibility_form">' ;
	$this->BootstrapComponent->inspinia_create_page_container_start('Eligibility');
	
	echo '<div class="row">
			<div class="col-md-12">
				
					<table class="table table-striped-new table-bordered" id="table_eligibility_content">
						<thead>';
							echo '
								<tr>
									<td class="col-md-1" align="center">Career Service</td>
									<td class="col-md-1" align="center">If Others Please Specify</td>
									<td class="col-md-1" align="center">Rating (If applicable)</td> 
									<td class="col-md-1" align="center">Date of Examination / Conferment</td> 
									<td class="col-md-1" align="center">Place of Examination / Conferment</td> 
									<td class="col-md-1" align="center">License Number (If applicable)</td> 
									<td class="col-md-1" align="center">Date of Validity</td> 
									
									<td class="col-md-1" align="center">Remove</td> 
								</tr>';
								
						echo '</thead>
						<tbody>';
								
								for($x=0; $x<(count($applicant['RecruitmentApplicantEligibility'])== 0 ? 1 : count($applicant['RecruitmentApplicantEligibility'])); $x++) {									
									
									echo '<tr class="eligibility_content" id="table_eligibility_content' . $x . '">';
									
										echo '<td class="col-md-1">';
										echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.id', array(
														'label' => false, 
														'div' => false,
														'data-row' => $x,
														'class' => 'form-control',
														'type' => 'hidden'
													));
													
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.career_service', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control career_service', 
													'placeholder' => 'Career Service',
													// 'required'
												));							
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.if_others_please_specify', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type'=>'text',
													'class' => 'form-control if_others_please_specify', 
													'placeholder' => 'If Others Please Specify'
												));
											
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.rating', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control rating', 
													'placeholder' => 'Rating'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.date_of_examination', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control datepicker', 
													'placeholder' => 'mm/dd/yyyy',
													// 'required'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.place_of_examination', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control place_of_examination', 
													'placeholder' => 'Place of Examination',
													// 'required'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.license_number', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'text',
													'class' => 'form-control license_number', 
													'placeholder' => 'License Number'
												));
										echo '</td>';
										
										echo '<td class="col-md-1">';
											echo $this->Form->input('RecruitmentApplicantEligibility.' . $x . '.date_of_validity', array(
														'label' => false, 
														'div' => false, 
														'data-row' => $x,
														'type' => 'text',
														// 'options' => $status_of_appointment_list,
														'class' => 'form-control datepicker', 
														'placeholder' => 'mm/dd/yyyy',
														// 'required'
													));
										echo '</td>';
										

									
										echo '<td class="col-md-1 text-center" onclick="$(\'#table_eligibility_content'  . $x . '\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button></td>';
										
									echo '</tr>';	

								}
						
						echo '</tbody>
					</table>
				</div>
		</div>';
				
		echo '<div class="row conditional-padding">
				<div class="col-md-12 text-center">
					<button type="button" class="btn btn-primary" id="btn_add_row_attachment_content_for_recruitment_applicant_eligibility">Add Row</button>
					<button type="button" class="btn btn-primary" id="btn_delete_row_attachment_content_for_recruitment_applicant_eligibility">Delete Row</button>
				</div>
			</div>
		';
$this->BootstrapComponent->inspinia_create_page_container_end();
echo '</div>';
	
	echo '<div id="attachments_form">' ;
	$this->BootstrapComponent->inspinia_create_page_container_start('Attachment');
	echo '<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-striped-new table-bordered" id="table_attachment_content">
						<thead>';
							echo '
								<tr>
								<td class="col-md-2" align="center">Name of Attachment</td>
								<td class="col-md-2" align="center">File</td> 
								<td class="col-md-1" align="center">Remove</td> 
								</tr>';
								
						echo '</thead>
						<tbody>';
								
								for($x=0; $x<(count($applicant['RecruitmentApplicantAttachment'])== 0 ? 1 : count($applicant['RecruitmentApplicantAttachment'])); $x++) {									
									
									echo '<tr class="attachment_content" id="attachment_content_row_' . $x . '">';
									
										echo '<td class="col-md-2">';
										echo $this->Form->input('RecruitmentApplicantAttachment.' . $x . '.id', array(
														'label' => false, 
														'div' => false,
														'data-row' => $x,
														'class' => 'form-control',
														'type' => 'hidden'
													));
													
											echo $this->Form->input('RecruitmentApplicantAttachment.' . $x . '.name', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'class' => 'form-control name', 
													'placeholder' => 'Name'
												));
										echo '</td>';
										
										echo '<td class="col-md-2">';
											echo $this->Form->input('RecruitmentApplicantAttachment.' . $x . '.attachment', array(
													'label' => false, 
													'div' => false, 
													'data-row' => $x,
													'type' => 'file',
													'class' => 'form-control attachment', 
													'placeholder' => 'Attachment File'
												));
										echo '</td>';
										
										
										echo '<td class="col-md-1 text-center" onclick="$(\'#attachment_content_row_'  . $x . '\').remove();"><button class="btn btn-xs btn-primary"><i class="fa fa-minus" aria-hidden="true"></i></button></td>';
										
									echo '</tr>';	

								}
						
						echo '</tbody>
					</table>
				</div>
			</div>
		</div>';
				
		echo '<div class="row conditional-padding">
				<div class="col-md-12 text-center">
					<button type="button" class="btn btn-primary" id="btn_add_row_attachment_content_for_recruitment_applicant">Add Row</button>
					<button type="button" class="btn btn-primary" id="btn_delete_row_attachment_content_for_recruitment_applicant">Delete Row</button>
				</div>
			</div>
		';
	$this->BootstrapComponent->inspinia_create_page_container_end();
	echo '</div>';
	/* 
	echo $this->BootstrapComponent->inspinia_create_dotted_horizontal_line();
	
	echo '<div id="selected_items_for_submission">';
		$this->BootstrapComponent->inspinia_create_button_line_container_start();
			$this->BootstrapComponent->inspinia_create_link_button('Select Position Item Number', "#", array('template' => 'info','data-target'=>'#add_item_modal','data-toggle'=>'modal'));
		$this->BootstrapComponent->inspinia_create_button_line_container_end();
		$this->BootstrapComponent->inspinia_create_table_headings(array(
			'column-headers' => array(
				'Position Title' => 5,
				'Item Number' => 4,
				'Date Applied' => 2,
				'Remove' => 1
			),
			'class'=>'table_sortable',
			'id'=>'view_table'
		));
		// echo $selected_items;
		$this->BootstrapComponent->inspinia_create_table_end();
	echo '</div>';
	 */
	$this->BootstrapComponent->inspinia_create_button_line_container_start();
	$this->BootstrapComponent->inspinia_create_submit_button('Save');
	$this->BootstrapComponent->inspinia_create_link_button('Back', array('controller' => 'applicants', 'action' => 'view_applicant', $applicant['Applicant']['id'], 'prefix' => 'hris'), array('template' => 'danger'));
	$this->BootstrapComponent->inspinia_create_button_line_container_end();

	echo $this->Form->end();	
	$this->BootstrapComponent->inspinia_create_page_container_end();
	
	echo '<div style = "display:none">';
		echo $this->Form->input('level_list', array(
			'label' => false,
			'div' => false,
			'id' => 'level_list',
			// 'type' => 'hidden',
			'class' => 'form-control hidden',
			'options' => $level_list,
			'empty' => '(Choose One)'
		));	
		echo $this->Form->input('status_of_appointment_list', array(
			'label' => false,
			'div' => false,
			'id' => 'status_of_appointment_list',
			'class' => 'form-control hidden',
			'options' => $status_of_appointment_list,
			'empty' => '(Choose One)'
		));	
		echo $this->Form->input('type_of_ld_list', array(
			'label' => false,
			'div' => false,
			'id' => 'type_of_ld_list',
			'class' => 'form-control hidden',
			'options' => $type_of_ld_list,
			'empty' => '(Choose One)'
		));	
		echo $this->Form->input('RecruitmentApplicantWorkHistory.' . $x . '.gov_service', array(
			'label' => false, 
			'div' => false, 
			'data-row' => $x,
			'type' => 'select',
			'class' => 'form-control hidden',
			'options' => array('No' => 'No', 'Yes' => 'Yes'),
			'empty' => '(Choose One)'
		));
										
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_modal_window_start('Applied Position List', 'add_item_modal', 'modal-lg');
	$this->BootstrapComponent->inspinia_create_modal_window_body_start();
	echo $this->Form->create('SearchVacancy',array('id'=>'search_vacancy_form'));	
	echo $this->Form->input('selected_data_row', array('id'=>'selected_data_row','type' => 'hidden','required'));
			
	$this->BootstrapComponent->inspinia_create_left_label_form_input_batch(array(
		array(
			'size' => 12,
			'contents' => array(
				// array('section', 6,array('template'=>'list','class'=>'form-control search_item'), $section_list),
				// array('unit', 6,array('template'=>'list','class'=>'form-control search_item'), $unit_list),
				// array('job_title', 6,array('template'=>'list','class'=>'form-control search_item'), $job_title_list),
				array('search_keyword', 12,array('class'=>'form-control search_item'))
			)
		)
	));
	echo $this->Form->end();	
	
	echo $this->BootstrapComponent->inspinia_create_dotted_horizontal_line();
	$this->BootstrapComponent->create_loading_box('Searching...','vacancy_search_loading'); 
	echo '<div id="vacancy_search_table" class="col-md-12">';
		echo '<div class="col-md-6"><h3>Select Vacancy:</h3></div>';
		echo '<div class="col-md-6"><h3>Selected Vacancy:</h3></div>';
	
	
	echo '
		<div class="row">
		<div id="search_results_container" class="col-md-6">';
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Position Title' => 6,
			'Item Number' => 5,
			'Select' => 1
		),
		'class'=>'table_sortable',
		'id'=>'result_table'
	));
	$this->BootstrapComponent->inspinia_create_table_end();
	echo '</div>';
	echo '<div id="selected_items_container" class="col-md-6">';

	echo $this->Form->input('selected_data_row', array('type' => 'hidden'));
	$this->BootstrapComponent->inspinia_create_table_headings(array(
		'column-headers' => array(
			'Position Title' => 6,
			'Item Number' => 5,
			'Remove' => 1
		),
		'class'=>'table_sortable',
		'id'=>'selected_table'
	));
	// echo $selected_items;
	$this->BootstrapComponent->inspinia_create_table_end();
	echo '</div>';
	echo '</div>';
	echo '</div>';
	
	$this->BootstrapComponent->inspinia_create_modal_window_body_end();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_start();
	$this->BootstrapComponent->inspinia_create_modal_window_footer_end();
	$this->BootstrapComponent->inspinia_create_modal_window_end();
?>
<script>
 
var timer = 0;
var selected =Object.assign({}, <?php echo json_encode($selected_job_title);?>);
var selected_code = <?php echo json_encode(array_keys($selected_job_title));?>;
var old_data = {};

// console.log(selected);
// console.log(selected_code);
$('#vacancy_search_loading').hide();
	var typewatch = (function(){
	  
	  return function(callback, ms) {
		clearTimeout (timer);
		timer = setTimeout(callback, ms);
	  };
	})();
$('#SearchVacancySearchKeyword').on('input', function() {
	var form_data = $('#search_vacancy_form').serialize();
	// alert(form_data);
	$('#vacancy_search_loading').show();
	$('#vacancy_search_table').hide();
	
	typewatch(function () {
		$.ajax({
				url: "<?php echo Configure::read('hris_link'); ?>/hris/applicants/get_vacancy",
				data:form_data,
				type: "POST",
				dataType : "json",
				success: function( data ) {
					load_table(data)
				},
				error: function( xhr, status, errorThrown ) {
					sweet_alert("","Sorry, there was a problem!","error" );
					//console.log( "Error: " + errorThrown );
					//console.log( "Status: " + status );
					console.dir( xhr );
				}
			}).always(function(){
				$('#vacancy_search_loading').hide();
				$('#vacancy_search_table').show();
			});
	}, 500);
	
	
});

create_sortable_table('#result_table');
create_sortable_table('#selected_table');
create_sortable_table('#view_table');

function load_table(data){
	
	sortable_table_clear('#result_table');
	$.each(data,function(k,val){
		var row =[val['name'],val['item_number'],'<button type="button" data-row='+k+' id='+val['job_title_code']+' class="btn btn-primary add_item_btn"><i class="fa fa-plus" aria-hidden="true"></i></button>'];
		sortable_table_add_row('#result_table',row,"a-tr-"+k);
		old_data[k]=val;
	});
	$(".add_item_btn").click(function(e){
		var id =$(this).attr('id');
		
		var row =$(this).attr('data-row');
		selected[row]= old_data[row];
		sortable_table_delete_row('#result_table',"#a-tr-"+row);	
		delete old_data[row];
		load_table_content_selected(selected);
		$(".minus_item_btn").click(function(e){
				var data_row =$(this).attr('data-row');
				delete selected[data_row];
				 load_table_content_selected(selected);
		});
	});
	
}
function load_table_content_selected(selected){
	console.log(selected);
	var html="";
	var html2="";
	var xx=0;
	sortable_table_clear('#view_table');
	sortable_table_clear('#selected_table');
	var keys=[];
	$.each(selected,function(k,val){
		var row2 =["<input name=ApplicantAppliedPosition["+(xx)+"][id]' type='hidden' value='"+k+"' />"+val['name'], val['item_number']+"<input  name=ApplicantAppliedPosition["+(xx)+"][job_title_code]' type='hidden' value='"+val["job_title_code"]+"' /><input  name=ApplicantAppliedPosition["+(xx)+"][job_title_item_number_code]' type='hidden' value='"+val["code"]+"' />",'<input name=ApplicantAppliedPosition['+(xx)+'][date_applied] class="form-control datepicker" type ="text" value ="<?php echo date('m/d/Y'); ?>"></input>','<button data-row='+val['id']+' id="'+k+'" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>'];
		
		
		sortable_table_add_row('#view_table',row2,"b-tr-"+val['id']);
		// //console.log(val['name']);
		var row =[val['name'],val['item_number'],'<button data-row='+val['id']+' id="'+k+'" class="btn btn-primary minus_item_btn"><i class="fa fa-minus" aria-hidden="true"></i></button>'];
		
		sortable_table_add_row('#selected_table',row,"a-tr-"+val['id']);
		$('.datepicker').datepicker({
			todayBtn: "linked",
			keyboardNavigation: false,
			forceParse: false,
			calendarWeeks: true,
			autoclose: true,
			format: "mm/dd/yyyy"
		});
		xx++;
		keys.push(k);
	});
	$('#selected_data_row').val(JSON.stringify((keys)));
	
	$(".minus_item_btn").click(function(e){
		e.preventDefault();
		var id =$(this).attr('id');
		// alert(id);
		old_data[id]=selected[id];
		
		// console.log(id);
		// console.log(selected);
		load_table(old_data);
		delete selected[id];
		load_table_content_selected(selected);
		
	});

}
setTimeout(function(){
  load_table_content_selected(selected);
}, 1000);


$.fn.toggle_status = function() {
	var selector_used = $(this).selector;
	var display_status = $(selector_used).css("display");
	
	if(display_status == "none") {
		$(selector_used + ' input, ' + selector_used + ' textarea').attr('disabled', true);
		$(selector_used + ' select').attr('disabled', true).trigger("chosen:updated");
	}
	else {
		$(selector_used + ' input, ' + selector_used + ' textarea').removeAttr('disabled');
		$(selector_used + ' select').removeAttr('disabled').trigger("chosen:updated");
	}

	return this;
}

$( document ).ready(function() {
	applicant_type = $('#applicant_type').val();
	
	adjust_applicant_form(applicant_type);
});

$('#applicant_type').change(function(){
	applicant_type = $(this).val();
	
	adjust_applicant_form(applicant_type);
});

function adjust_applicant_form(applicant_type) {
	if(applicant_type == "Promotion" || applicant_type == "Demotion") {
		$('#outsider_form').hide().toggle_status();
		$('#outsider_form').hide().toggle_status();
		$('#insider_form').show().toggle_status();
		$('#attachments_form').show().toggle_status();
		$('#education_attachments_form').hide().toggle_status();
		$('#work_attachments_form').hide().toggle_status();
		$('#learning_and_development_attachments_form').hide().toggle_status();
		$('#eligibility_form').hide().toggle_status();
		$('#selected_items_for_submission').show().toggle_status();
		$('#hide_employee').show().toggle_status();
		$('#hide_all').hide().toggle_status();
		$('#transfer_fields').hide().toggle_status();
		
		// $('#ApplicantEmployeeCode').removeAttr('disabled');
		// $('#ApplicantPrefixCode').attr('disabled','true');
		// $('#ApplicantLastName').attr('disabled','true');
		// $('#ApplicantFirstName').attr('disabled','true');
		// $('#ApplicantMiddleName').attr('disabled','true');
		// $('#ApplicantSuffixCode').attr('disabled','true');
		// $('#ApplicantGenderCode').attr('disabled','true');
		// $('#ApplicantDateOfBirth').attr('disabled','true');
	}
	else if(applicant_type == "New" || applicant_type == "NewJO") {
		$('#outsider_form').show().toggle_status();
		$('#insider_form').hide().toggle_status();
		$('#attachments_form').show().toggle_status();
		$('#education_attachments_form').show().toggle_status();
		$('#work_attachments_form').show().toggle_status();
		$('#learning_and_development_attachments_form').show().toggle_status();
		$('#eligibility_form').show().toggle_status();
		$('#selected_items_for_submission').show().toggle_status();
		$('#hide_employee').hide().toggle_status();
		$('#hide_all').show().toggle_status();
		$('#transfer_fields').hide().toggle_status();
		
		// $('#ApplicantPrefixCode').removeAttr('disabled');
		// $('#ApplicantLastName').removeAttr('disabled');
		// $('#ApplicantFirstName').removeAttr('disabled');
		// $('#ApplicantMiddleName').removeAttr('disabled');
		// $('#ApplicantSuffixCode').removeAttr('disabled');
		// $('#ApplicantGenderCode').removeAttr('disabled');
		// $('#ApplicantDateOfBirth').removeAttr('disabled');
		// $('#ApplicantEmployeeCode').attr('disabled','true');
	}
	else if(applicant_type == "Transfer") {
		$('#outsider_form').show().toggle_status();
		$('#insider_form').hide().toggle_status();
		$('#attachments_form').show().toggle_status();
		$('#education_attachments_form').show().toggle_status();
		$('#work_attachments_form').show().toggle_status();
		$('#learning_and_development_attachments_form').show().toggle_status();
		$('#eligibility_form').show().toggle_status();
		$('#selected_items_for_submission').show().toggle_status();
		$('#hide_employee').hide().toggle_status();
		$('#hide_all').show().toggle_status();
		$('#transfer_fields').show().toggle_status();

		// $('#ApplicantPrefixCode').removeAttr('disabled');
		// $('#ApplicantLastName').removeAttr('disabled');
		// $('#ApplicantFirstName').removeAttr('disabled');
		// $('#ApplicantMiddleName').removeAttr('disabled');
		// $('#ApplicantSuffixCode').removeAttr('disabled');
		// $('#ApplicantGenderCode').removeAttr('disabled');
		// $('#ApplicantDateOfBirth').removeAttr('disabled');
		// $('#ApplicantEmployeeCode').attr('disabled','true');
	}
	else{
		$('#outsider_form').hide().toggle_status();
		$('#insider_form').hide().toggle_status();
		$('#attachments_form').hide().toggle_status();
		$('#education_attachments_form').hide().toggle_status();
		$('#work_attachments_form').hide().toggle_status();
		$('#learning_and_development_attachments_form').hide().toggle_status();
		$('#eligibility_form').hide().toggle_status();
		$('#selected_items_for_submission').hide().toggle_status();
		$('#ApplicantEmployeeCode').attr('disabled','true').toggle_status();
		$('#ApplicantPrefixCode').attr('disabled','true').toggle_status();
		$('#ApplicantLastName').attr('disabled','true').toggle_status();
		$('#ApplicantFirstName').attr('disabled','true').toggle_status();
		$('#ApplicantMiddleName').attr('disabled','true').toggle_status();
		$('#ApplicantSuffixCode').attr('disabled','true').toggle_status();
		$('#ApplicantGenderCode').attr('disabled','true').toggle_status();
		$('#ApplicantDateOfBirth').attr('disabled','true').toggle_status();
	}
	
    $('#ApplicantEmployeeCode').trigger("chosen:updated");
	$('#ApplicantSuffixCode').trigger("chosen:updated");
	$('#ApplicantPrefixCode').trigger("chosen:updated");
	$('#ApplicantGenderCode').trigger("chosen:updated");
}




// $('#ApplicantHrisEditApplicantForm').submit(function(e){	
	// var count_row = $('#view_table tbody tr[role="row"]').length;
	// alert(count_row);
		// if (count_row <= 0 ){
			 // sweet_alert('','No Selected Position','warning');
			// return false;
		// }
		// return true;
// });
	$('#ApplicantJobTitleCode').change(function(){
			var job_title_code = $(this).val();
			if(job_title_code == ""){
				
				$('#ApplicantJobTitleItemNumberCode').empty();		
				$('#ApplicantJobTitleItemNumberCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
				$('#ApplicantJobTitleItemNumberCode').trigger("chosen:updated");

			}
			else {
				var job_title_code = $(this).val();
				if(job_title_code.length > 0){
					
					$.getJSON( "<?php echo $this->Html->url(array('controller' => 'initial_applicants','action' => 'get_item_number','prefix'=>''))?>/"+job_title_code, function(data) {
						
						// console.log(data);
						
						$('#ApplicantJobTitleItemNumberCode').empty();
					
						$.each(data,function(k,v){
							$('#ApplicantJobTitleItemNumberCode').append("<option value="+k+">"+v+"</option>"); 
						});
						$('#ApplicantJobTitleItemNumberCode').prepend("<option value = '' selected>(Choose One)</option>"); 	
						$('#ApplicantJobTitleItemNumberCode').trigger("chosen:updated");
						
					});
				}
			}
		});
		// $('#ApplicantJobTitleCode').trigger('change');


</script>