<?php
	$this->BootstrapComponent->create_breadcrumbs($this->params['controller'] . '.' . $this->params['action']);
	// debug($plantilla_vacancies_list);
	// exit();
	$this->BootstrapComponent->inspinia_create_page_container_start('View Plantilla Vacancy');
	
		$this->BootstrapComponent->inspinia_create_left_label_form_view_batch(array(
			array(
				'size' => 12,
				'contents' => array(
					array('Position Title', $plantilla_vacancies_list['JobTitle']['name'], 12),
					array('Item Number', $plantilla_vacancies_list['PlantillaVacancy']['job_title_item_number_name'], 12),
					array('Section', $plantilla_vacancies_list['PlantillaVacancy']['section_name'], 12),
					array('Salary Grade', (isset($plantilla_vacancies_list['JobTitle']['SalaryGrade']['name']) ? $plantilla_vacancies_list['JobTitle']['SalaryGrade']['name'] : 'N/A'), 12),
					array('Position Requirements', $plantilla_vacancies_list['PlantillaVacancy']['position_requirements'], 12),
					array('Filled', $plantilla_vacancies_list['PlantillaVacancy']['is_filled'], 12),
					array('Date Posted', $plantilla_vacancies_list['PlantillaVacancy']['date_posted'], 12),
					array('Deadline', $plantilla_vacancies_list['PlantillaVacancy']['deadline'], 12),
					array('Number of Applicants', $plantilla_vacancies_list['NumberOfApplicants']['number_of_applicants'], 12),
					array('Vacancy Status', $plantilla_vacancies_list['ApplicationStatus']['name'], 12),
					array('Date', $plantilla_vacancies_list['PlantillaVacancy']['date'], 12),
				)
			)
		));
	$this->BootstrapComponent->inspinia_create_page_container_end();
?>
<div class="mail-attachment">
	<p>
		<span><i class="fa fa-paperclip"></i> <?php echo count($plantilla_vacancies_list['RecruitmentApplicantAttachment'])?> attachment(s) - </span>
	</p>

	<div class="attachment">
	
		<?php 
			if(count($plantilla_vacancies_list['RecruitmentApplicantAttachment']) > 0){
				$attachments = $plantilla_vacancies_list['RecruitmentApplicantAttachment'];
				foreach($attachments as $attachment){
					$attachment_link = $this->Html->url($attachment['attachment']);
		
					$image_extension = array("gif", "jpg", "jpeg", "png", "tiff", "tif","GIF","JPG","JPEG","PNG","TIFF","TIF");
					$url_extension = pathinfo($attachment_link, PATHINFO_EXTENSION);
					
					if (in_array($url_extension, $image_extension)) {
						$icon = '<div class="image">
									<img alt="image" class="img-responsive" src="'.$attachment_link.'">
								</div>';
					}else{
						$icon = '<div class="icon">
										<i class="fa fa-file"></i>
									</div>';
					}
					
					echo '<div class="file-box">
							<div class="file">
								<a href="'.$attachment_link.'">
									<span class="corner"></span>

									'.$icon.'
									<div class="file-name">
										'.$attachment['name'].'
										<br/>
										<small>Added: '.$attachment['created'].'</small>
									</div>
								</a>
							</div>
						</div>';
				}
			}
		?>
		<div class="clearfix"></div>
	</div>
<?php
	if (isset($applicant_applied_position)) {
		$this->BootstrapComponent->inspinia_create_page_container_start('List of Applicants');
		
		$this->BootstrapComponent->inspinia_create_table_headings(array(
			'id' => 'list-of-applicants-table',
			'class' => 'table-bordered table-hover',
			'column-headers' => array(
				'Applicant Name' => array('200px'),
				'Position Applied' => array('100px', 'center'),
				'Gender' => array('70px', 'center'),
				'Date of Birth' => array('70px', 'center'),
				'Application Status' => array('100px', 'center'),
				'Outsider / Insider' => array('100px'),
				// 'Delete' => 1,
			)
		));
		
		foreach($applicant_applied_position as $vacancy_list_of_applicants) {
			// debug($applicant_applied_position);
			// exit();
			if(isset($vacancy_list_of_applicants['Gender']['name'])) {
				$gender = $vacancy_list_of_applicants['Gender']['name'];
			}
			else {
				$gender = '';
			}
			if(isset( $vacancy_list_of_applicants['PlantillaVacancy']['ApplicationStatus']['name'])){
				$applicantion_status=$vacancy_list_of_applicants['PlantillaVacancy']['ApplicationStatus']['name'];
			}else{
				$applicantion_status='';
			}
			echo '<tr>';
			echo '<td>' . $this->Html->link($vacancy_list_of_applicants['Applicant']['combination_whole_name'], array('controller' => 'applicants', 'action' => 'view_applicant', $vacancy_list_of_applicants['Applicant']['id'], 'prefix' => 'hris'), array('class' => '', 'escape' => false)) . '</td>';
			// echo '<td class="col-md-1">' . $vacancy_list_of_applicants['Applicant']['combination_whole_name'] . '</td>';
			echo '<td>' . $vacancy_list_of_applicants['JobTitle']['name'] . '</td>';
			echo '<td>' . $gender . '</td>';
			echo '<td>' . $vacancy_list_of_applicants['Applicant']['date_of_birth'] . '</td>';
			echo '<td>' . $applicantion_status . '</td>';
			echo '<td>' . $vacancy_list_of_applicants['Applicant']['outsider_or_insider'] . '</td>';
			echo '</tr>';
		}
		
		$this->BootstrapComponent->inspinia_create_table_end();
		$this->BootstrapComponent->inspinia_create_page_container_end();
	}

		$this->BootstrapComponent->inspinia_create_button_line_container_start();
		$this->BootstrapComponent->inspinia_create_link_button('Update Plantilla Vacancy', array('controller' => 'plantilla_vacancies','action' => 'edit_plantilla_vacancy',$job_title_item_number_code,'prefix' => 'hris'));
		$this->BootstrapComponent->inspinia_create_link_button('Back to List', array('controller' => 'plantilla_vacancies','action' => 'index','prefix' => 'hris'), array('template' => 'danger'));
		$this->BootstrapComponent->inspinia_create_button_line_container_end();
	?>
		

