<?php
/**
 *
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
?>
<!DOCTYPE html>
<html>
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		Human Resource Information System
	</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.5, user-scalable=yes">
	<?php
		echo $this->element('Layout/head.all.icon');
		echo $this->element('Layout/head.all.css');
		
		echo $this->element('Layout/head.all.js');
		
		if(!isset($navigation_active_name_1)) {
			$navigation_active_name_1 = null;
		}
		
		if(!isset($navigation_active_name_2)) {
			$navigation_active_name_2 = null;
		}
	?>


	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
	
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge">	
</head>
<body class="gray-bg">
	<?php echo $this->fetch('content'); ?>
</body>
</html>
