<?php
/**
 *
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
?>
<!DOCTYPE html>
<html>
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		Human Resource Information System
	</title>
	<?php
		echo $this->Html->meta('favicon.ico', 'img/hr_manager.ico', array('type' => 'icon'));
		echo $this->Html->css(array(
			'plugins/toastr/toastr.min.css',
			'plugins/normalize/normalize', 
			'plugins/bootstrap/css/bootstrap.min', 
			'plugins/font-awesome/css/font-awesome.min', 
			'plugins/animate/animate', 
			'plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox', 
			'plugins/inspinia/style',
			'plugins/clockpicker/clockpicker',
			'plugins/timepicker/jquery.timepicker.min',
			'plugins/bootstrap-chosen/bootstrap-chosen',
			'plugins/daterangepicker/daterangepicker',
			'plugins/sweetalert/sweetalert',
			'plugins/colorpicker/bootstrap-colorpicker.min.css',
			'plugins/dataTables/datatables.min',
			'plugins/steps/jquery.steps',
			'plugins/datapicker/datepicker3.css',
			'plugins/footable/footable.core.css',
			'plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min',
			'plugins/normalize/normalize', 
			'plugins/bootstrap/css/bootstrap.min', 
			'plugins/font-awesome/css/fa-svg-with-js', 
			'plugins/font-awesome/css/fontawesome.min', 
			'plugins/textSpinners/spinners.css', 
			'plugins/animate/animate', 
			'plugins/slick/slick', 
			'plugins/slick/slick-theme',
			'plugins/iCheck/custom',
			'plugins/inspinia/style',
			'dai.fonts.css',
			'dai.style.css',
			'dai.theme.css',
			'dai.kiosk_style.css',
		));
		
		echo $this->Html->script(array(
			'plugins/jquery/jquery-2.1.1',
			'plugins/jquery-ui/jquery-ui',
			'plugins/dragscroll/dragscroll',
			'plugins/bootstrap/js/bootstrap.min',
			'plugins/metisMenu/metisMenu.js',
			'plugins/slimscroll/jquery.slimscroll.js',
			'plugins/inspinia/inspinia',
			'plugins/pace/pace.min.js',
			'plugins/clockpicker/clockpicker',
			'plugins/timepicker/jquery.timepicker.min',
			'plugins/sweetalert/sweetalert.min',
			'plugins/colorpicker/bootstrap-colorpicker.min.js',
			'plugins/staps/jquery.steps.min.js',
			'plugins/validate/jquery.validate.min',
			'plugins/dataTables/datatables.min',
			'plugins/datapicker/bootstrap-datepicker.js',
			'plugins/slimscroll/jquery.slimscroll.min.js',
			'plugins/jasny/jasny-bootstrap.min.js',
			'plugins/footable/footable.all.min.js',
			'plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min',
			'plugins/tinycon/tinycon.min.js',
			'plugins/toastr/toastr.min.js',
			'plugins/chosen/moment',
			'plugins/chosen/chosen.jquery',
			'plugins/daterangepicker/daterangepicker',
			'plugins/webcam/webcam.min',
			'plugins/slick/slick.min.js',
			'plugins/iCheck/icheck.min.js',
			'plugins/pwstrength/pwstrength-bootstrap.min.js',
			'plugins/pwstrength/zxcvbn.js',
			'dai.common'
		));
	?>

	<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge">	
	

</head>
<body class="gray-bg" data-spy="scroll" data-target="main" data-offset="50" onload="time()">
			<div class="col-lg-12 no-padding no-margin">
				<div class="col-md-1 no-padding no-margin sidenav">
			
						<div class ="col-sm-12 text-center margin-top-10">
						  <?php
								echo $this->Html->image("eamc.png", array('class' => 'img-responsive','style'=>'width:70px'));
							?>
						</div>
						
						<div class ="col-sm-12 navigation-link">
						  <?php echo $this->Html->link('<i class="fa fa-home"></i><h4>HOME</h4>', array('controller'=>'kiosk','action'=>'index','hris' => true), array('id'=>'kiosk_home','escape'=>false));?>
						</div>
						
						<div class ="col-sm-12 navigation-link">	
						  <?php echo $this->Html->link('<i class="fa fa-database"></i><h4>PDS</h4>', array('controller'=>'kiosk_employee','action'=>'view_employee','hris' => true), array('id'=>'kiosk_employee','escape'=>false));?>
						 </div>
						
						
						
						<div class ="col-sm-12 navigation-link">
						  <?php echo $this->Html->link('<i class="fa fa-envelope"></i><h4>MEMO</h4>', array('controller'=>'kiosk_memo','action'=>'index','hris' => true), array('id'=>'kiosk_memo','escape'=>false));?>
						</div>
						
						<div class ="col-sm-12 navigation-link">
						  <?php echo $this->Html->link('<i class="fa fa-bell"></i><h5>NOTIFICATION</h5>', array('controller'=>'kiosk_notification','action'=>'index','hris' => true), array('id'=>'kiosk_notification','escape'=>false));?>
						</div>
						
						<div class ="col-sm-12 navigation-link">
						  <?php
							echo $this->Html->link('<i class="fa fa-pencil-square-o"></i><h4>L&D</h4>', array('controller'=>'kiosk_learning_and_development','action'=>'index','hris' => true), array('id'=>'kiosk_learning_and_development','escape'=>false));
						  ?>
				
						</div>
						
						<div class ="col-sm-12 navigation-link">
						
						 <?php echo $this->Html->link('<i class="fa fa-credit-card"></i><h4>REPORT</h4>', array('controller'=>'kiosk_report','action'=>'daily_time_record','hris' => true), array('id'=>'kiosk_report','escape'=>false));?>
						</div>
						
						<div class ="col-sm-12 navigation-link">
						  <?php echo $this->Html->link('<i class="fa fa-key"></i><h5>CHANGE PASSWORD</h5>', array('controller'=>'kiosk_change_password','action'=>'change_password','hris' => true), array('id'=>'kiosk_change_password','escape'=>false));?>
						</div>
						
						
						<div class ="col-sm-12 navigation-link">
						  <?php echo $this->Html->link('<i class="fa fa-sign-out"></i><h4>LOGOUT</h4>', array('controller'=>'kiosk','action'=>'kiosk_logout','hris' => true), array('escape'=>false));?>
						  
						</div>
					
				</div>
				<div class="col-md-11 no-padding no-margin main">
				
					<div class="col-md-12 top-head gray-bg">
						<div class="col-md-8 top_header text-left">
							<h2><strong><?php echo Configure::read('INSTITUTION_NAME'); ?></strong></h2>
						</div>
						<div class="col-md-4 top_header text-center">
							<div id="datetime">
							<?php
								echo date('h:m A  M Y');
							?>
							
							</div>
						</div>
					</div>
					<div class="col-md-12 content-container">
					<?php 
						echo $this->Session->flash();
						echo $this->fetch('content'); 
					?>
					</div>
					<div class="col-md-12">
						<div class="col-md-12 bottom_header text-right">
							HR MANAGER POWERED BY DOÑA ALEJANDRA INC.
						</div>
					</div>
				</div>
			</div>
			
</body>
</html>

<script>
	
	
	$(document).ready(function () {
	
		$(function(){
			var current = location.pathname;
			
			$('a').removeClass('active');
			if(current.indexOf("/kiosk_employee/")>0 ){
				$('#kiosk_employee').addClass('active');
			}
			else if(current.indexOf("/kiosk_employee/view_other_information/")>0){
				$('#kiosk_employee').addClass('active');
			}
			else if(current.indexOf("/kiosk_memo")>0){
				$('#kiosk_memo').addClass('active');
			}
			else if(current.indexOf("/kiosk_notification")>0){
				$('#kiosk_notification').addClass('active');
			}
			else if(current.indexOf("/kiosk_learning_and_development")>0){
				$('#kiosk_learning_and_development').addClass('active');
			}
			else if(current.indexOf("/kiosk_report/")>0){
				$('#kiosk_report').addClass('active');
			}
			else{
				$('#kiosk_home').addClass('active');
			}
			
			
			$('.pds_nav a').each(function(){
					var $this = $(this);
					
					if($this.attr('href').indexOf(current) !== -1){
						$this.addClass('active');
					}
			});
			
			$('.report_nav a').each(function(){
					var $this = $(this);
					
					if($this.attr('href').indexOf(current) !== -1){
						$this.addClass('active');
					}
			});
			
		});
		
		var IdealTimeOut = 1800; //10 seconds
        var idleSecondsTimer = null;
        var idleSecondsCounter = 0;
        document.onclick = function () { idleSecondsCounter = 0; };
        document.onmousemove = function () { idleSecondsCounter = 0; };
        document.onkeypress = function () { idleSecondsCounter = 0; };
        idleSecondsTimer = window.setInterval(CheckIdleTime, 1000);
 
        function CheckIdleTime() {
            idleSecondsCounter++;
            var oPanel = document.getElementById("timeOut");
            if (oPanel) {
                oPanel.innerHTML = (IdealTimeOut - idleSecondsCounter);
            }
            if (idleSecondsCounter >= IdealTimeOut) {
                window.clearInterval(idleSecondsTimer);
                alert("Your Session has expired. Please login again.");
                // window.location = "https://www.aspsnippets.com/";
				window.location.href = "<?php echo Configure::read('hris_link'); ?>hris/kiosk_login/";
            }
        }
		
    });
	
	function time(){
		var today = new Date();
		var current_time = today.toLocaleString('en-US', { hour: 'numeric', minute: 'numeric',second: 'numeric',month: 'long',day: 'numeric',year: 'numeric', hour12: true });
		 document.getElementById('datetime').innerHTML = current_time;
		var t = setTimeout(time, 500);
	}
	
	
</script>


